<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_notify;
	protected $obj_date;
	protected $obj_data;
	protected $obj_bnihashing;
	// variable
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/* Other object loaded below */
		// load business
		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);
		// library loaded
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_bnihashing = $this->obj_ctrl->LoadLibrary('Bnihashing');	
		// javascript loaded
		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		// dhtmlgoodies_calendar loaded
		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');
		// dhtmlgoodies_calendar loaded body event
		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	
		// load class library macig Copy
		$this->obj_ctrl->LoadJavaScript('darkroom.src','magic' );	
		$this->obj_ctrl->LoadJavaScript('magic.src','magic' );	
		$this->obj_ctrl->LoadJavaScript('versions','magic' );	
		$this->obj_ctrl->LoadJavaScript('wand.src','magic' );
	}
	
	public function PageView(){
		/* display view content */
		// display test cookies
		self::DisplayNotification();
		// variable display
		self::DisplayVariable();
		// display form registrasi
		self::DisplayFormRegistrasi();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function DisplayVariable(){
		// variable
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));
		$this->obj_tmpl->addVar('content', 'URL_REMOTEPRAKTIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'tempat-praktik'));
	$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', $this->obj_ctrl->GetUrl('public','membership','registrasi', 'kota-kom'));
	}
	
	private function DisplayFormRegistrasi(){
		// tanggal lahir
		// display activities date
		if(isset($this->obj_notify->arr_message['field'])){
			$t = $this->obj_notify->arr_message['field']['tahun'];
			$b = $this->obj_notify->arr_message['field']['bulan'];
			$h = $this->obj_notify->arr_message['field']['hari'];
			// cabang 
			$cabang = $this->obj_notify->arr_message['field']['cabang'];
			$wilayah = $this->obj_notify->arr_message['field']['wilayah'];
		}else{
			$t = date('Y');
			$b = date('m');
			$h = date('d');
			// cabang 
			$cabang = 0;
			$wilayah = 0;
		}
	   // $url='http://cpdnakes.org/api-rekomendasi/nomor_surat_pormiki/975897768686869';
		//$response = self::get_content($url, true);
		//print_r($response);
		$this->obj_date->SetPatTemplates($this->obj_tmpl);
		//$this->obj_date->DhtmlgoodiesStandardDate('list_year', 'list_month', 'list_day', $t, $b, $h, $t - 100, $t);
		// Wilayah
		$rs_id = $this->obj_data->GetDataWilayah();
		while($rec = mysql_fetch_assoc($rs_id)){
			if($rec['id_wilayah'] == $wilayah)
				$this->obj_tmpl->addVar('list_wilayah', 'SELECTED', 'selected="selected"');
			else
				$this->obj_tmpl->addVar('list_wilayah', 'SELECTED', '');
			$this->obj_tmpl->addVar('list_wilayah', 'VALUE', $rec['id_wilayah']);
			$this->obj_tmpl->addVar('list_wilayah', 'LABEL', $rec['nama']);
			$this->obj_tmpl->ParseTemplate('list_wilayah', 'a');
		}
		// cabang
		$rs_id = $this->obj_data->GetDataCabang();
		while($rec = mysql_fetch_assoc($rs_id)){
			if($rec['id_cabang'] == $cabang)
				$this->obj_tmpl->addVar('list_cabang', 'SELECTED', 'selected="selected"');
			else
				$this->obj_tmpl->addVar('list_cabang', 'SELECTED', '');
			$this->obj_tmpl->addVar('list_cabang', 'VALUE', $rec['id_cabang']);
			$this->obj_tmpl->addVar('list_cabang', 'LABEL', $rec['nama']);
			$this->obj_tmpl->ParseTemplate('list_cabang', 'a');
		}
		// pendidikan
		$t = date('Y');
		$b = date('m');
		$h = date('d');
		if(!isset($this->obj_notify->arr_message['field'])){
			//$this->obj_date->DhtmlgoodiesStandardDate('list_year_start','list_month_start','list_day_start','','','',$t - 100,$t);
			//$this->obj_date->DhtmlgoodiesStandardDate('list_year_end', 'list_month_end','list_day_end','','','',$t - 100,$t);
		}else{
			$ts = $this->obj_notify->arr_message['field']['tahun_awal'];
			$bs = $this->obj_notify->arr_message['field']['bulan_awal'];
			//$this->obj_date->DhtmlgoodiesStandardDate('list_year_start','list_month_start','list_day_start',$ts,$bs,$h,$t - 100,$t);
			$ts = $this->obj_notify->arr_message['field']['tahun_akhir'];
			$bs = $this->obj_notify->arr_message['field']['bulan_akhir'];
			//$this->obj_date->DhtmlgoodiesStandardDate('list_year_end','list_month_end','list_day_end',$ts,$bs,$h,$t - 100,$t);
		}
	}
	
	private function get_content($url, $post = '') {
	$usecookie = HTTPPATH.doc."/cookie.txt";
	$header[] = 'Content-Type: application/json';
	$header[] = "Accept-Encoding: gzip, deflate";
	$header[] = "Cache-Control: max-age=0";
	$header[] = "Connection: keep-alive";
	$header[] = "Accept-Language: en-US,en;q=0.8,id;q=0.6";

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
	curl_setopt($ch, CURLOPT_HEADER, false);
	curl_setopt($ch, CURLOPT_VERBOSE, false);
	// curl_setopt($ch, CURLOPT_NOBODY, true);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
	curl_setopt($ch, CURLOPT_ENCODING, true);
	curl_setopt($ch, CURLOPT_AUTOREFERER, true);
	curl_setopt($ch, CURLOPT_MAXREDIRS, 5);

	curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.120 Safari/537.36");

	if ($post)
	{
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
	}

	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

	$rs = curl_exec($ch);

	if(empty($rs)){
		var_dump($rs, curl_error($ch));
                echo "$usecookie";exit;
		curl_close($ch);
		return false;
	}
	curl_close($ch);
	return $rs;
	}
}

?>