<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	var $obj_system;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/*

		-- Other object loaded below 

		*/

		// load business object

		$this->obj_system = $this->obj_ctrl->LoadBusiness('systemdata', 'mysql', $this->arr_config['db']);

	}

	

	public function PageView(){

		/* 

		-- display view content

		*/

		parent::DisplayWebTitle('Features Allocation');

		// display table

		self::DisplayTableData();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	private function DisplayTableData(){

		// activated template

		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');

		// parse data

		// parameter input 

		// 1. table, format : array( 'alias' => 'nama table' )

		$table = array("tbl" => "sys_authority_m");

		// 2. field, format	: array('nama field' => 'alias')

		$fields = array("id_auth" => "id_auth", "id_group" => "id_group", "auth_name" => "auth_name", "deskripsi" => "deskripsi");

		// 3. params, format : array('nama field:AND/OR' => type:value) 

		$params = array();

		// 4. limits, format : array(offset, limit)

		$limits = array();

		// 5. orders, format : array('field' => 'ASC/DESC') 

		$orders = array("id_group" => "ASC", "auth_name" => "ASC");

		// ------------------------------------------------------------------

		$rs_id = $this->obj_system->GetTableAsResource($table, $fields, $params, $limits, $orders);

		$no = 0;

		while($rec = mysqli_fetch_assoc($rs_id)){

			// url link

			$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'add', array($rec['id_group'], $rec['id_auth']));

			// get name group

			$group = $this->obj_system->GetDetailData('sys_group_m', array('id_group' => "int:" . $rec['id_group']));

			// parse data

			$this->obj_tmpl->addVar('list_data', 'NO', $no + 1);

			$this->obj_tmpl->addVar('list_data', 'ID', $rec['id_auth']);	

			$this->obj_tmpl->addVar('list_data', 'AUTH_NAME', $rec['auth_name']);

			$this->obj_tmpl->addVar('list_data', 'GROUP_NAME', $group['name_group']);

			$this->obj_tmpl->addVar('list_data', 'DESKRIPSI', $rec['deskripsi']);

			$this->obj_tmpl->addVar('list_data', 'URL_DETAIL', $url);

			$this->obj_tmpl->ParseTemplate('list_data', 'a');	

			$no++;

		}

	}

}



?>