<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_admin;

	protected $obj_cv;

	protected $obj_data;

	protected $obj_notify;

	protected $obj_date;

	protected $obj_registrasi;

	private $int_propinsi = 0;
	private $int_propinsi_kom = 0;

	private $int_kota = 0;
	private $int_kota_kom = 0;
	private $int_kecamatan = 0;
	private $int_cabang = 0;

	private $int_kelurahan = 0;
	
	// variable
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('content');		
	}
	
	protected function PageLoad(){ 
			ini_set('memory_limit', '9999M'); //Raise to 512 MB
		ini_set('max_execution_time', '3600'); //Raise to 512 MBs

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();		

		/* Other object loaded below */

		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);

		$this->obj_cv = $this->obj_ctrl->LoadBusiness('curriculum_vitae', 'mysql', $this->arr_config['db']);

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);

		$this->obj_data->UseQuery(array('propinsi', 'kota'));	
		// library loaded
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');		
		// javascript loaded
		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		// dhtmlgoodies_calendar loaded
		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');
		// dhtmlgoodies_calendar loaded body event
		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	
		// load class library macig Copy
		$this->obj_ctrl->LoadJavaScript('darkroom.src','magic' );	
		$this->obj_ctrl->LoadJavaScript('magic.src','magic' );	
		$this->obj_ctrl->LoadJavaScript('versions','magic' );	
		$this->obj_ctrl->LoadJavaScript('wand.src','magic' );
	}
	
	public function PageView(){
		/* display view content */
		// display test cookies
		self::DisplayNotification();
		// variable display
		self::DisplayIdentitasPribadi();
		
		self::DisplayVariable();
		// variable display
		self::DisplayFormProvinsi();
		// display form registrasi
		
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function DisplayVariable(){
		// variable
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota_1'));
		$this->obj_tmpl->addVar('content', 'URL_REMOTEPRAKTIK', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'tempat-praktik'));
		$this->obj_tmpl->addVar('content', 'URL_KOTA', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));
		//$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', 'publik', 'membership', 'registrasi', 'kota-kom');
		$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'anggota', 'kota-komisariat'));
		//$this->obj_tmpl->addVar('content', 'URL_KECAMATAN', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kecamatan'));
	}
	private function DisplayFormProvinsi(){

		$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_alamat']))?$this->obj_notify->arr_message['field']['prov_alamat']:0);

		// display propinsi
			
			// Propinsi
			
		$rs_id = $this->obj_admin->GetListProvinceByAdmin(array());	
			while($rs = mysqli_fetch_assoc($rs_id)){	
			
				
				if($rs['id_province'] == $this->int_propinsi_kom ){
					$this->obj_tmpl->addVar('list_province_kom', 'SELECTED', 'selected="selected"');
				}else{
					$this->obj_tmpl->addVar('list_province_kom', 'SELECTED', '');
				}	
				$this->obj_tmpl->addVar('list_province_kom', 'VALUE', $rs['id_province']);
				$this->obj_tmpl->addVar('list_province_kom', 'NAME', $rs['province_name']);
				$this->obj_tmpl->parseTemplate('list_province_kom', 'a');
			}
		//$this->obj_data->DebugQuery("GetListKotaByPropinsi", array($this->int_propinsi_kom));	
		$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($this->int_propinsi_kom));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
			
				if($rec['id_city'] == $this->int_kota_kom)
					$this->obj_tmpl->addVar('list_kota_kom', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_kota_kom', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_kota_kom', 'VALUE', $rec['id_city']);
				$this->obj_tmpl->addVar('list_kota_kom', 'NAMA', $rec['city_name']);
				$this->obj_tmpl->ParseTemplate('list_kota_kom', 'a');
			}
		}
		// cabang
		//$rs_id = $this->obj_data->GetDataCabang();
		$rs_id = $this->obj_data->GetResourceId("GetListKomisariatByKota", array($this->int_kota));
		//while($rec = mysqli_fetch_assoc($rs_id)){
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
			if($rec['id_cabang'] == $this->int_cabang)
				$this->obj_tmpl->addVar('list_komisariat', 'SELECTED', 'selected="selected"');
			else
				$this->obj_tmpl->addVar('list_komisariat', 'SELECTED', '');
			$this->obj_tmpl->addVar('list_komisariat', 'VALUE', $rec['id_cabang']);
			$this->obj_tmpl->addVar('list_komisariat', 'NAME', $rec['nama']);
			$this->obj_tmpl->ParseTemplate('list_komisariat', 'a');
			}
		}

		

	}

		

	private function DisplayIdentitasPribadi(){

		$params = array($this->arr_routes['params'][1]);

		//$this->obj_registrasi->DebugQuery("GetIdentitasPribadiByCalonIdPerson",($params));	

		$result = $this->obj_registrasi->GetIdentitasPribadiByCalonIdPerson($params);	

	
		// parse data

		//$this->obj_tmpl->addVar('content', 'PAGE', $this->arr_routes['params'][0]);

		$this->obj_tmpl->addVar('content', 'ID_PERSON', $this->arr_routes['params'][0]);

		$this->obj_tmpl->addVar('content', 'ID_CALON', $result['id_calon']);

		//$this->obj_tmpl->addVar('content', 'ID_CABANG', $this->arr_routes['params'][2]);

		$this->obj_tmpl->addVar('content', 'NAMA_LENGKAP', $result['nama']);

		$this->obj_tmpl->addVar('content', 'KTP', $result['no_ktp']);	

		$this->obj_tmpl->addVar('content', 'TEMPAT_LAHIR', $result['tmp_lahir']);	

		$this->obj_tmpl->addVar('content', 'PREFIX', $result['prefix']);	

		$this->obj_tmpl->addVar('content', 'SUFFIX', $result['suffix']);	

		$this->obj_tmpl->addVar('content', 'EMAIL', $result['email']);

			$this->obj_tmpl->addVar('content', strtoupper($result['status_relasi']),'selected="selected"');
		
		$this->obj_tmpl->addVar('content', strtoupper($result['agama']),'selected="selected"');	
		$this->obj_tmpl->addVar('content',  strtoupper($result['gender']), 'selected="selected"');	

		$this->obj_tmpl->addVar('content', 'KODEPOS', $result['kodepos']);	

		$this->obj_tmpl->addVar('content', 'TELEPON', $result['telepon']);

		//$this->obj_tmpl->addVar('content', $result['ver_dpk'], 'checked="checked"');
		print_r($result['id_villages']);
		$this->int_propinsi_kom = $result['id_province_kom'];
		$this->int_propinsi = $result['id_province'];
		$this->int_kota = $result['id_city'];
		$this->int_kota_kom = $result['id_city_komisariat'];
		$this->int_kecamatan = $result['id_districts'];
		$this->int_cabang = $result['id_cabang'];
		$this->int_kelurahan = $result['id_villages'];

		$ktp_path = "doc/ijazah/".$this->arr_routes['params'][0]."/".$result['name_ijazah'];
			
		$this->obj_tmpl->addVar('content', 'KTPPATH', HTTPPATH.$ktp_path);

		$this->obj_tmpl->addVar('content', 'NO_HP', $result['handphone']);

		//$this->obj_tmpl->addVar('content', $result['gender'], 'selected="selected"');
		$this->obj_tmpl->addVar('content', 'YES', 'checked="checked"');
		// tgl lahir		

	

	}
	
	
}

?>