<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	protected $obj_admin;

	protected $obj_registrasi;

	protected $obj_paging;

	protected $obj_date;

	// var

	protected $str_keyword;

	protected $str_cabang;

	protected $str_prov_kom;

	protected $str_city;

	protected $obj_data;

	private $int_propinsi = 0;

	private $int_kota = 0;

	private $int_cabang = 0;

	protected $arr_prov_kom = array();

	protected $arr_cty_kom = array();

	protected $arr_cabang = array();

	private $str_cari_par;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* Other object loaded below */

		// load object business

		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);	

		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);	

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		$this->obj_data->UseQuery(array('propinsi', 'kota'));

		// load object pagination

		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

		// load library

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");

		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');

		// load javascript

		$this->obj_ctrl->LoadJavascript('form_event');

	}

	

	public function PageView(){

		// display variable

		self::DisplayVariable();

		// display calon anggota

		//self::DisplayFormProvinsi();

		// Kota Komisariat

		//self::DisplayListKota();

		// display calon anggota		

		// display cabang

		self::DisplayCabangAuthority();	

		// display calon anggota

		self::DisplayCalonAnggota();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayVariable(){

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'terbaru'));	

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	

			$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'anggota', 'kota-komisariat'));

		// keyword

		if(isset($_SESSION['search']['keyword'])){

			$this->str_keyword = "%" . $_SESSION['search']['keyword'] . "%";

			$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['keyword']);

		}else{

			$this->str_keyword = "%%";

		}

		if(isset($_SESSION['search']['prov_kom']) && $_SESSION['search']['prov_kom']>0){

			$this->int_propinsi = $_SESSION['search']['prov_kom'];

			$this->str_cari_par .= " AND a.id_province_kom = " . $this->int_propinsi." ";

		}

		if(isset($_SESSION['search']['city']) && $_SESSION['search']['city']>0){

			$this->int_kota = $_SESSION['search']['city'];

			$this->str_cari_par .= " AND a.id_city_komisariat = " . $this->int_kota." " ;

		}

		if(isset($_SESSION['search']['cabang']) && $_SESSION['search']['cabang']>0){

			$this->int_cabang = $_SESSION['search']['cabang'];

			$this->str_cari_par .= " AND a.id_cabang = " . $this->int_cabang." " ;

		}

	}

	

	private function DisplayFormProvinsi(){

	// cabang

	$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);

	if(isset($_SESSION['search']['prov_kom'])){ $this->str_prov_kom = $_SESSION['search']['prov_kom'];}

		//$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);

		// display propinsi

		

		$rs_id = $this->obj_admin->GetListProvinceByAdmin(array());	

			while($rs = mysqli_fetch_assoc($rs_id)){	

			//print_r($rs['id_province']);

			$this->arr_prov_kom[] = $rs['id_province'];

				if($this->int_propinsi == $rs['id_province']){

					$this->obj_tmpl->addVar('list_province', 'SELECTED', 'selected="selected"');

				}else{

					$this->obj_tmpl->addVar('list_province', 'SELECTED', '');

				}	

				$this->obj_tmpl->addVar('list_province', 'VALUE', $rs['id_province']);

				$this->obj_tmpl->addVar('list_province', 'NAME', $rs['province_name']);

				$this->obj_tmpl->parseTemplate('list_province', 'a');

			}

		

	}	

	

	private function DisplayListKota(){

	

	if(isset($_SESSION['search']['city'])){ $this->int_kota = $_SESSION['search']['city'];}

	//print_r($this->int_propinsi);

		$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($this->int_propinsi));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

			//print_r($this->int_kota);

				if($this->int_kota == $rec['id_city'])

					$this->obj_tmpl->addVar('list_kota', 'SELECTED', 'selected="selected"');

				else

					$this->obj_tmpl->addVar('list_kota', 'SELECTED', '');

				$this->obj_tmpl->addVar('list_kota', 'VALUE', $rec['id_city']);

				$this->obj_tmpl->addVar('list_kota', 'NAMA', $rec['city_name']);

				$this->obj_tmpl->ParseTemplate('list_kota', 'a');

			}

		}

	}

	

	

	private function DisplayCabangAuthority(){

	

	if(isset($_SESSION['search']['cabang'])){ $this->int_cabang = $_SESSION['search']['cabang'];}

	//print_r($this->int_propinsi);

	//$this->obj_data->DebugQuery("GetListKomisariatByKota", array($this->int_kota));

		$rs_id = $this->obj_data->GetResourceId("GetListKomisariatByKota", array($this->int_kota));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				print_r($this->int_cabang);

				if($this->int_cabang == $rec['id_cabang'])

					$this->obj_tmpl->addVar('list_cabang', 'SELECTED', 'selected="selected"');

				else

					$this->obj_tmpl->addVar('list_cabang', 'SELECTED', '');

				$this->obj_tmpl->addVar('list_cabang', 'VALUE', $rec['id_cabang']);

				$this->obj_tmpl->addVar('list_cabang', 'NAMA', $rec['nama']);

				$this->obj_tmpl->ParseTemplate('list_cabang', 'a');

			}

		}

	}

	

	private function DisplayCabangAuthority2(){

		if(isset($_SESSION['search']['cabang'])){ $this->str_cabang = $_SESSION['search']['cabang'];}

		// parsing data

		$rs_id = $this->obj_admin->GetListCabangByAdmin(array($this->str_userid));		

		while($rs = mysqli_fetch_assoc($rs_id)){	

			$this->arr_cabang[] = $rs['id_cabang'];

			if($rs['id_cabang'] == $this->str_cabang){

				$this->obj_tmpl->addVar('list_cabang', 'SELECTED', 'selected="selected"');

			}else{

				$this->obj_tmpl->addVar('list_cabang', 'SELECTED', '');

			}

			$this->obj_tmpl->addVar('list_cabang', 'VALUE', $rs['id_cabang']);

			$this->obj_tmpl->addVar('list_cabang', 'NAMA', $rs['nama']);

			$this->obj_tmpl->ParseTemplate('list_cabang', 'a');

		}

		if(empty($this->str_cabang))

			$this->arr_cabang = implode(',', $this->arr_cabang);

		else

			$this->arr_cabang = $this->str_cabang;

	}

	

	private function DisplayCalonAnggota(){

		/* 

		-- display paging template (bagian atas)

		*/

		// set parameter pages on index [0]

		if(!isset($this->arr_routes['params'][0]))

			$page = 1;

		else

			$page = $this->arr_routes['params'][0];

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(20);

		// set total record

		//$this->obj_paging->SetTotalRecord($this->obj_registrasi->GetTotalCalonAnggotaByAdmin(array($this->arr_cabang, $this->str_keyword)));

		//$this->obj_registrasi->DebugQuery("GetTotalCalonAnggotaByAdmin2",array($this->str_keyword, $this->str_cari_par));

		$this->obj_paging->SetTotalRecord($this->obj_registrasi->GetTotalCalonAnggotaByAdmin2(array($this->str_keyword, $this->str_cari_par)));

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));

		// set template

		$this->obj_paging->SetTempatePaging('pagination');

		// parse paging

		$this->obj_paging->ParsePaging();

		// get data

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		// parsing data

		//$this->obj_registrasi->DebugQuery("GetDataCalonAnggotaByAdmin2",(array($this->str_keyword,$this->str_cari_par, $start, $max)));	

		//$this->obj_registrasi->GetDataCalonAnggotaByAdmin(array($this->str_keyword,$this->str_cari_par, $start, $max));

		$rs_id = $this->obj_registrasi->GetDataCalonAnggotaByAdmin2(array($this->str_keyword,$this->str_cari_par, $start, $max));	

		if($rs_id){

			$no = $start + 1;

			while($rs = mysqli_fetch_assoc($rs_id)){				  

				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'member', array($page, $rs['id_calon']));

				$this->obj_tmpl->addVar('list_data', 'NO', $no);

				$this->obj_tmpl->addVar('list_data', 'ID', $rs['id_calon']);

				$this->obj_tmpl->addVar('list_data', 'NAMA', $rs['nama']);

				$this->obj_tmpl->addVar('list_data', 'PREFIX', $rs['prefix']);

				$this->obj_tmpl->addVar('list_data', 'SUFFIX', $rs['suffix']);

				$this->obj_tmpl->addVar('list_data', 'CABANG', $rs['cabang']);

				// 

				// no anggota

				if(!empty($rs['exists'])){

					$this->obj_tmpl->addVar('list_data', 'URL_REGISTRASI', 'No. anggota telah terdaftar dengan email yang berbeda');

					$this->obj_tmpl->addVar('list_data', 'NO_ANGGOTA', '<span style="color:#FF0000;">'.$rs['no_anggota'].'</span>');

				}else{

					$this->obj_tmpl->addVar('list_data', 'URL_REGISTRASI', '<a href="'.$url.'" class="button-edit">Register</a>');

					$this->obj_tmpl->addVar('list_data', 'NO_ANGGOTA', $rs['no_anggota']);

				}

				// --

				$this->obj_tmpl->addVar('list_data', 'KOTA', $rs['kota']);

				$this->obj_tmpl->addVar('list_data', 'TELEPON', $rs['telepon']);

				$this->obj_tmpl->addVar('list_data', 'HP', $rs['handphone']);

				$this->obj_tmpl->addVar('list_data', 'EMAIL', $rs['email']);

				$this->obj_tmpl->addVar('list_data', 'TANGGAL', $this->obj_date->GetFullDate($rs['mdd'], 'ins'));

				$this->obj_tmpl->ParseTemplate('list_data', 'a');

				$no++;

			}

		}

	}

}



?>