<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object 		
	private $obj_notify;
	private $obj_course;
	private $obj_branch;
	private $obj_harga;
	private $obj_date;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// business object loaded
		$this->obj_branch = $this->obj_ctrl->LoadBusiness('cabang', 'mysql', $this->arr_config['db']);
		$this->obj_course = $this->obj_ctrl->LoadBusiness('course', 'mysql', $this->arr_config['db']);
		//$this->obj_harga= $this->obj_ctrl->LoadBusiness('course_wilayah', 'mysql',$this->arr_config['db']);
		// load javascript 
		$this->obj_ctrl->LoadJavascript('jquery-1.3.2', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.core', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('ui/ui.datepicker', 'jquery.ui');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		// load style
		$this->obj_ctrl->LoadStyle('base/ui.all', 'jquery.ui');
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	
		
		// library loaded
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
	}
	
	public function PageView(){
		// function display variabel
		
		self::DisplayVariabel();
		//display form add
		self::DisplayAddForm();
		// get nomor pelatihan
		//self::GetNomorPelatihan();
		// display test cookies
		self::DisplayNotification();
		
		
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	
	private function DisplayVariabel(){
		/*$daysinmonth = date("t", mktime(0, 0, 0, $month, 1, $year));
		echo $daysinmonth;
		exit;*/
		//view link
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list'));
		//link image
		$this->obj_tmpl->addVar('content', 'JQUERY_STYLE', HTTPPATH.'doc/temp/');
		//link process
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		
		//link print price
		$this->obj_tmpl->addVar('content', 'URL_PRICE', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'price'));
		//remote city
		//$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'],  $this->arr_routes['module'], 'kota'));
		//remote harga
		//$this->obj_tmpl->addVar('content', 'URL_PENYELENGGARA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'cost'));
		
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'],'anggota','anggota', 'kota'));

		/*if(isset($_SESSION['add']['penyelenggara'])){
				if(!empty($_SESSION['add']['penyelenggara'])){
					self::ListContentCombo($_SESSION['add']['penyelenggara']);
							if(isset($_SESSION['add']['city']))
								$cost = $this->obj_harga->GetDataAsSingleArray("GetCostPenyelenggaraByIdCity", array(intval($_SESSION['add']['city'])));
								if(!empty($cost)){
								  $this->obj_tmpl->addVar('content', 'HARGA', "Rp ". number_format($cost['biaya'],0,',','.'));
								}
				}else{
					self::ListContentCombo($_SESSION['add']['penyelenggara']);	
				}	
		}else{
			self::ListContentCombo('');		
		}		
		
		unset($_SESSION['add']['penyelenggara']);
		unset ($_SESSION['add']['city']);*/
		
	}
	
	private function  DisplayAddForm(){
			$date_now = date('Y-m-d');
			$this->obj_tmpl->addVar('content', 'DATE_DAFTAR', $this->obj_date->GetFullDate($date_now));
			$this->obj_tmpl->addVar('content', 'TGL_MULAI', $date_now);
			
			//$this->obj_tmpl->addVar('content', 'ID_PENYELENGGARA', $this->str_id_penyelenggara);
			/*$result = $this->obj_course->GetDataAsSingleArray('GetPenyelenggaraByid', array($this->str_userid));
			if(!empty($result))
			$this->obj_tmpl->addVar('content', 'ID_PENYELENGGARA', $result['id_penyelenggara']);
			$this->obj_tmpl->addVar('content', 'ID_WILAYAH', $result['id_wilayah']);
			$this->obj_tmpl->addVar('content', 'ID_CITY', $result['id_cabang']);
			$this->obj_tmpl->addVar('content', 'NAMA_PENYELENGGARA', $result['nama_institusi']);*/
			
			//$rs_city = $this->obj_harga->GetDataAsSingleArray("GetCityPenyelenggara", array($this->str_id_penyelenggara));
			
		  	
	}
	//get nomor pelatihan
	private function  GetNomorPelatihan(){
		$rs = $this->obj_course->GetDataAsSingleArray("GetNomorPelatihan", array());
		//$this->obj_tmpl->addVar('content', 'SESI', $rs['urutanpelatihan']);
	}
	
	private function ListContentCombo($position){
		//parse data
		$cabang = $this->obj_branch->GetListCabangAll(array());
		//print_r($cabang);
		$count = $this->obj_branch->CountCabang(array());
		
		foreach($cabang as $key => $value) {
			if($value['id_penyelenggara'] == $position)
				$this->obj_tmpl->addVar('list_penyelenggara', 'SELECTED', 'selected="selected"');
			else
				$this->obj_tmpl->addVar('list_penyelenggara', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_penyelenggara', 'ID_PENYELENGGARA', $value['id_penyelenggara']);
				$this->obj_tmpl->addVar('list_penyelenggara', 'PENYELENGGARA', $value['nama']);
				$this->obj_tmpl->ParseTemplate('list_penyelenggara', 'a');	
				
		}			
		
		
	}
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');
		// clear session when finish
		$this->obj_notify->ClearSession();
		
	}

}

?>