<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	private $obj_cpd;

	private $obj_notify;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// business object loaded

		$this->obj_cpd = $this->obj_ctrl->LoadBusiness('cpd_cpanel', 'mysql', $this->arr_config['db']);

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){

		// display variable

		self::DisplayVariable();

		// display ranah

		self::DisplayDataRekomendasi();

		// display test cookies

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	// utility

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	// display

	

	private function DisplayVariable(){

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

	}

	

	private function DisplayDataRekomendasi(){

		$result = $this->obj_cpd->GetDataAsSingleArray("GetRekomendasiSetting", array());

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'PERIHAL', $result['perihal']);	

			$this->obj_tmpl->addVar('content', 'LAMPIRAN', $result['lampiran']);

			$this->obj_tmpl->addVar('content', 'TEMPAT', $result['tempat']);

			$this->obj_tmpl->addVar('content', 'KETUA', $result['ketua']);

			// photo

			$file_photo = "doc/temp/signature/tanda_tangan.jpg";

			if(is_file($file_photo))

				$this->obj_tmpl->addVar('content', 'PHOTOPATH', HTTPPATH.$file_photo);

			else

				$this->obj_tmpl->addVar('content', 'PHOTOPATH', HTTPPATH."doc/temp/blank.jpg");	

		}

	}

}



?>