<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_cpd;

	protected $obj_notify;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// business object loaded

		$this->obj_cpd = $this->obj_ctrl->LoadBusiness('cpd_cpanel', 'mysql', $this->arr_config['db']);

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){

		// display variable

		self::DisplayVariable();

		// display ranah

		self::DisplayListRanah();

		// display jenis

		self::DisplayListKelompok();

		// display kompetensi

		self::DisplayListKompetensi();

		// display test cookies

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	// utility

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	// display

	

	private function DisplayVariable(){

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

	}

	

	private function DisplayListRanah(){

		$rs_id = $this->obj_cpd->GetResourceId("GetListRanah", array());

		if($rs_id){

			$no = 0;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addVar('list_ranah', 'ID', $rec['id_ranah']);	

				$this->obj_tmpl->addVar('list_ranah', 'NAMA', $rec['nama']);

				$this->obj_tmpl->addVar('list_ranah', 'BAWAH', $rec['batas_bawah']);

				$this->obj_tmpl->addVar('list_ranah', 'ATAS', $rec['batas_atas']);

				$this->obj_tmpl->ParseTemplate('list_ranah', 'a');	

				$no++;

			}

		}

	}

	

	private function DisplayListKelompok(){

		$rs_id = $this->obj_cpd->GetResourceId("GetListJenis", array());

		if($rs_id){

			$no = 0;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addVar('list_kelompok', 'ID', $rec['id_jenis']);	

				$this->obj_tmpl->addVar('list_kelompok', 'NAMA', $rec['deskripsi']);

				$this->obj_tmpl->addVar('list_kelompok', 'BAWAH', $rec['batas_bawah']);

				$this->obj_tmpl->addVar('list_kelompok', 'ATAS', $rec['batas_atas']);

				$this->obj_tmpl->ParseTemplate('list_kelompok', 'a');	

				$no++;

			}

		}

	}

	

	private function DisplayListKompetensi(){

		$rs_id = $this->obj_cpd->GetResourceId("GetListKompetensi", array());

		if($rs_id){

			$no = 0;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addVar('list_kompetensi', 'ID', $rec['id_kompetensi']);	

				$this->obj_tmpl->addVar('list_kompetensi', 'NAMA', $rec['nama']);

				$this->obj_tmpl->addVar('list_kompetensi', 'BAWAH', $rec['batas_bawah']);

				$this->obj_tmpl->addVar('list_kompetensi', 'ATAS', $rec['batas_atas']);

				$this->obj_tmpl->ParseTemplate('list_kompetensi', 'a');	

				$no++;

			}

		}

	}

}



?>