<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	protected $obj_dashboard;

	protected $obj_chart;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load business

		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);

		$this->obj_dashboard->SetUsesQuery(array("keanggotaan"));

		// fusioncharts object loaded

		$param['type'] = '';

		$param['width'] = '';

		$param['height'] = '';

		$param['ID'] = '';

		$this->obj_chart = $this->obj_ctrl->LoadLibrary('FusionCharts', $param);

	}

	

	public function PageView(){

		// genderchart 

		self::DisplayChartGender();
		
		// Relegionchart 

		self::DisplayChartRelegion();
		
		// Workplacechart 

		self::DisplayChartWorkplace();

		// genderchart 

		self::DisplayChartUmur();

		// genderchart 

		self::DisplayChartBerat();

		// genderchart 

		self::DisplayChartPropinsi();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayChartGender(){

		$arr_gender = array("laki-laki" => 0, "Perempuan" => 0);

		// get data

		$rs_id = $this->obj_dashboard->GetResourceId("GetTotalByGender", array());

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				$arr_gender[$rec['jenis_kelamin']] = $rec['jumlah'];

			}

		}

		$total = array_sum($arr_gender);

		if(!empty($total)){

			$str_set = "<set name='Laki-laki' value='".$arr_gender['laki-laki']."' color='0E75E9' />";

			$str_set .= "<set name='Perempuan' value='".$arr_gender['perempuan']."' color='48C46E' />";
			
			$str_set .= "<set name='Tidak Mengisi' value='".$arr_gender['']."' color='e8dd33' />";

		}

		// parse chart

		$strXML = "<graph caption='' subcaption='' decimalPrecision='0' formatNumberScale='0' numberSuffix=''>

   			$str_set

</graph>";

		$path_chart = $this->obj_chart->UseChart("FCF_Pie2D");

		$this->obj_tmpl->addVar('display', 'CHART_GENDER', renderChartHTML($path_chart, "", $strXML, "ChartExample", 480, 250, false));

	}
	
	
	private function DisplayChartRelegion(){

		$arr_relegion = array("Islama" => 0, "Katholik" => 0, "Tidak Mengisi" => 0);

		// get data

		$rs_id = $this->obj_dashboard->GetResourceId("GetTotalByRelegion", array());

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				$arr_relegion[$rec['agama']] = $rec['jumlah'];

			}

		}

		$total = array_sum($arr_relegion);
       //print_r($arr_relegion[$rec['agama']]);
		if(!empty($total)){

			$str_set = "<set name='Islam' value='".$arr_relegion['Islam']."' color='0E75E9' />";

			$str_set .= "<set name='Katholik' value='".$arr_relegion['Katholik']."' color='48C46E' />";
			
			$str_set .= "<set name='Kristen' value='".$arr_relegion['Kristen']."' color='0ac7bc' />";
			
			$str_set .= "<set name='Hindu' value='".$arr_relegion['Hindu']."' color='0ae323' />";
			
			$str_set .= "<set name='Budha' value='".$arr_relegion['Budha']."' color='1492fd' />";
			
			$str_set .= "<set name='Tidak Mengisi' value='".$arr_relegion['']."' color='d9270a' />";

		}

		// parse chart

		$strXML = "<graph caption='' subcaption='' decimalPrecision='0' formatNumberScale='0' numberSuffix=''>

   			$str_set

</graph>";

		$path_chart = $this->obj_chart->UseChart("FCF_Pie2D");

		$this->obj_tmpl->addVar('display', 'CHART_RELEGION', renderChartHTML($path_chart, "", $strXML, "ChartExample", 380, 200, false));

	}
	
	
	private function DisplayChartWorkplace(){

		$arr_Workplace = array("Tenaga_honorer" => 0, "Dosen_PNS" => 0, "Tidak Mengisi" => 0);

		// get data

		$rs_id = $this->obj_dashboard->GetResourceId("GetTotalByworkplace", array());

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				$arr_Workplace[$rec['status_pegawai']] = $rec['jumlah'];

			}

		}

		$total = array_sum($arr_Workplace);

		if(!empty($total)){

			$str_set = "<set name='Tenaga Honorer' value='".$arr_Workplace['Tenaga_honorer']."' color='0E75E9' />";

			$str_set .= "<set name='Dosen PNS' value='".$arr_Workplace['Dosen_PNS']."' color='48C46E' />";
			
			$str_set .= "<set name='Dosen Swasta' value='".$arr_Workplace['Dosen_Swasta']."' color='0ac7bc' />";
			
			$str_set .= "<set name='Pegawai Swasta' value='".$arr_Workplace['Pegawai_swasta']."' color='0ae323' />";
			
			$str_set .= "<set name='TNI' value='".$arr_Workplace['TNI']."' color='1492fd' />";
			
			$str_set .= "<set name='Polri' value='".$arr_Workplace['Polri']."' color='72e5f6' />";
			
			$str_set .= "<set name='Tenaga Kontrak' value='".$arr_Workplace['Tenaga_kontrak']."' color='f7e072' />";
			
			$str_set .= "<set name='Belum_bekerja' value='".$arr_Workplace['Belum_bekerja']."' color='f7e072' />";
			
			$str_set .= "<set name='Tidak Mengisi' value='".$arr_Workplace['']."' color='ef3207' />";
			
			

		}

		// parse chart

		$strXML = "<graph caption='' subcaption='' decimalPrecision='0' formatNumberScale='0' numberSuffix=''>

   			$str_set

</graph>";

		$path_chart = $this->obj_chart->UseChart("FCF_Pie2D");

		$this->obj_tmpl->addVar('display', 'CHART_WORKPLACE', renderChartHTML($path_chart, "", $strXML, "ChartExample", 480, 250, false));

	}

	

	private function DisplayChartUmur(){

		$str_set = "";

		// get data

		// 1 - 5, 6 - 12, 13 - 17, 18 - 25, 26 - 30, 31 - 40, diatas 40 

		$arr_value[1]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByUmur", array(0, 5));

		$arr_value[1]['nama'] = '1 - 5th';

		$arr_value[2]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByUmur", array(6, 12));

		$arr_value[2]['nama'] = '6 - 12th';

		$arr_value[3]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByUmur", array(13, 17));

		$arr_value[3]['nama'] = '13 - 17th';

		$arr_value[4]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByUmur", array(18, 25));

		$arr_value[4]['nama'] = '18 - 25th';

		$arr_value[5]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByUmur", array(26, 30));

		$arr_value[5]['nama'] = '26 - 30th';

		$arr_value[6]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByUmur", array(31, 40));

		$arr_value[6]['nama'] = '31 - 40th';

		$arr_value[7]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByUmur", array(41, 1000));

		$arr_value[7]['nama'] = '41th lebih';

		for($i=1;$i<=7;$i++){

			$str_set .= "<set name='".$arr_value[$i]['nama']."' value='".$arr_value[$i]['result']['total']."' />";

		}

		// parse chart

		$strXML = "<graph caption='' subcaption='' xAxisName='Umur (tahun)' yAxisMinValue='0' yAxisMaxValue='25' yAxisName='Jumlah Pertanyaan' decimalPrecision='0' formatNumberScale='0' numberSuffix='' showAlternateHGridColor='1' AlternateHGridColor='ff5904' divLineColor='ff5904' divLineAlpha='20' numdivlines='6' alternateHGridAlpha='4' showValues='0' rotateNames='1' canvasBgColor='faf3dc' hovercapborder='ff5904' hovercapbg='faf3dc' >

   			$str_set

</graph>";

		$path_chart = $this->obj_chart->UseChart("FCF_Column2D");

		$this->obj_tmpl->addVar('display', 'CHART_UMUR', renderChartHTML($path_chart, "", $strXML, "ChartExample", 380, 200, false));

	}

	

	private function DisplayChartBerat(){

		$str_set = "";

		// get data

		// 1 - 5, 6 - 12, 13 - 17, 18 - 25, 26 - 30, 31 - 40, diatas 40 

		$arr_value[1]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByBerat", array(0, 25));

		$arr_value[1]['nama'] = '1 - 25kg';

		$arr_value[2]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByBerat", array(26, 40));

		$arr_value[2]['nama'] = '26 - 40kg';

		$arr_value[3]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByBerat", array(41, 55));

		$arr_value[3]['nama'] = '41 - 55kg';

		$arr_value[4]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByBerat", array(56, 70));

		$arr_value[4]['nama'] = '56 - 70kg';

		$arr_value[5]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByBerat", array(71, 85));

		$arr_value[5]['nama'] = '71 - 85kg';

		$arr_value[6]['result'] = $this->obj_dashboard->GetDataAsSingleArray("GetTotalKonsultasiByBerat", array(86, 1000));

		$arr_value[6]['nama'] = '86kg lebih';

		for($i=1;$i<=6;$i++){

			$str_set .= "<set name='".$arr_value[$i]['nama']."' value='".$arr_value[$i]['result']['total']."' />";

		}

		// parse chart

		$strXML = "<graph caption='' subcaption='' xAxisName='Berat (Kg)' yAxisMinValue='0' yAxisMaxValue='25' yAxisName='Jumlah Pertanyaan' decimalPrecision='0' formatNumberScale='0' numberSuffix='' showAlternateHGridColor='1' AlternateHGridColor='ff5904' divLineColor='ff5904' divLineAlpha='20' numdivlines='6' alternateHGridAlpha='4' showValues='0' rotateNames='1' canvasBgColor='faf3dc' hovercapborder='ff5904' hovercapbg='faf3dc' >

   			$str_set

</graph>";

		$path_chart = $this->obj_chart->UseChart("FCF_Column2D");

		$this->obj_tmpl->addVar('display', 'CHART_Berat', renderChartHTML($path_chart, "", $strXML, "ChartExample", 380, 200, false));

	}

	

	private function DisplayChartPropinsi(){

		$rs_id = $this->obj_dashboard->GetResourceId("GetTotalKonsultasiByPropinsi", array());

		if($rs_id){

			$no = 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addVar('list_propinsi', 'NO', $no);

				$this->obj_tmpl->addVar('list_propinsi', 'PROPINSI', $rec['propinsi']);

				$this->obj_tmpl->addVar('list_propinsi', 'JUMLAH', $rec['total']);

				$this->obj_tmpl->parseTemplate('list_propinsi', 'a');

				$no++;

			}

		}

	}

}



?>