<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	var $obj_nav;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* Other object loaded below */

		// load business object

		$this->obj_nav = $this->obj_ctrl->LoadBusiness('navigation', 'mysql', $this->arr_config['db']);		

	}

	

	public function PageView(){

		// display table induk

		self::DisplayTableFeatures();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayTableFeatures(){

		$params = array($this->str_userid, $this->arr_config['app_group']['cpanel'], 0);		

		$rs_id = $this->obj_nav->GetNavigationByParent($params);

		$no = 0;

		while($rec = mysqli_fetch_assoc($rs_id)){

			// parse data

			$url = $this->obj_ctrl->GetUrl($rec['app'], $rec['group'], $rec['module'], $rec['page']);

			$this->obj_tmpl->addVar('list_menu', 'URL_VIEW', $url);

			$this->obj_tmpl->addVar('list_menu', 'TITLE', $rec['title']);

			$this->obj_tmpl->addVar('list_menu', 'DESKRIPSI', $rec['naration']);

			// get child data

			$str_child = self::DisplayChild($rec['id_nav'], 30);

			$this->obj_tmpl->addVar('list_menu', 'CHILD', $str_child);

			// repeat

			$this->obj_tmpl->ParseTemplate('list_menu', 'a');

			$no++;	

		}

		if($no < 1)

			$this->obj_tmpl->setAttribute('list_menu', 'visibility', 'hidden');

	}

	

	private function DisplayChild($parent, $indent){

		$params = array($this->str_userid, $this->arr_config['app_group']['cpanel'], $parent);		

		$rs_id = $this->obj_nav->GetNavigationByParent($params);

		$no = $indent + 30;

		$str = "";

		while($rec = mysqli_fetch_assoc($rs_id)){

			$url = $this->obj_ctrl->GetUrl($rec['app'], $rec['group'], $rec['module'], $rec['page']);

			$str .= "<tr>";

			$str .= "<td style=\"padding-left: ".$no."px !important;\">";

         	$str .= "<b><a href=\"$url\">" . $rec['title'] . "</a></b>";          

			$str .= "<br />".$rec['naration'];

			$str .= "</td>";

			$str .= "</tr>";

			$str .= self::DisplayChild($rec['id_nav'], $no);

		}

		return $str;

	}

}



?>