<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	private $obj_download;

	// variable definition

	private $arr_params;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		

	}		

	

	protected function ParseDocumentOutput(){

		/** Redirect result to default page */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list');	

	}

	

	protected function PageLoad(){ 

		/* -- Other object loaded below */

		$this->obj_download = $this->obj_ctrl->LoadBusiness('info', 'mysql', $this->arr_config['db']);

		$this->obj_download->UseQuery(array("download"));

	}

	

	public function PageView(){

		self::DownloadFile();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DownloadFile(){

		$mimes = array(

			  'hqx'   =>  'application/mac-binhex40',

			  'cpt'   =>  'application/mac-compactpro',

			  'doc'   =>  'application/msword',

			  'docx'  =>  'application/msword',

			  'bin'   =>  'application/macbinary',

			  'dms'   =>  'application/octet-stream',

			  'lha'   =>  'application/octet-stream',

			  'lzh'   =>  'application/octet-stream',

			  'exe'   =>  'application/octet-stream',

			  'class' =>  'application/octet-stream',

			  'psd'   =>  'application/octet-stream',

			  'so'    =>  'application/octet-stream',

			  'sea'   =>  'application/octet-stream',

			  'dll'   =>  'application/octet-stream',

			  'oda'   =>  'application/oda',

			  'pdf'   =>  'application/pdf',

			  'ai'    =>  'application/postscript',

			  'eps'   =>  'application/postscript',

			  'ps'    =>  'application/postscript',

			  'smi'   =>  'application/smil',

			  'smil'  =>  'application/smil',

			  'mif'   =>  'application/vnd.mif',

			  'xls'   =>  'application/vnd.ms-excel',

			  'xlsx'  =>  'application/vnd.ms-excel',

			  'ppt'   =>  'application/vnd.ms-powerpoint',

			  'wbxml' =>  'application/vnd.wap.wbxml',

			  'wmlc'  =>  'application/vnd.wap.wmlc',

			  'dcr'   =>  'application/x-director',

			  'dir'   =>  'application/x-director',

			  'dxr'   =>  'application/x-director',

			  'dvi'   =>  'application/x-dvi',

			  'gtar'  =>  'application/x-gtar',

			  'php'   =>  'application/x-httpd-php',

			  'php4'  =>  'application/x-httpd-php',

			  'php3'  =>  'application/x-httpd-php',

			  'phtml' =>  'application/x-httpd-php',

			  'phps'  =>  'application/x-httpd-php-source',

			  'js'    =>  'application/x-javascript',

			  'swf'   =>  'application/x-shockwave-flash',

			  'sit'   =>  'application/x-stuffit',

			  'tar'   =>  'application/x-tar',

			  'tgz'   =>  'application/x-tar',

			  'xhtml' =>  'application/xhtml+xml',

			  'xht'   =>  'application/xhtml+xml',

			  'zip'   =>  'application/zip',

			  'mid'   =>  'audio/midi',

			  'midi'  =>  'audio/midi',

			  'mpga'  =>  'audio/mpeg',

			  'mp2'   =>  'audio/mpeg',

			  'mp3'   =>  'audio/mpeg',

			  'aif'   =>  'audio/x-aiff',

			  'aiff'  =>  'audio/x-aiff',

			  'aifc'  =>  'audio/x-aiff',

			  'ram'   =>  'audio/x-pn-realaudio',

			  'rm'    =>  'audio/x-pn-realaudio',

			  'rpm'   =>  'audio/x-pn-realaudio-plugin',

			  'ra'    =>  'audio/x-realaudio',

			  'rv'    =>  'video/vnd.rn-realvideo',

			  'wav'   =>  'audio/x-wav',

			  'bmp'   =>  'image/bmp',

			  'gif'   =>  'image/gif',

			  'jpeg'  =>  'image/jpeg',

			  'jpg'   =>  'image/jpeg',

			  'jpe'   =>  'image/jpeg',

			  'png'   =>  'image/png',

			  'tiff'  =>  'image/tiff',

			  'tif'   =>  'image/tiff',

			  'css'   =>  'text/css',

			  'html'  =>  'text/html',

			  'htm'   =>  'text/html',

			  'shtml' =>  'text/html',

			  'txt'   =>  'text/plain',

			  'text'  =>  'text/plain',

			  'log'   =>  'text/plain',

			  'rtx'   =>  'text/richtext',

			  'rtf'   =>  'text/rtf',

			  'xml'   =>  'text/xml',

			  'xsl'   =>  'text/xml',

			  'mpeg'  =>  'video/mpeg',

			  'mpg'   =>  'video/mpeg',

			  'mpe'   =>  'video/mpeg',

			  'qt'    =>  'video/quicktime',

			  'mov'   =>  'video/quicktime',

			  'avi'   =>  'video/x-msvideo',

			  'movie' =>  'video/x-sgi-movie',

			  'doc'   =>  'application/msword',

			  'word'  =>  'application/msword',

			  'xl'    =>  'application/excel',

			  'eml'   =>  'message/rfc822'

			);

		// check / validate parameter 

		$result = $this->obj_download->GetDataAsSingleArray("DownloadFile", array($this->arr_routes['params'][0]));

		if(!empty($result)){

			$files = $result['filepath'].$result['filename'];	

			if(is_file($files)){

				$type = explode('.', $result['filename']);

				$type = $mimes[strtolower(end($type))];

				header('Content-type: '.$type);

				header("Content-Length:".filesize($files));

				header("Content-Disposition: attachment; filename=".$result['filename']);

				readfile($files);

				exit();

			}

		}

	}

}



?>