<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// init object 	

	private $obj_faq;	

	private $obj_notify;	

	// init variable

	private $arr_params;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		

	}		

	

	protected function ParseDocumentOutput(){

		/** Redirect result to default page */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'view');	

	}

	

	// base included or not

	

	/*protected function BaseLoad(){ }

	

	protected function BaseView(){ }*/

	

	// --

	

	protected function PageLoad(){ 

		// load business

		$this->obj_faq = $this->obj_ctrl->LoadBusiness('info', 'mysql', $this->arr_config['db']);

		$this->obj_faq->UseQuery(array("faq"));

		// load library 

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		

	}

	

	public function PageView(){

		// important to encypte bug post form

		if(isset($_POST['save'])){ 

			$action = array_keys($_POST['save']); 

			$this->arr_params = $_POST;

			unset($_POST);

		}else{

			$action = FALSE;

		}

		// controller to manage process that page requested

		switch($action[0]){

			case 'delete_kontak':

				self::DeleteKontak();

				break;

			default:

				break;

		}

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	// notification method

	private function SendNotification($err, $filled, $msg, $type){

		$this->obj_notify->ClearSession();

		$this->obj_notify->SetHeaderMessage($type, $msg);

		// error send

		foreach($err as $val){

			$this->obj_notify->SetMessage($val);

		}		

		// field value history

		for($i=0;$i<count($filled);$i++){

			$name = array_keys($filled);

			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);

		}

		$this->obj_notify->SentMessage();

	}

	

	// operation

	

	private function DeleteKontak(){

		

		$err = array();	

		$filled = array();

		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><strong>ID </strong>not selected'; }

		// processing --------------------------------------------------

		if(empty($err)){

			foreach($this->arr_params['downcheck'] as $id){

				if($this->obj_faq->ProcessingData("DeleteBukuTamu", array($id))){

					// notification message	

	         		self::SendNotification($err, array(), "Data berhasil dihapus.", "success");

				}else{

					// error message

					self::SendNotification($err, array(), "Business process failure.", "error");

				}

			}				

		}else{

			// error message

			self::SendNotification($err, array(), "See input requirement.", "error");

		}

			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'list',array('-','-',$this->arr_params['page']));

	}

}



?>