<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// init object

	private $obj_info;

	private $obj_person;

	private $obj_date;

	private $obj_paging;

	private $obj_notify;

	// init variable

	private $int_page;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load business

		$this->obj_info = $this->obj_ctrl->LoadBusiness('sekapur', 'mysql', $this->arr_config['db']);

		$this->obj_person= $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);

		// load library

		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		// load javascript

		$this->obj_ctrl->LoadJavascript('form_event');

		$this->obj_ctrl->LoadJavascript('tiny_mce','tiny_mce');

	}

	

	public function PageView(){

		// display page link navigation

		self::DisplayPageLink();

		// display DisplayEditForm

		self::DisplayEditForm();

		// display test cookies

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayPageLink(){

		// page

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

	}

	

	

	

	private function DisplayEditForm(){

		// parse data	

		$result = $this->obj_info->GetDataAsSingleArray('SelectSekapurSirih', array());

		//print_r  ($result);

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'JUDUL', $result['judul']);	

			$this->obj_tmpl->addVar('content', 'KONTEN', $result['konten']);

			//$this->obj_tmpl->addVar('content', 'IMAGE_LAMA', $result['images']);

			

			    $urlFile = HTTPPATH.$result['file_path']. $result['file_name'] ;

				$this->obj_tmpl->addVar('content', 'FILE_NAME', $result['file_name']);

				$this->obj_tmpl->addVar('content', 'FILE_PATH', $result['file_path']);

				$this->obj_tmpl->addVar('content', 'URL_LAMPIRAN', $urlFile);

			

			

			$this->obj_tmpl->addVar('content', 'MOD_DATE',  $this->obj_date->GetFullDate($result['mdd'], "en"));

			

			$res = $this->obj_person->GetDataAsSingleArray("GetNameById", array($result['mdb']));

			if(!empty($res)){

				$this->obj_tmpl->addVar('content', 'MOD_BY', $res['nama_lengkap']);

			}

		}

	}

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

}



?>

