<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_iuran;

	protected $obj_notify;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load business

		$this->obj_iuran = $this->obj_ctrl->LoadBusiness('iuran', 'mysql', $this->arr_config['db']);

		$loaded_query = array('business');

		$this->obj_iuran->SetUsesBusinessQuery($loaded_query);		

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){

		// display notification

		self::DisplayNotification();

		// display iuran settings

		self::DisplayIuranAnggota();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayIuranAnggota(){

		// parse variable

		$this->obj_tmpl->addVar("content", "URL_PROCESS", $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'iuran', 'process'));

		// parse data

		$rs_id = $this->obj_iuran->GetResourceId("GetIuranSettings", array());

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addVar("list_iuran", "NAMA", $rec['status_anggota']);

				$this->obj_tmpl->addVar("list_iuran", "DESKRIPSI", $rec['keterangan']);

				$this->obj_tmpl->addVar("list_iuran", "PW", intval($rec['pw']));

				$this->obj_tmpl->addVar("list_iuran", "PP", intval($rec['pp']));

				$this->obj_tmpl->addVar("list_iuran", "CABANG", intval($rec['cabang']));

				$this->obj_tmpl->ParseTemplate("list_iuran", "a");

			}

		}

	}

}



?>

