<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	protected $obj_message;

	protected $obj_date;

	protected $obj_notify;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load object business

		$this->obj_message = $this->obj_ctrl->LoadBusiness('mailbox', 'mysql', $this->arr_config['db']);	

		// load object pagination

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

		// load javascript

     	$this->obj_ctrl->LoadJavascript('tiny_mce');

	}

	

	public function PageView(){		

		// display variable

		self::DisplayVariable();	

		// display list announcement

		self::DisplayListAnnouncement();

		// display form

		self::DisplayForm();

		// display notification

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayVariable(){		

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'form'));	

	}

	

	private function DisplayForm(){

		$this->obj_tmpl->addVar('content', 'ADD_ACTIVE', 'class="tab-nav-active"');

		$this->obj_tmpl->addVar('content', 'ACTION', 'insert');	

		if(isset($this->arr_routes['params'][0]) AND isset($this->arr_routes['params'][1])){

			$this->obj_tmpl->addVar('content', 'ADD_ACTIVE', '');

			$this->obj_tmpl->addVar('content', 'EDIT_ACTIVE', 'class="tab-nav-active"');

			$result = $this->obj_message->GetDataAsSingleArray("GetDetailAnnouncementById", array($this->arr_routes['params'][1]));	

			if(!empty($result)){

				$this->obj_tmpl->addVar('content', $result['tipe'], 'selected="selected"');

				$this->obj_tmpl->addVar('content', 'TITLE', $result['title']);

				$this->obj_tmpl->addVar('content', 'NOTE', $result['content']);

				$this->obj_tmpl->addVar('content', 'ID', $result['id']);	

				$this->obj_tmpl->addVar('content', 'ACTION', 'update');

			}

		}

	}

	

	private function DisplayListAnnouncement(){

		// parsing data

		$rs_id = $this->obj_message->GetResourceId("GetListAnnouncement", array(0, 20));	

		if($rs_id){

			$no = 1;

			while($rs = mysqli_fetch_assoc($rs_id)){	

				// url

				$url_edit = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'form', array('edit', $rs['id']));

				// parse data

				$this->obj_tmpl->addVar('list_data', 'NO', $no);

				$this->obj_tmpl->addVar('list_data', 'ID', $rs['id']);

				$this->obj_tmpl->addVar('list_data', 'TUJUAN', strtoupper($rs['tipe']));

				$this->obj_tmpl->addVar('list_data', 'ADMIN', $rs['nama_lengkap']);

				$this->obj_tmpl->addVar('list_data', 'TITLE', $rs['title']);

				$this->obj_tmpl->addVar('list_data', 'URL_EDIT', $url_edit);

				$this->obj_tmpl->addVar('list_data', 'TANGGAL', $this->obj_date->GetFullDate($rs['mdd'], 'ins'));

				$this->obj_tmpl->ParseTemplate('list_data', 'a');

				$no++;

			}

		}

	}

}



?>

