<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object

	protected $obj_message;

	protected $obj_notify;

	// post

	protected $arr_params;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		

	}		

	

	protected function ParseDocumentOutput(){

		/** Redirect result to default page */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'view');	

	}

	

	protected function PageLoad(){ 

		/* -- Other object loaded below */

		$this->obj_message = $this->obj_ctrl->LoadBusiness('mailbox', 'mysql', $this->arr_config['db']);

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){

		// important to encypte bug post form

		if(isset($_POST['save'])){ 

			$action = array_keys($_POST['save']); 

			$this->arr_params = $_POST;

			unset($_POST);

		}else{

			$action = FALSE;

		}

		// controller to manage process that page requested

		switch($action[0]){

			case 'insert':

				self::InsertMessage();

				break;

			case 'reply':

				self::UpdateMessage();

				break;

			case 'hapus':

				self::DeleteMessage();

				break;

			default:

				break;

		}

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	// notification method

	private function SendNotification($err, $filled, $msg, $type){

		$this->obj_notify->ClearSession();

		$this->obj_notify->SetHeaderMessage($type, $msg);

		// error send

		foreach($err as $val){

			$this->obj_notify->SetMessage($val);

		}		

		// field value history

		for($i=0;$i<count($filled);$i++){

			$name = array_keys($filled);

			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);

		}

		$this->obj_notify->SentMessage();

	}

	

	private function InsertMessage(){

		// inisialize variable --------------------------------------------

		$err = array();		

		$filled = array();

		// ----------------------------------------------------------------	

		if(empty($this->arr_params['tipe'])){ $err[] = '<br /><b>Tujuan</b> belum ditentukan'; }

		if(empty($this->arr_params['content'])){ $err[] = '<br /><b>Pengumuman</b> harus diisi'; }

		// processing --------------------------------------------------

		if(empty($err)){			

			// pendidikan

			$params = array($this->arr_params['tipe'], $this->arr_params['content'], $this->str_userid);

			// processing data

			if($this->obj_message->ProcessingData("InsertAnnouncement", $params)){

				// sukses message			

				self::SendNotification($err, $filled, 'Data has been saved.', 'success');

			}else{

				// error message

				self::SendNotification($err, $filled, 'Business process failure.', 'error');

			}

		}else{

			// error message

			self::SendNotification($err, $filled, 'See input requirement.', 'error');

		}

	}

	

	private function UpdateMessage(){

		// inisialize variable --------------------------------------------

		$err = array();		

		$filled = array();

		// ----------------------------------------------------------------	

		if(empty($this->arr_params['reply'])){ $err[] = '<br /><b>Id</b> tidak terpilih'; }

		// processing --------------------------------------------------

		if(empty($err)){			

			foreach($this->arr_params['reply'] as $id => $val){

				// checking update

				$check = $this->obj_message->GetDatasetAsArray("GetDetailKritikSaran", array($id));

				if($check[0]['reply_note'] != $val){

					// delete calon anggota

					$this->obj_message->ProcessingData("UpdateKritikSaran", array($val, $this->str_userid, $id));

					// sukses message			

					self::SendNotification($err, $filled, 'Data has been saved.', 'success');

				}

			}

		}

	}

	

	private function DeleteMessage(){

		// inisialize variable --------------------------------------------

		$err = array();		

		$filled = array();

		// ----------------------------------------------------------------	

		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><b>Id</b> tidak terpilih'; }

		// processing --------------------------------------------------

		if(empty($err)){			

			foreach($this->arr_params['downcheck'] as $id){

				// delete calon anggota

				$this->obj_message->ProcessingData("DeleteKritikSaran", array($id));

			}

		}

	}

}



?>