<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	protected $obj_message;

	protected $obj_date;

	protected $obj_notify;

	protected $obj_paging;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load object business

		$this->obj_message = $this->obj_ctrl->LoadBusiness('mailbox', 'mysql', $this->arr_config['db']);	

		// load object pagination

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');

		// load javascript

		// $this->obj_ctrl->LoadJavascript('form_event');	

	}

	

	public function PageView(){		

		// display variable

		self::DisplayVariable();	

		// display list announcement

		self::DisplayListKritikSaran();

		// display notification

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayVariable(){		

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	

	}

	

	private function DisplayListKritikSaran(){

		/* 

		-- display paging template (bagian atas)

		*/

		// set parameter pages on index [0]

		if(!isset($this->arr_routes['params'][0]))

			$page = 1;

		else

			$page = $this->arr_routes['params'][0];

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(10);

		// set total record

		$total = $this->obj_message->GetDatasetAsArray("GetTotalKritikSaran", array());

		$this->obj_paging->SetTotalRecord($total[0]['total']);

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));

		// set template

		$this->obj_paging->SetTempatePaging('pagination');

		// parse paging

		$this->obj_paging->ParsePaging();

		// get data

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		// parsing data

		$rs_id = $this->obj_message->GetResourceId("GetListKritikSaran", array($start, $max));	

		if($rs_id){

			$no = $start + 1;

			while($rs = mysqli_fetch_assoc($rs_id)){	

				$this->obj_tmpl->addVar('list_data', 'NO', $no);

				$this->obj_tmpl->addVar('list_data', 'ID', $rs['id_comment']);

				$this->obj_tmpl->addVar('list_data', 'PENGIRIM', $rs['pengirim']);

				$this->obj_tmpl->addVar('list_data', 'ADMIN', $rs['admin']);

				$this->obj_tmpl->addVar('list_data', 'CONTENT', nl2br($rs['post_note']));

				$this->obj_tmpl->addVar('list_data', 'REPLY', $rs['reply_note']);

				$this->obj_tmpl->addVar('list_data', 'POST_DATE', $this->obj_date->GetFullDate($rs['post_date'], 'ins'));

				if(!empty($rs['reply_date'])){

					$this->obj_tmpl->addVar('list_data', 'REPLY_DATE', $this->obj_date->GetFullDate($rs['reply_date'], 'ins'));

				}

				$this->obj_tmpl->ParseTemplate('list_data', 'a');

				$no++;

			}

		}

	}

}



?>