<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	private $obj_branch;

	private $obj_wilayah;

	private $obj_person;

	private $obj_date;

	private $obj_paging;

	private $obj_notify;

	private $obj_data;

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/*

		-- Other object loaded below 

		*/

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		$this->obj_data->UseQuery(array('propinsi', 'kota'));

		$this->obj_branch = $this->obj_ctrl->LoadBusiness('cabang', 'mysql', $this->arr_config['db']);

		$this->obj_wilayah = $this->obj_ctrl->LoadBusiness('wilayah', 'mysql', $this->arr_config['db']);

		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');

		$this->obj_paging = $this->obj_ctrl->LoadExternalClass('PaginationSelectedMySQL');

		$this->obj_ctrl->LoadJavascript('jquery');

		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		$this->obj_ctrl->LoadJavascript('tiny_mce');

	}

	

	public function PageView(){

		/* 

		-- display view content

		*/

		self::DisplayPageLink();

		self::DisplayRedirect();

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	private function DisplayPageLink(){

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('add')));

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));

		$this->obj_tmpl->addVar('content', 'URL_PENGURUS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'pengurus'));

		$this->obj_tmpl->addVar('display', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$this->obj_tmpl->addVar('content', 'URL_KOTA', $this->obj_ctrl->GetURL('public', 'membership', 'registrasi', 'kota'));

	}



   private function DisplayRedirect() {

		if (isset($this->arr_routes['params']['0']) && $this->arr_routes['params']['0'] == "add") {

			self::DisplayAddForm();

			self::DisplayFormProvinsi();

		}elseif(isset($this->arr_routes['params']['0']) && $this->arr_routes['params']['0'] == "edit") {

			self::DisplayEditForm();

		}else{

			self::DisplayListArchive();

		}

   }

   

	private function DisplayListArchive(){

  		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');

		if(!isset($this->arr_routes['params']['0'])) {

			$page = 1;

		}else{

			$page = $this->arr_routes['params']['0'];

		}

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(20);

		// set total record

		$this->obj_paging->SetTotalRecord($this->obj_branch->CountCabang(array()));

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));

		// set template

		$this->obj_paging->SetTempatePaging('pagination');

		// parse paging

		$this->obj_paging->ParsePaging();

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		$cabang = $this->obj_branch->GetCabang(array($start, $max));

		if (sizeof($cabang) > 0) {

			$this->obj_tmpl->addVar('cat', 'cat', 'have');

		}

		$no = 0;

		$num = $start + 1;

		foreach($cabang as $key => $value) {

			$href = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view-news', array($value['id_cabang']));

			$href1 = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array("edit", $value['id_cabang']));

			// --

			$this->obj_tmpl->addVar('list_data', 'INDEX', $no);

			$this->obj_tmpl->addVar('list_data', 'NO', $num);

			$this->obj_tmpl->addVar('list_data', 'ID', $value['id_cabang']);	

			$this->obj_tmpl->addVar('list_data', 'NAME', $value['nama']);

			$this->obj_tmpl->addVar('list_data', 'KODE', $value['kode_cabang']);

			$this->obj_tmpl->addVar('list_data', 'ADDRESS', $value['alamat']);

			$this->obj_tmpl->addVar('list_data', 'TELEPHONE', $value['telephone']);

			$this->obj_tmpl->addVar('list_data', 'URL_EDIT', $href1);

			$this->obj_tmpl->addVar('list_data', 'URL_NEWS', $href);

			$this->obj_tmpl->ParseTemplate('list_data', 'a');

			$no++;

			$num++;

		}

	}	

	

	private function DisplayFormProvinsi(){

		$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_alamat']))?$this->obj_notify->arr_message['field']['prov_alamat']:0);

		// display propinsi

		$rs_id = $this->obj_data->GetResourceId("GetListPropinsi", array());

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				if($rec['id_province'] == $prov_selected)

					$this->obj_tmpl->addVar('list_province', 'SELECTED', 'selected="selected"');

				else

					$this->obj_tmpl->addVar('list_province', 'SELECTED', '');

				$this->obj_tmpl->addVar('list_province', 'VALUE', $rec['id_province']);

				$this->obj_tmpl->addVar('list_province', 'NAME', $rec['province_name']);

				$this->obj_tmpl->parseTemplate('list_province', 'a');

			}

		}

		// display kota

		if(!empty($prov_selected)){

			$city_selected = ((isset($this->obj_notify->arr_message['field']['city_rencana']))?$this->obj_notify->arr_message['field']['city_rencana']:0);

			$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($prov_selected));

			if($rs_id){

				while($rec = mysqli_fetch_assoc($rs_id)){

					if($rec['id_city'] == $city_selected)

						$this->obj_tmpl->addVar('list_city', 'SELECTED', 'selected="selected"');

					else

						$this->obj_tmpl->addVar('list_city', 'SELECTED', '');

					$this->obj_tmpl->addVar('list_city', 'VALUE', $rec['id_city']);

					$this->obj_tmpl->addVar('list_city', 'NAME', $rec['city_name']);

					$this->obj_tmpl->ParseTemplate('list_city', 'a');

				}

			}

		}

	}	



	private function DisplayAddForm(){

		// activated template

		$this->obj_tmpl->addVar('content', 'ADD_ACTIVE', 'class="tab-nav-active"');

		$this->obj_tmpl->addVar('display', 'view', 'add');

	}

	

	private function DisplayEditForm(){

		// activated template

		$this->obj_tmpl->addVar('content', 'EDIT_ACTIVE', '<li><a href="#" class="tab-nav-active">Edit</a></li>');

		$this->obj_tmpl->addVar('display', 'view', 'edit');

		// parse data	

		$result = $this->obj_branch->GetCabangById(array($this->arr_routes['params']['1']));

		$this->obj_tmpl->addVar('display', 'ID', $result['0']['id_cabang']);	

		$this->obj_tmpl->addVar('display', 'NAME', $result['0']['nama']);

		$this->obj_tmpl->addVar('display', 'KODE', $result['0']['kode_cabang']);

		$this->obj_tmpl->addVar('display', 'ADDRESS', $result['0']['alamat']);

		$this->obj_tmpl->addVar('display', 'TELEPHONE', $result['0']['telephone']);

		$this->obj_tmpl->addVar('display', 'FAX', $result['0']['fax']);

		$this->obj_tmpl->addVar('display', 'PROFILE', $result['0']['profil']);

		$this->obj_tmpl->addVar('display', 'PENGURUS', $result['0']['pengurus']);

		$this->obj_tmpl->addVar('display', 'LOGO', $result['0']['logo']);

		// display foto

		$imgpath = "doc/logo/cabang/".$result['0']['id_cabang']."/".$result['0']['logo'];

		if(is_file($imgpath)){

			$str_img = '<img class="photo-view" src="'.HTTPPATH.$imgpath.'" />';

			$this->obj_tmpl->addVar('display', 'IMGVIEW', $str_img);

		}

		//$this->obj_data->DebugQuery("GetProvDataByCity",array($result['0']['id_city']));

		$select_propinsi=$this->obj_data->GetDataAsSingleArray("GetProvDataByCity",array($result['0']['id_city']));

		//print_r($select_propinsi['id_province']);

		$rs_id = $this->obj_data->GetResourceId("GetListPropinsi", array());

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				if($rec['id_province'] == $select_propinsi['id_province'])

					$this->obj_tmpl->addVar('list_province2', 'SELECTED', 'selected="selected"');

				else

					$this->obj_tmpl->addVar('list_province2', 'SELECTED', '');

				$this->obj_tmpl->addVar('list_province2', 'VALUE', $rec['id_province']);

				$this->obj_tmpl->addVar('list_province2', 'NAME', $rec['province_name']);

				$this->obj_tmpl->parseTemplate('list_province2', 'a');

			}

		}

		// display kota

		if(!empty($select_propinsi['id_province'])){

			$city_selected = ((isset($this->obj_notify->arr_message['field']['city_rencana']))?$this->obj_notify->arr_message['field']['city_rencana']:0);

			$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($select_propinsi['id_province']));

			if($rs_id){

				while($rec = mysqli_fetch_assoc($rs_id)){

					if($rec['id_city'] == $result['0']['id_city'])

						$this->obj_tmpl->addVar('list_city2', 'SELECTED', 'selected="selected"');

					else

						$this->obj_tmpl->addVar('list_city2', 'SELECTED', '');

					$this->obj_tmpl->addVar('list_city2', 'VALUE', $rec['id_city']);

					$this->obj_tmpl->addVar('list_city2', 'NAME', $rec['city_name']);

					$this->obj_tmpl->ParseTemplate('list_city2', 'a');

				}

			}

		}

		// display last update

		$person = $this->obj_person->GetDataAsSingleArray("GetPersonNameById", array($result[0]['mdb']));

		$this->obj_tmpl->addVar('display', 'MDD', $this->obj_date->GetFullDate($result[0]['mdd']));

		$this->obj_tmpl->addVar('display', 'MDB', $person['nama']);

	}

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

}



?>