<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	private $obj_kolegium;

	private $obj_person;

	private $obj_notify;

	private $obj_date;



	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/*

		-- Other object loaded below 

		*/

		$this->obj_kolegium = $this->obj_ctrl->LoadBusiness('kolegium', 'mysql', $this->arr_config['db']);

		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);

      	$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');

     	$this->obj_ctrl->LoadJavascript('tiny_mce');

	}

	

	public function PageView(){

		self::DisplayEditForm();

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayEditForm(){

		// activated template

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$result = $this->obj_kolegium->GetKolegium();

		$this->obj_tmpl->addVar('content', 'DESCRIPTION', $result['0']['pengurus']);

		// display last update

		$person = $this->obj_person->GetDataAsSingleArray("GetPersonNameById", array($result[0]['mdb']));

		$this->obj_tmpl->addVar('content', 'MDD', $this->obj_date->GetFullDate($result[0]['mdd']));

		$this->obj_tmpl->addVar('content', 'MDB', $person['nama']);

		// display foto

		$imgpath = "doc/logo/kolegium/".$result[0]['logo'];

		if(is_file($imgpath)){			

			$str_img = '<img class="photo-view" src="'.HTTPPATH.$imgpath.'" width="100px" />';

			$this->obj_tmpl->addVar('content', 'IMGVIEW', $str_img);

		}

	}

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

}



?>