<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	private $obj_branch;

	private $obj_wilayah;

	private $obj_person;

	private $obj_date;

	private $obj_paging;

	private $obj_notify;

	private $obj_data;

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/*

		-- Other object loaded below 

		*/

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		$this->obj_data->UseQuery(array('propinsi', 'kota'));

		$this->obj_branch = $this->obj_ctrl->LoadBusiness('cabang', 'mysql', $this->arr_config['db']);

		$this->obj_wilayah = $this->obj_ctrl->LoadBusiness('wilayah', 'mysql', $this->arr_config['db']);

		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');

		$this->obj_paging = $this->obj_ctrl->LoadExternalClass('PaginationSelectedMySQL');

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');		

		// javascript loaded

		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');

		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');

		$this->obj_ctrl->LoadJavascript('jquery');

		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');

		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');

		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');

		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');

		// dhtmlgoodies_calendar loaded

		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');

		// dhtmlgoodies_calendar loaded body event

		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");

		// loaded style

		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	

		// load class library macig Copy

		$this->obj_ctrl->LoadJavaScript('darkroom.src','magic' );	

		$this->obj_ctrl->LoadJavaScript('magic.src','magic' );	

		$this->obj_ctrl->LoadJavaScript('versions','magic' );	

		$this->obj_ctrl->LoadJavaScript('wand.src','magic' );

	}

	

	public function PageView(){

		/* 

		-- display view content

		*/

		self::DisplayPageLink();

		self::DisplayListArchive();

		self::DisplayListPengurus();

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	private function DisplayPageLink(){

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('add')));

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));

		$this->obj_tmpl->addVar('content', 'URL_PENGURUS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'pengurus'));

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$this->obj_tmpl->addVar('content', 'URL_KOTA', $this->obj_ctrl->GetURL('public', 'membership', 'registrasi', 'kota'));

		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl('public', 'membership', 'registrasi', 'person_m'));

	}



   

   

   	private function DisplayListPengurus(){

		$result = $this->obj_branch->GetPengurusPusat(array());

		//$this->obj_tmpl->addVar('display', 'ID', $result['0']['id']);	

		$this->obj_tmpl->addVar('content', 'NAME_KETUA', $result['0']['ketua']);

		$this->obj_tmpl->addVar('content', 'NAME_SEKRETARIS', $result['0']['sekretaris']);

		$this->obj_tmpl->addVar('content', 'ADDRESS', $result['0']['alamat']);

		$this->obj_tmpl->addVar('content', 'TELEPHONE', $result['0']['telp']);

		$this->obj_tmpl->addVar('content', 'FAX', $result['0']['fax']);

		

		}

		

	private function DisplayListArchive(){

  		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');

		if(!isset($this->arr_routes['params']['0'])) {

			$page = 1;

		}else{

			$page = $this->arr_routes['params']['0'];

		}

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(20);

		// set total record

		$this->obj_paging->SetTotalRecord($this->obj_branch->CountWilayah(array()));

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));

		// set template

		$this->obj_paging->SetTempatePaging('pagination');

		// parse paging

		$this->obj_paging->ParsePaging();

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		$wilayah = $this->obj_branch->GetWilayah(array($start, $max));

		if (sizeof($wilayah) > 0) {

			$this->obj_tmpl->addVar('cat', 'cat', 'have');

		}

		$no = 0;

		$num = $start + 1;

		foreach($wilayah as $key => $value) {

			$href = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view-news', array($value['id_province']));

			$href1 = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'view_wilayah', array($value['id_province']));

			// --

			$this->obj_tmpl->addVar('list_data', 'INDEX', $no);

			$this->obj_tmpl->addVar('list_data', 'NO', $num);

			//$this->obj_tmpl->addVar('list_data', 'ID', $value['id']);	

			$this->obj_tmpl->addVar('list_data', 'NAME', $value['province_name']);

			$this->obj_tmpl->addVar('list_data', 'KETUA', $value['ketua']);

			$this->obj_tmpl->addVar('list_data', 'SEKERTARIS', $value['sekretaris']);

			$this->obj_tmpl->addVar('list_data', 'ADDRESS', $value['alamat']);

			$this->obj_tmpl->addVar('list_data', 'TELEPHONE', $value['telp']);

			$this->obj_tmpl->addVar('list_data', 'URL_DETAIL', $href1);

			$this->obj_tmpl->addVar('list_data', 'URL_NEWS', $href);

			$this->obj_tmpl->ParseTemplate('list_data', 'a');

			$no++;

			$num++;

		}

	}	

	

	

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

}



?>