<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	private $obj_profile;

	private $obj_notify;

    private $arr_params;



	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'view');

	}

	

	protected function PageLoad(){ 

		/*

		-- Other object loaded below 

		*/

		$this->obj_profile = $this->obj_ctrl->LoadBusiness('profile_organisasi', 'mysql', $this->arr_config['db']);

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');		

	}

	

	public function PageView(){

		// important to encypte bug post form

		if(isset($_POST['save'])){ 

			$action = array_keys($_POST['save']); 

			$this->arr_params = $_POST;

			unset($_POST);

		}else{

			$action = FALSE;

		}

		// controller to manage process that page requested

		switch($action[0]){

			case 'update':

				self::UpdateData();

				break;

			default:

				break;

		}

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function UpdateData(){

		// check / validate parameter 

		$err = array();	

		if(empty($this->arr_params['selector'])){ $err[] = '<br /><strong>Selector</strong> must be filled'; }

		if(empty($this->arr_params['description'])){ $err[] = '<br /><strong>Description</strong> must be filled'; }

		// processing --------------------------------------------------

		if(empty($err)){

			$params = array($this->arr_params['description'], $this->str_userid);

			$rslt = false;

			if($this->arr_params['selector'] == "visi"){

				$rslt = $this->obj_profile->SetInfoVisi($params);

			}elseif($this->arr_params['selector'] == "misi"){

				$rslt = $this->obj_profile->SetInfoMisi($params);

			}elseif($this->arr_params['selector'] == "sejarah") {

				$rslt = $this->obj_profile->SetInfoSejarah($params);

			}elseif($this->arr_params['selector'] == "anggaran_dasar") {

				$rslt = $this->obj_profile->SetInfoAnggaranDasar($params);

			}elseif($this->arr_params['selector'] == "anggaran_rumah_tangga") {

				$rslt = $this->obj_profile->SetInfoAnggaranRumahTangga($params);

			}elseif($this->arr_params['selector'] == "struktur_organisasi") {

				$rslt = $this->obj_profile->SetInfoStrukturOrganisasi($params);

			}elseif($this->arr_params['selector'] == "contact_us") {

				$rslt = $this->obj_profile->SetInfoContactUs($params);

			}

			if($rslt){

				// notification message				

				$this->obj_notify->ClearSession();

				$this->obj_notify->SetHeaderMessage("success", "Data has been saved.");

				$this->obj_notify->SentMessage();

			}else{

				// error message

				$this->obj_notify->ClearSession();

				$this->obj_notify->SetHeaderMessage("error", "Business process failure.");

				$this->obj_notify->SentMessage();

			}	

		}else{

			// error message

			$this->obj_notify->ClearSession();

			$this->obj_notify->SetHeaderMessage("error", "See input requirement.");

			foreach($err as $val){

				$this->obj_notify->SetMessage($val);

			}

			// filled field with last input

			$this->obj_notify->SetField('DESCRIPTION', $this->arr_params['description']);

			// sent message to view page	

			$this->obj_notify->SentMessage();

		}

		// redirect page

   		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view', array($this->arr_params['selector']));	

	}

}



?>