<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_account;

	protected $obj_notify;

	protected $obj_date;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* Other object loaded below */

		$this->obj_account = $this->obj_ctrl->LoadBusiness('account', 'mysql', $this->arr_config['db']);

		$this->obj_account->SetUsesBusinessQuery(array('business'));

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

	}

	

	public function PageView(){

		/* display view content */

		// display link

		self::DisplayVariable();

		// display user account

		self::DisplayUserAccount();

		// display notification

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayVariable(){

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

	}

	

	private function DisplayUserAccount(){

		$result = $this->obj_account->GetDataAsSingleArray("GetUserAccountByIdPerson", array($this->str_userid));

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'EMAIL', $result['email']);

			$this->obj_tmpl->addVar('content', 'USERID', $result['userid']);

		}

	}

}



?>