<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	var $obj_system;

	var $obj_notify;

	var $arr_params;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		

	}		

	

	protected function ParseDocumentOutput(){

		/** Redirect result to default page */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'settings');	

	}

	

	protected function BaseLoad(){ }

	

	protected function BaseView(){ }

	

	protected function PageLoad(){ 

		/*

		-- Other object loaded below 

		*/

		$this->obj_system = $this->obj_ctrl->LoadBusiness('systemdata', 'mysql', $this->arr_config['db']);

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){

		// important to encypte bug post form

		if(isset($_POST['save'])){ 

			$action = array_keys($_POST['save']); 

			$this->arr_params = $_POST;

			unset($_POST);

		}else{

			$action = FALSE;

		}

		// controller to manage process that page requested

		switch($action[0]){

			case 'general_setting':

				self::UpdateGeneralSetting();

				break;

			default:

				break;

		}

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function UpdateGeneralSetting(){

		// check / validate parameter 

		$err = array();	

		if(empty($this->arr_params['sitename'])){ $err[] = '<br /><strong>Site name</strong> must be filled'; }

		if(empty($this->arr_params['siteemail'])){ $err[] = '<br /><strong>Site email</strong> must be filled'; }

		if(empty($this->arr_params['version'])){ $err[] = '<br /><strong>Version</strong> must be filled'; }

		if(empty($this->arr_params['smtp_host'])){ $err[] = '<br /><strong>SMTP Host name</strong> must be filled'; }

		if(empty($this->arr_params['smtp_port'])){ $err[] = '<br /><strong>SMTP Port</strong> must be filled'; }

		if(empty($this->arr_params['smtp_username'])){ $err[] = '<br /><strong>SMTP Userid</strong> must be filled'; }

		if(empty($this->arr_params['smtp_password'])){ $err[] = '<br /><strong>SMTP Password</strong> must be filled'; }

		// processing --------------------------------------------------

		if(empty($err)){

			// field, format	: array('nama field' => value)

			$values = array("sitename:str" => $this->arr_params['sitename'], 

							"siteurl:str" => $this->arr_params['siteurl'], 

							"siteemail:str" => $this->arr_params['siteemail'], 

							"siteintro:str" => $this->arr_params['siteintro'], 

							"smtp_host:str" => $this->arr_params['smtp_host'], 

							"smtp_port:str" => $this->arr_params['smtp_port'], 

							"smtp_username:str" => $this->arr_params['smtp_username'], 

							"smtp_password:str" => $this->arr_params['smtp_password'], 

							"recordperpage:int" => 10, 

							"version:str" => $this->arr_params['version'], 

							"maintenance:int" => $this->arr_params['maintenance'], 

							"maintenance_message:str" => $this->arr_params['maintenance_message'],

							"mdb:str" => $_SESSION['admin_id'],

							"mdd:str" => date('Y-m-d H:i:s'));

			// params, format : array('nama field:AND/OR' => type:value) 

			$params = array('siteuser:AND' => 'str:build', 'sitepass:AND' => 'str:system');

			if($this->obj_system->UpdateData('sys_settings_m', $values, $params)){

				// notification message				

				$this->obj_notify->ClearSession();

				$this->obj_notify->SetHeaderMessage("success", "Data has been saved.");

				$this->obj_notify->SentMessage();

				// redirect to success page ------------------------------------

			}else{

				// error message

				$this->obj_notify->ClearSession();

				$this->obj_notify->SetHeaderMessage("error", "Business process failure.");

				$this->obj_notify->SentMessage();

				// redirect to page error page ------------------------------------	

			}	

		}else{

			// error message

			$this->obj_notify->ClearSession();

			$this->obj_notify->SetHeaderMessage("error", "See input requirement.");

			foreach($err as $val){

				$this->obj_notify->SetMessage($val);

			}

			// filled field with last input

			$this->obj_notify->SetField('SITENAME', $this->arr_params['sitename']);	

			$this->obj_notify->SetField('SITEEMAIL', $this->arr_params['siteemail']);	

			$this->obj_notify->SetField('VERSION', $this->arr_params['version']);

			// sent message to view page	

			$this->obj_notify->SentMessage();

			// redirect to page error page ------------------------------------		

		}

	}

}



?>