<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// init object
	
	private $obj_anggota;
	private $obj_date;
	// init variable
	private $int_periode = 0;

	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		// load business
		$this->obj_anggota = $this->obj_ctrl->LoadBusiness('anggota', 'mysql', $this->arr_config['db']);
		
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
	}
	
	public function PageView(){
		// display page link
		self::DisplayPageLink();
		// display list propinsi
		self::DisplayListCabang();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayPageLink(){
		//$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list-periode'));	
		
		
	}
	
	
	
	private function DisplayListCabang(){	
	$this->obj_tmpl->addVar('content', 'PRINT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'print_rekap'));	
				$img_path = HTTPPATH.'doc/temp/excel-icons.png';
				$this->obj_tmpl->addVar('content', 'ICON', $img_path);
		$anggota = 0;
		$pria = 0;
		$wanita = 0;
		$islam = 0;
		$kristen = 0;	
		$protestan = 0;
		$hindu = 0;
		$budha = 0;
		$diploma3= 0;
		$diploma4= 0;
		$s1= 0;
		$profesi= 0;
		$s2= 0;
		$s3= 0;
		$PNS_Praktisi= 0;
		$Swasta_Dosen= 0;
		$Non_PNS_Praktisi= 0;
		$PNS= 0;
		$PNS_Dosen= 0;
		$Praktik_Mandiri= 0;
		$Purn_PNS_Praktisi= 0;
		$TNI_Praktisi= 0;
		// parse data	
		$rs_id = $this->obj_anggota->GetResourceId("GetListWilayahAnggota", array());
		if($rs_id){
			$no = 1;
			while($rec = mysql_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_wilayah', 'NO', $no);
				$this->obj_tmpl->addVar('list_wilayah', 'NAMA', $rec['province_name']);
				// jumlah anggota
				//$this->obj_registrasi->DebugQuery("GetTotalPendaftaranByPeriodeProv",array($this->int_periode, $rec['id_province']));
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalAnggotaByWiayah",array($rec['id_province']));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'JUMLAH_PROV', $this->BoldValue($jumlah['total']));
				$anggota += $jumlah['total'];
				
				// jumlah dari jenis kelamin pria
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalJenisKelaminAnggotaByCabang",array($rec['id_province'], 'pria'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'PRIA', $this->BoldValue($jumlah['total']));
				$pria += $jumlah['total'];
				
				// jumlah dari Jenis kelamin wanita
				//$this->obj_registrasi->DebugQuery("GetTotalPelamarByPeriodeStepProv",array($this->int_periode, $rec['id_province'], 3));
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalJenisKelaminAnggotaByCabang",array($rec['id_province'], 'wanita'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'WANITA', $this->BoldValue($jumlah['total']));
				$wanita += $jumlah['total'];
				
				// jumlah Agama Islam
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalAgamaAnggotaByCabang",array($rec['id_province'], 'Islam'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'ISLAM', $this->BoldValue($jumlah['total']));
				$islam += $jumlah['total'];
				
				// jumlah Agama Kristen
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalAgamaAnggotaByCabang",array($rec['id_province'], 'kristen'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'KRISTEN', $this->BoldValue($jumlah['total']));
				$kristen += $jumlah['total'];
				
				// jumlah Agama Protestan
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalAgamaAnggotaByCabang",array($rec['id_province'], 'Katholik'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'PROTESTAN', $this->BoldValue($jumlah['total']));
				$protestan += $jumlah['total'];
				
				// Jumlah Agama Hindu
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalAgamaAnggotaByCabang",array($rec['id_province'], 'Hindu'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'HINDU', $this->BoldValue($jumlah['total']));
				$hindu += $jumlah['total'];
				
				//Jumlah Agama Budha
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalAgamaAnggotaByCabang",array($rec['id_province'], 'Budha'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'BUDHA', $this->BoldValue($jumlah['total']));
				$budha += $jumlah['total'];
				
				
				//Jumlah DIII
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'SPK'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'DIII', $this->BoldValue($jumlah['total']));
				$diploma3 += $jumlah['total'];
				
				
				//Jumlah DIV
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'D_III'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'DIV', $this->BoldValue($jumlah['total']));
				$diploma4 += $jumlah['total'];
				
				//Jumlah SI
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'S1_Ners'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'SI', $this->BoldValue($jumlah['total']));
				$s1 += $jumlah['total'];
				
				//PRofesi
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'S2_Magister'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'PROFESI', $this->BoldValue($jumlah['total']));
				$profesi += $jumlah['total'];
				
				//S2
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'S2_Spesialis'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'SII', $this->BoldValue($jumlah['total']));
				$s2 += $jumlah['total'];
				
				//S2
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'S3'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'SII', $this->BoldValue($jumlah['total']));
				$s2 += $jumlah['total'];
				
			
				
				//PNS_Praktisi
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'PNS_Praktisi'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'PNS_PRAKTISI', $this->BoldValue($jumlah['total']));
				$PNS_Praktisi += $jumlah['total'];
				
				//Swasta_Dosen
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'Swasta_Dosen'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'SWASTA_DOSEN', $this->BoldValue($jumlah['total']));
				$Swasta_Dosen += $jumlah['total'];
				
				//Non_PNS_Praktisi
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'Non_PNS_Praktisi'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'NON_PNS_PRAKTISI', $this->BoldValue($jumlah['total']));
				$Non_PNS_Praktisi += $jumlah['total'];
				
				
				//PNS
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'PNS'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'PNS', $this->BoldValue($jumlah['total']));
				$PNS += $jumlah['total'];
				
				
				//PNS Dosen
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'PNS_Dosen'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'PNS_DOSEN', $this->BoldValue($jumlah['total']));
				$PNS_Dosen += $jumlah['total'];
				
				
				//Praktik Mandiri
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'Praktik_Mandiri'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'PRAKTIK_MANDIRI', $this->BoldValue($jumlah['total']));
				$Praktik_Mandiri += $jumlah['total'];
				
				//Non_PNS_Praktisi
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'Purn_PNS_Praktisi'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'PURN_PNS_PRSKTIK', $this->BoldValue($jumlah['total']));
				$Purn_PNS_Praktisi += $jumlah['total'];
				
				//TNI_Praktisi
				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetTotalPendidikanAnggotaByCabang",array($rec['id_province'], 'TNI_Praktisi'));
				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');
				$this->obj_tmpl->addVar('list_wilayah', 'TNI_PRAKTI', $this->BoldValue($jumlah['total']));
				$TNI_Praktisi += $jumlah['total'];
				
				
				// append
				$this->obj_tmpl->ParseTemplate('list_wilayah', 'a');
				$no++;
			}
		}
		// jumlah total
		$anggota = (empty($anggota)?'':$anggota);
		$pria = (empty($pria)?'':$pria);
		$wanita = (empty($wanita)?'':$wanita);
		$islam = (empty($islam)?'':$islam);
		$kristen = (empty($kristen)?'':$kristen);
		$protestan = (empty($protestan)?'':$protestan);
		$hindu = (empty($hindu)?'':$hindu);
		$budha= (empty($budha)?'':$budha);
		$diploma3= (empty($diploma3)?'':$diploma3);
		$diploma4= (empty($diploma4)?'':$diploma4);
		$s1= (empty($s1)?'':$s1);
		$profesi= (empty($profesi)?'':$profesi);
		$s2= (empty($s2)?'':$s2);
		$s3= (empty($s3)?'':$s3);
		$PNS_Praktisi= (empty($PNS_Praktisi)?'':$PNS_Praktisi);
		$Swasta_Dosen= (empty($Swasta_Dosen)?'':$Swasta_Dosen);
		$Non_PNS_Praktisi= (empty($Non_PNS_Praktisi)?'':$Non_PNS_Praktisi);
		$PNS= (empty($PNS)?'':$PNS);
		$PNS_Dosen= (empty($PNS_Dosen)?'':$PNS_Dosen);
		$Praktik_Mandiri= (empty($Praktik_Mandiri)?'':$Praktik_Mandiri);
		$Purn_PNS_Praktisi= (empty($Purn_PNS_Praktisi)?'':$Purn_PNS_Praktisi);
		$TNI_Praktisi= (empty($TNI_Praktisi)?'':$TNI_Praktisi);

		$this->obj_tmpl->addVar('content', 'JUMLAH', $anggota);
		$this->obj_tmpl->addVar('content', 'PRIA', $pria);
		$this->obj_tmpl->addVar('content', 'WANITA', $wanita);
		$this->obj_tmpl->addVar('content', 'ISLAM', $islam);
		$this->obj_tmpl->addVar('content', 'KRISTEN', $kristen);
		$this->obj_tmpl->addVar('content', 'PROTESTAN', $protestan);
		$this->obj_tmpl->addVar('content', 'HINDU', $hindu);
		$this->obj_tmpl->addVar('content', 'BUDHA', $budha);
		$this->obj_tmpl->addVar('content', 'DIII', $diploma3);
		$this->obj_tmpl->addVar('content', 'DIV', $diploma4);
		$this->obj_tmpl->addVar('content', 'SI', $s1);
		$this->obj_tmpl->addVar('content', 'PROFESI', $profesi);
		$this->obj_tmpl->addVar('content', 'SII', $s2);
		$this->obj_tmpl->addVar('content', 'SIII', $s3);
		$this->obj_tmpl->addVar('content', 'PNS_PRAKTISI', $PNS_Praktisi);
		$this->obj_tmpl->addVar('content', 'SWASTA_DOSEN', $Swasta_Dosen);
		$this->obj_tmpl->addVar('content', 'NON_PNS_PRAKTISI', $Non_PNS_Praktisi);
		$this->obj_tmpl->addVar('content', 'PNS', $PNS);
		$this->obj_tmpl->addVar('content', 'PNS_DOSEN', $PNS_Dosen);
		$this->obj_tmpl->addVar('content', 'PRAKTIK_MANDIRI', $Praktik_Mandiri);
		$this->obj_tmpl->addVar('content', 'PURN_PNS_PRSKTIK', $Purn_PNS_Praktisi);
		$this->obj_tmpl->addVar('content', 'TNI_PRAKTI', $TNI_Praktisi);
		
		
	}
	
	private function BoldValue($value){
		if(!empty($value))
			$value = "<b>".$value."</b>";
		else
			$value = $value;
		return $value;
	}
}

?>