<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	var $obj_system;

	var $obj_notify;

	var $arr_params;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		

	}		

	

	protected function ParseDocumentOutput(){

		/** Redirect result to default page */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view');	

	}

	

	protected function BaseLoad(){ }

	

	protected function BaseView(){ }

	

	protected function PageLoad(){ 

		/*

		-- Other object loaded below 

		*/

		$this->obj_system = $this->obj_ctrl->LoadBusiness('systemdata', 'mysql', $this->arr_config['db']);

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){

		// important to encypte bug post form

		if(isset($_POST['save'])){ 

			$action = array_keys($_POST['save']); 

			$this->arr_params = $_POST;

			unset($_POST);

		}else{

			$action = FALSE;

		}

		// controller to manage process that page requested

		switch($action[0]){

			case 'insert':

				self::InsertData();

				break;

			default:

				break;

		}

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function InsertData(){

		// check / validate parameter 

		$err = array();	

		if(empty($this->arr_params['id_group'])){ $err[] = '<br /><strong>Group</strong> must be selected'; }

		if(empty($this->arr_params['id_auth'])){ $err[] = '<br /><strong>Authority</strong> must be selected'; }

		// processing --------------------------------------------------

		if(empty($err)){			

			// delete data

			$this->obj_system->DeleteData('sys_menu_authority_t', 'int', 'id_auth', $this->arr_params['id_auth']);

			// save data

			if(isset($this->arr_params['selected'])){

				foreach($this->arr_params['selected'] as $val){

					$params = array("id_auth" 	=> "int:" . $this->arr_params['id_auth'],

									"id_nav" 	=> "int:" . $val);

					$this->obj_system->InsertData('sys_menu_authority_t', $params);

				}

			}

			// notification message	

			$this->obj_notify->ClearSession();

			$this->obj_notify->SetHeaderMessage("success", "Data has been saved.");

			$this->obj_notify->SentMessage();				

		}else{

			// error message

			$this->obj_notify->ClearSession();

			$this->obj_notify->SetHeaderMessage("error", "See input requirement.");

			foreach($err as $val){

				$this->obj_notify->SetMessage($val);

			}

			// filled field with last input

			$this->obj_notify->SetField('TITLE', $this->arr_params['title']);

			$this->obj_notify->SetField('NARATION', $this->arr_params['naration']);

			$this->obj_notify->SetField('APP', $this->arr_params['app']);

			$this->obj_notify->SetField('GROUP', $this->arr_params['group']);

			$this->obj_notify->SetField('MODULE', $this->arr_params['module']);

			$this->obj_notify->SetField('PAGE', $this->arr_params['page']);

			$this->obj_notify->SetField('SORT', $this->arr_params['sort']);

			// sent message to view page	

			$this->obj_notify->SentMessage();

			// redirect to page error page ------------------------------------		

			

		}

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'add', array($this->arr_params['id_group'], $this->arr_params['id_auth']));	

	}

}



?>