<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_admin;

	protected $obj_mutasi;

	protected $obj_registrasi;

	protected $obj_notify;

	protected $obj_date;

	protected $obj_data;

	protected $obj_cv;
	
    protected $obj_iuran;
	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();		

		// load object business

		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);	

		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);

			$this->obj_cv = $this->obj_ctrl->LoadBusiness('curriculum_vitae', 'mysql', $this->arr_config['db']);	

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		$this->obj_mutasi = $this->obj_ctrl->LoadBusiness('mutasi', 'mysql', $this->arr_config['db']);
		$this->obj_iuran = $this->obj_ctrl->LoadBusiness('iuran', 'mysql', $this->arr_config['db']);
		$loaded_query = array('business');
		$this->obj_iuran->SetUsesBusinessQuery($loaded_query);

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');		

	}

	

	public function PageView(){

		// variable display

		self::DisplayVariable();

		// display data calon anggota

		self::DisplayCalonAnggota();
		
		self::DisplayDataIuran();

		// display notification

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayVariable(){

		// variable

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'terbaru', array($this->arr_routes['params'][0])));

		$this->obj_tmpl->addVar('content', 'PAGE', $this->arr_routes['params'][0]);

	}

	

	private function CheckAuthority($id_cabang){

		$params = array($this->str_userid, $id_cabang);

		if(!$this->obj_admin->CheckAuthorityByCabangAdmin($params)){

			// redirect to view page

			$this->obj_ctrl->RedirectUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'terbaru');

		}

	}

	

	private function DisplayCalonAnggota(){

		$params = array($this->arr_routes['params'][1]);

		$result = $this->obj_cv->GetIdentitasPribadiByIdPerson($params);	
		//print_r($result['photo']);
		// photo

		$file_photo = "doc/foto/".$result['photo'];

		if(is_file($file_photo))

			$this->obj_tmpl->addVar('content', 'PHOTOPATH', HTTPPATH.$file_photo);

		else

			$this->obj_tmpl->addVar('content', 'PHOTOPATH', HTTPPATH."doc/temp/blank.jpg");	

		//$this->obj_registrasi->DebugQuery('GetDataMutasiAnggotaByid',($params));
		$paramsid = array($this->arr_routes['params'][0],$this->arr_routes['params'][1]);
		$result = $this->obj_mutasi->GetDataPerizinanAnggotaByid($paramsid);
		
		$paramsidperson = array($this->arr_routes['params'][1]);
		$result_str = $this->obj_mutasi->GetDataStrAnggotaByid($paramsidperson);

		//print_r($result['nama_lengkap']);

		// check authority

				//$this->obj_tmpl->addVar('content', 'PAGE', $this->arr_routes['params'][0]);
				$this->obj_tmpl->addVar('content', 'JENIS', $result['jenis_rekom']);
				//$this->obj_tmpl->addVar('content', 'NO_URUT', $result['id']);
				$this->obj_tmpl->addVar('content', 'ID_PERSON', $result['id_person']);
				
				$this->obj_tmpl->addVar('content', 'ID', $result['id']);

				$this->obj_tmpl->addVar('content', 'NAMA_LENGKAP', $result['nama_lengkap']);

				$this->obj_tmpl->addVar('content', 'TEMPAT_LAHIR', $result['tempat_lahir']);

				$this->obj_tmpl->addVar('content', 'TGL_LAHIR', $result['tanggal_lahir']);

				$this->obj_tmpl->addVar('content', 'JENIS_KELAMIN', $result['jenis_kelamin']);				$this->obj_tmpl->addVar('content', 'KTP', $result['no_ktp']);	

				$this->obj_tmpl->addVar('content', 'TEMPAT_LAHIR', $result['tempat_lahir']);	

				$this->obj_tmpl->addVar('content', 'PREFIX', $result['prefix']);	

				$this->obj_tmpl->addVar('content', 'SUFFIX', $result['suffix']);	

				$this->obj_tmpl->addVar('content', 'ALAMAT', $result['alamat']);

				$this->obj_tmpl->addVar('content', 'RELASI', ucwords($result['status_relasi']));

				$this->obj_tmpl->addVar('content', 'AGAMA', $result['agama']);		

				$this->obj_tmpl->addVar('content', 'KODEPOS', $result['kodepos']);	

				$this->obj_tmpl->addVar('content', 'TELEPON', $result['telepon']);
                $this->obj_tmpl->addVar('content', 'TGL_SELESAI_STR',$this->obj_date->GetFullDate($result_str['tgl_selesai'], 'ins'));
				$this->obj_tmpl->addVar('content', 'NO_ANGGOTA', $result['no_anggota']);

				$this->obj_tmpl->addVar('content', 'NO_ANGGOTA_BARU', $result['no_anggota_baru']);

				$this->obj_tmpl->addVar('content', 'WILAYAG_ASAL', $result['wilayah']);
				
				$this->obj_tmpl->addVar('content', 'DPD_ASAL', $result['kota_asal']);
				
				$this->obj_tmpl->addVar('content', 'DAERAH_TUJUAN', $result['kota_mutasi']);

				$this->obj_tmpl->addVar('content', 'CABANG_ASAL', $result['cabang']);

				$this->obj_tmpl->addVar('content', 'WILAYAG_MUTASI', $result['wilayah_mutasi']);

				$this->obj_tmpl->addVar('content', 'ID_KOTA_MUTASI', $result['id_city_tujuan']);

				$this->obj_tmpl->addVar('content', 'CABANG_MUTASI', $result['cabang_mutasi']);

				$this->obj_tmpl->addVar('content', 'ID_WILAYAG_MUTASI', $result['id_province_tujuan']);

				$this->obj_tmpl->addVar('content', 'ID_CABANG_MUTASI', $result['id_cabang_tujuan']);
				
				// ETIK
			    $ijazah_path = HTTPPATH.$result['path_etik']."/".$result['file_etik'];
		        $type = explode(".", $result['file_etik']);
		        $tipe = end($type);
				        //print_r($tipe);
        		if($tipe=="jpg" or $tipe=="jpeg" or $tipe=="png" or $tipe=="gif"){
        		$new_parse .= "<img src=\"$ijazah_path\" width=\"100%\"/>";    
        		}elseif($tipe=="pdf"){
        		$new_parse .= "<embed src=\"$ijazah_path\" type=\"application/pdf\" width=\"100%\" height=\"600px\" />";    
        		}
	        	//print_r($new_parse);exit;	
		        $this->obj_tmpl->addVar('content', 'ETIK', $new_parse);
		        
		        // BCLS
			    $btcls_path = HTTPPATH.$result['path_btcls'].$result['file_btcls'];
			    //print_r($btcls_path);
		        $type_btcls = explode(".", $result['file_btcls']);
		        $tipe_btcls = end($type_btcls);
				        //print_r($tipe);
        		if($tipe_btcls=="jpg" or $tipe_btcls=="jpeg" or $tipe_btcls=="png" or $tipe_btcls=="gif"){
        		$new_btcls .= "<img src=\"$btcls_path\" width=\"100%\"/>";    
        		}elseif($tipe_btcls=="pdf"){
        		$new_btcls .= "<embed src=\"$btcls_path\" type=\"application/pdf\" width=\"100%\" height=\"600px\" />";    
        		}
	        	//print_r($new_btcls);exit;	
		        $this->obj_tmpl->addVar('content', 'BTCLS', $new_btcls);

	}
	
		private function DisplayDataIuran(){

		// get data anggota

		$tahun_selected = '';
		$tahun_start = date('Y')+3;
		$tahun = 2012;
		if(isset($this->arr_routes['params'][2])){
			$tahun = $this->arr_routes['params'][2];
		}
		$this->obj_tmpl->addVar('content', 'TAHUN', $tahun);
		for($i=$tahun_start;$i>=$tahun;$i--){
			if($i == $tahun){
				$tahun_selected = $i;
				$this->obj_tmpl->addVar('list_tahun', 'SELECTED', 'selected="selected"');
			}else{
				$this->obj_tmpl->addVar('list_tahun', 'SELECTED', '');
			}
			$this->obj_tmpl->addVar('list_tahun', 'TAHUN', $i);
			$iuran = $this->GetStatusPembayaran($this->arr_routes['params'][1], $i);
			$this->obj_tmpl->addVar('list_tahun', 'BYR', $iuran);
			$result = $this->obj_iuran->GetDataAsSingleArray("GetDataAnggotaRincianByPersonTahun", array($this->arr_routes['params'][1], $i));
			if(!empty($result)){
			$this->obj_tmpl->addVar('list_tahun', 'TGL',$this->obj_date->GetFullDate($result['mdd']));
			}
			$this->obj_tmpl->parseTemplate('list_tahun', 'a');
		}

	}

	
	private function GetStatusPembayaran($id_pereson, $tahun){
		//$this->obj_iuran->DebugQuery("GetDataAnggotaIuranByPersonTahun", array($id_pereson, $tahun));
		$result = $this->obj_iuran->GetDataAsSingleArray("GetDataAnggotaIuranByPersonTahun", array($id_pereson, $tahun));
		if(!empty($result)){
			switch($result['status_pelunasan']){
				
				case 'yes':
					return HTTPPATH.'doc/temp/note_accept.png';
					break;
				default:
					return HTTPPATH.'doc/temp/note_process.png';
					break;
			}
		}else{
			return HTTPPATH.'doc/temp/note_process.png';
		}
		
	} 

}



?>