<?php

//============================================================+

// File name   : eng.php

// Begin       : 2004-03-03

// Last Update : 2010-02-17

// 

// Description : Language module for TCPDF

//               (contains translated texts)

// 

// Author: Nicola Asuni

// 

// (c) Copyright:

//               Nicola Asuni

//               Tecnick.com s.r.l.

//               Via Della Pace, 11

//               09044 Quartucciu (CA)

//               ITALY

//               www.tecnick.com

//               info@tecnick.com

//============================================================+



/**

 * TCPDF language file (contains translated texts).

 * @package com.tecnick.tcpdf

 * @abstract TCPDF language file.

 * @author Nicola Asuni

 * @copyright 2004-2009 Nicola Asuni - Tecnick.com S.r.l (www.tecnick.com) Via Della Pace, 11 - 09044 - Quartucciu (CA) - ITALY - www.tecnick.com - info@tecnick.com

 * @link http://tcpdf.sourceforge.net

 * @license http://www.gnu.org/copyleft/lesser.html LGPL

 * @since 2004-03-03

 */

 

// ENGLISH



global $l;

$l = Array();



// PAGE META DESCRIPTORS --------------------------------------



$l['a_meta_charset'] = 'UTF-8';

$l['a_meta_dir'] = 'ltr';

$l['a_meta_language'] = 'en';



// TRANSLATIONS --------------------------------------

$l['w_page'] = 'page';



//============================================================+

// END OF FILE                                                 

//============================================================+

?>

