<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	protected $obj_admin;

	protected $obj_anggota;

	protected $obj_paging;

	protected $obj_date;

	// var

	protected $str_keyword;

	protected $str_cabang;

	protected $str_prov_kom;

	protected $str_city;

	protected $obj_data;

	private $int_propinsi = 0;

	private $int_kota = 0;

	private $int_cabang = 0;

	protected $arr_prov_kom = array();

	protected $arr_cty_kom = array();

	protected $arr_cabang = array();

	private $str_cari_par;
    protected $obj_crypt;
	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* Other object loaded below */

		// load object business

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		$this->obj_data->UseQuery(array('propinsi', 'kota'));

		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);	

		$this->obj_anggota = $this->obj_ctrl->LoadBusiness('anggota', 'mysql', $this->arr_config['db']);	

		// load object pagination

		$this->obj_ctrl->LoadJavascript('jquery');

		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');

		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

		// load javascript

		$this->obj_ctrl->LoadJavascript('form_event');	
		$this->obj_crypt = $this->obj_ctrl->LoadLibrary('Cryptograph');	
			// javascript loaded
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');

	}

	

	public function PageView(){

		// display variable

		self::DisplayVariable();		

		// display cabang

		self::DisplayCabangAuthority();	

		// display calon anggota

		self::DisplayListAnggota();

		// display calon anggota

		self::DisplayFormProvinsi();

		// Kota Komisariat

		self::DisplayListKota();

		// display calon anggota

		self::DisplayPrintLink();

		// Get Memory Allocation

		//ini_set('memory_limit', '9999M'); //Raise to 512 MB

		//ini_set('max_execution_time', '3600'); //Raise to 512 MBs

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayVariable(){

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view'));	

		

		$this->obj_tmpl->addVar('content', 'URL_REKAP', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list-wilayah'));	

		

		$this->obj_tmpl->addVar('content', 'URL_PROCESS2', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kta'));

		

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	

		$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota-komisariat'));
		
		
		$this->obj_tmpl->addVar('content', 'WAKTU', date("Y-m-d h:i:sa") );
		// keyword

		if(isset($_SESSION['search']['keyword'])){

			$this->str_keyword = "%" . $_SESSION['search']['keyword'] . "%";

			$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['keyword']);

		}else{

			$this->str_keyword = "%%";

		}

		if(isset($_SESSION['search']['prov_kom']) && $_SESSION['search']['prov_kom']>0){

			$this->int_propinsi = $_SESSION['search']['prov_kom'];

			$this->str_cari_par .= " AND b.id_province_kom = " . $this->int_propinsi." ";

		}

		if(isset($_SESSION['search']['city']) && $_SESSION['search']['city']>0){

			$this->int_kota = $_SESSION['search']['city'];

			$this->str_cari_par .= " AND b.id_city_komisariat = " . $this->int_kota." " ;

		}

		if(isset($_SESSION['search']['cabang']) && $_SESSION['search']['cabang']>0){

			$this->int_cabang = $_SESSION['search']['cabang'];

			$this->str_cari_par .= " AND b.id_cabang = " . $this->int_cabang." " ;

		}
		
		if(isset($_SESSION['search']['nira']) && $_SESSION['search']['nira']>0){

			$this->int_cabang = $_SESSION['search']['nira'];

			$this->str_cari_par .= " AND b.no_anggota = " .$_SESSION['search']['nira']." " ;
			$this->obj_tmpl->addVar('content', 'NIRA', $_SESSION['search']['nira']);

		}

	}


	

	private function DisplayFormProvinsi(){

	// cabang

	$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);

	if(isset($_SESSION['search']['prov_kom'])){ $this->str_prov_kom = $_SESSION['search']['prov_kom'];}

		//$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);

		// display propinsi

		

		$rs_id = $this->obj_admin->GetListProvinceByAdmin(array());	

			while($rs = mysqli_fetch_assoc($rs_id)){	

			//print_r($rs['id_province']);

			$this->arr_prov_kom[] = $rs['id_province'];

				if($this->int_propinsi == $rs['id_province']){

					$this->obj_tmpl->addVar('list_province', 'SELECTED', 'selected="selected"');

				}else{

					$this->obj_tmpl->addVar('list_province', 'SELECTED', '');

				}	

				$this->obj_tmpl->addVar('list_province', 'VALUE', $rs['id_province']);

				$this->obj_tmpl->addVar('list_province', 'NAME', $rs['province_name']);

				$this->obj_tmpl->parseTemplate('list_province', 'a');

			}

		

	}	

	

	private function DisplayListKota(){

	

	if(isset($_SESSION['search']['city'])){ $this->int_kota = $_SESSION['search']['city'];}

	//print_r($this->int_propinsi);

		$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($this->int_propinsi));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				if($this->int_kota == $rec['id_city'])

					$this->obj_tmpl->addVar('list_kota', 'SELECTED', 'selected="selected"');

				else

					$this->obj_tmpl->addVar('list_kota', 'SELECTED', '');

				$this->obj_tmpl->addVar('list_kota', 'VALUE', $rec['id_city']);

				$this->obj_tmpl->addVar('list_kota', 'NAMA', $rec['city_name']);

				$this->obj_tmpl->ParseTemplate('list_kota', 'a');

			}

		}

	}

	

	

	private function DisplayCabangAuthority(){

	

	if(isset($_SESSION['search']['cabang'])){ $this->int_cabang = $_SESSION['search']['cabang'];}

	//print_r($this->int_propinsi);

	//$this->obj_data->DebugQuery("GetListKomisariatByKota", array($this->int_kota));

		$rs_id = $this->obj_data->GetResourceId("GetListKomisariatByKota", array($this->int_kota));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				if($this->int_cabang == $rec['id_cabang'])

					$this->obj_tmpl->addVar('list_cabang', 'SELECTED', 'selected="selected"');

				else

					$this->obj_tmpl->addVar('list_cabang', 'SELECTED', '');

				$this->obj_tmpl->addVar('list_cabang', 'VALUE', $rec['id_cabang']);

				$this->obj_tmpl->addVar('list_cabang', 'NAMA', $rec['nama']);

				$this->obj_tmpl->ParseTemplate('list_cabang', 'a');

			}

		}

	}

	

	

	private function DisplayCabangAuthority2(){

		// cabang

		$cabang = "";

		

		if(isset($_SESSION['search']['cabang'])){ $this->str_cabang = $_SESSION['search']['cabang'];}

		//print_r($this->str_cabang);

		// parsing data

		//$rs_id = $this->obj_admin->GetListCabangByAdmin(array($this->str_userid));

		 //$this->obj_data->DebugQuery("GetListKomisariatByKota", array($this->int_kota));	

		$rs_id = $this->obj_data->GetResourceId("GetListKomisariatByKota", array($this->int_kota));	

		if($rs_id){	

		while($rs = mysqli_fetch_assoc($rs_id)){	

			$this->arr_cabang[] = $rs['id_cabang'];

			if($this->str_cabang == $rs['id_cabang']){

				$this->obj_tmpl->addVar('list_cabang', 'SELECTED', 'selected="selected"');

			}else{

				$this->obj_tmpl->addVar('list_cabang', 'SELECTED', '');

			}

			$this->obj_tmpl->addVar('list_cabang', 'VALUE', $rs['id_cabang']);

			$this->obj_tmpl->addVar('list_cabang', 'NAMA', $rs['nama']);

			$this->obj_tmpl->ParseTemplate('list_cabang', 'a');

		}

		}

		if(empty($this->str_cabang))

			$this->arr_cabang = implode(',', $this->arr_cabang);

		else

			$this->arr_cabang = $this->str_cabang;

	}

	

	private function DisplayListAnggota(){

	    ///print_r($_SESSION['search']);

		// set parameter pages on index [0]

		if(!isset($this->arr_routes['params'][0]))

			$page = 1;

		else

			$page = $this->arr_routes['params'][0];

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(10);

		// set total record
        
        //$this->obj_anggota->DebugQuery("GetTotalAnggotaByAdmin2",array($this->str_keyword, $this->str_cari_par));
        
		$int_total = $this->obj_anggota->GetTotalAnggotaByAdmin2(array($this->str_keyword, $this->str_cari_par));

		$this->obj_paging->SetTotalRecord($int_total);

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));

		// set template

		$this->obj_paging->SetTempatePaging('pagination');

		// parse paging

		$this->obj_paging->ParsePaging();

		// get data

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		//$this->arr_prov_kom,$this->arr_cty_kom;

		//print_r($this->arr_prov_kom);

		// parsing data

		//$this->obj_anggota->DebugQuery("GetDataAnggotaByAdmin2",array($this->arr_cabang, $this->str_keyword, $this->str_cari_par,$start, $max));	

		$rs_id = $this->obj_anggota->GetDataAnggotaByAdminNor(array($this->arr_cabang, $this->str_keyword, $this->str_cari_par,$start, $max));	

		if($rs_id){

			$no = $start + 1;

			while($rs = mysqli_fetch_assoc($rs_id)){		

				// url		  

				$url_edit = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'edit_pp', array($page, $rs['person'], $rs['id_cabang']));			  
    
				$url_hapus = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'hapus', array($page, $rs['person'], $rs['id_cabang']));

				//$url_kta = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kta', array($page, $rs['person'], $rs['id_cabang']));

				//$this->obj_tmpl->addVar('list_data', 'URL_MUTASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'mutasi',array($page, $rs['person'], $rs['id_cabang'])));	
                
                $url_iuran = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'iuran', array($page, $rs['person']));
				// parse data

				$this->obj_tmpl->addVar('list_data', 'NO', $no);

				$this->obj_tmpl->addVar('list_data', 'ID_PERSON', $rs['person']);

				$this->obj_tmpl->addVar('list_data', 'NAMA', $rs['nama_lengkap']);

				$this->obj_tmpl->addVar('list_data', 'PREFIX', $rs['prefix']);

				$this->obj_tmpl->addVar('list_data', 'SUFFIX', $rs['suffix']);
				
					$this->obj_tmpl->addVar('list_data', 'URL_IURAN', $url_iuran);
				//$account=$this->obj_anggota->GetDataAsSingleArray("GetDatauseridById",array($rs['person']));
				//$this->obj_tmpl->addVar('list_data', 'USERID', $account['userid']);
				
            	//$this->obj_tmpl->addVar('list_data', 'PASSWORD', $this->obj_crypt->StandardDecrypt($account['pass'], $account['hash_key']));
            	
				$cabang=$this->obj_anggota->GetDataAsSingleArray("GetDataCabangById",array($rs['id_cabang']));

				$this->obj_tmpl->addVar('list_data', 'CABANG', $cabang['cabang']);
				
				
            	
				$this->obj_tmpl->addVar('list_data', 'NO_ANGGOTA', $rs['no_anggota']);

				$this->obj_tmpl->addVar('list_data', 'STR', $rs['no_str']);

				$this->obj_tmpl->addVar('list_data', 'URL_EDIT', $url_edit);

				$this->obj_tmpl->addVar('list_data', 'URL_HAPUS', $url_hapus);

				$this->obj_tmpl->addVar('list_data', 'URL_KTA', $url_kta);

				$this->obj_tmpl->addVar('list_data', 'TERDAFTAR',  $this->obj_date->GetFullDate($rs['registration_date'], 'ins'));
				$this->obj_tmpl->addVar('list_data', 'EMAIL', $account['email']);
				$this->obj_tmpl->addVar('list_data', 'HP', $rs['no_hp']);

				// new member

				$new_path = HTTPPATH."doc/temp/new-member.png";

				$new_path = '<img src="'.$new_path.'" alt="" title="Anggota baru" width=\"25px\" />';

				$reg_date = explode('-', $rs['registration_date']);

				$reg_date = trim(date("Ym", mktime(0, 0, 0, $reg_date[1], 1, $reg_date[0])));

				$now = strval(date('Y').date('m'));

				if($now == $reg_date)

					$this->obj_tmpl->addVar('list_data', 'NEW', $new_path);

				else

					$this->obj_tmpl->addVar('list_data', 'NEW', '');

				// --

				$this->obj_tmpl->ParseTemplate('list_data', 'a');

				$no++;

			}

		}

	}

	

	private function DisplayPrintLink(){

		if(!empty($this->int_propinsi)){

			$this->obj_tmpl->setAttribute('print_out', 'visibility', 'show');

			$url_download = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'print-out', array());

			$this->obj_tmpl->addVar('print_out', 'URL_PRINT', $url_download);

		}

	}

}



?>