<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	protected $obj_admin;
	protected $obj_anggota;
	protected $obj_paging;
	protected $obj_date;
	protected $obj_notify;
	// var
	protected $str_keyword;
	protected $str_cabang;
	protected $str_prov_kom;
	protected $str_city;
	protected $obj_data;
	private $int_propinsi = 0;
	private $int_kota = 0;
	private $int_cabang = 0;
	protected $arr_prov_kom = array();
	protected $arr_cty_kom = array();
	protected $arr_cabang = array();
	private $str_cari_par;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/* Other object loaded below */
		// load object business
		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);
		$this->obj_data->UseQuery(array('propinsi', 'kota'));
		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);	
		$this->obj_anggota = $this->obj_ctrl->LoadBusiness('anggota', 'mysql', $this->arr_config['db']);	
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		// load object pagination
		$this->obj_ctrl->LoadJavascript('jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
		// load javascript
		$this->obj_ctrl->LoadJavascript('form_event');	
	}
	
	public function PageView(){
		// display variable
		self::DisplayVariable();		
		// display variable
		self::DisplayNotification();	
		// display cabang
		self::DisplayCabangAuthority();	
		// display cabang
		self::DisplayCabangAuthority2();	
		// display calon anggota
		self::DisplayListAnggota();
		// display calon anggota
		//self::DisplayFormProvinsi();
		// Kota Komisariat
		//self::DisplayListKota();
		// display calon anggota
		self::DisplayPrintLink();
		// Get Memory Allocation
		//ini_set('memory_limit', '9999M'); //Raise to 512 MB
		//ini_set('max_execution_time', '3600'); //Raise to 512 MBs
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayVariable(){
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array()));	
		
		$this->obj_tmpl->addVar('content', 'URL_REKAP', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list-wilayah'));	
		$this->obj_tmpl->addVar('content', 'URL_KOMISARIAT', $this->obj_ctrl->GetURL($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'komisariat'));
		
		
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	
		$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota-komisariat'));
		//$this->obj_admin->DebugQuery("GetListCabangAdminByiddpd", array($this->str_userid, $this->str_userid));
		$result = $this->obj_admin->GetDataAsSingleArray("GetListCabangAdminByiddpd", array($this->str_userid, $this->str_userid));
		
		$result2 = $this->obj_admin->GetDataAsSingleArray("GetListcitybyIdCity", array($result['id_city']));
	
		$this->int_propinsi =$result2['id_province'];
		$this->int_kota = $result['id_city'];
		$this->str_cari_par .= " AND b.id_city_komisariat = " . $this->int_kota." " ;
		
		// keyword
		if(isset($_SESSION['search']['keyword'])){
			$this->str_keyword = "%" . $_SESSION['search']['keyword'] . "%";
			$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['keyword']);
		}else{
			$this->str_keyword = "%%";
		}
		if(isset($_SESSION['search']['prov_kom']) && $_SESSION['search']['prov_kom']>0){
			$this->int_propinsi = $_SESSION['search']['prov_kom'];
			$this->str_cari_par .= " AND b.id_province_kom = " . $this->int_propinsi." ";
		}
		if(isset($_SESSION['search']['city']) && $_SESSION['search']['city']>0){
			$this->int_kota = $_SESSION['search']['city'];
			$this->str_cari_par .= " AND b.id_city_komisariat = " . $this->int_kota." " ;
		}
		if(isset($this->arr_routes['params'][0]) && $this->arr_routes['params'][0]>0){
			$this->int_cabang = $this->arr_routes['params'][0];
			$this->str_cari_par .= " AND b.id_cabang = " . $this->int_cabang." " ;
		}
	}
	
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	
	
	
	
	private function DisplayListKota(){
	
	if(isset($_SESSION['search']['city'])){ $this->int_kota = $_SESSION['search']['city'];}
	//print_r($this->int_propinsi);
		$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($this->int_propinsi));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				if($this->int_kota == $rec['id_city'])
					$this->obj_tmpl->addVar('list_kota', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_kota', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_kota', 'VALUE', $rec['id_city']);
				$this->obj_tmpl->addVar('list_kota', 'NAMA', $rec['city_name']);
				$this->obj_tmpl->ParseTemplate('list_kota', 'a');
			}
		}
	}
	
	
	private function DisplayCabangAuthority(){
	
	if(isset($_SESSION['search']['cabang'])){ $this->int_cabang = $_SESSION['search']['cabang'];}
	//print_r($this->int_propinsi);
	//$this->obj_data->DebugQuery("GetListKomisariatByKota", array($this->int_kota));
		$rs_id = $this->obj_data->GetResourceId("GetListKomisariatByKota", array($this->int_kota));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				if($this->int_cabang == $rec['id_cabang'])
					$this->obj_tmpl->addVar('list_cabang3', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_cabang3', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_cabang3', 'VALUE', $rec['id_cabang']);
				$this->obj_tmpl->addVar('list_cabang3', 'NAMA', $rec['nama']);
				$this->obj_tmpl->ParseTemplate('list_cabang3', 'a');
			}
		}
	}
	
	
	private function DisplayCabangAuthority2(){
	
	if(isset($_SESSION['search']['cabang'])){ $this->int_cabang = $_SESSION['search']['cabang'];}
	//print_r($this->int_propinsi);
	//$this->obj_data->DebugQuery("GetListKomisariatByKota", array($this->int_kota));
		$rs_id = $this->obj_data->GetResourceId("GetListKomisariatByKota", array($this->int_kota));
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				if($this->arr_routes['params'][0] == $rec['id_cabang'])
					$this->obj_tmpl->addVar('list_cabang2', 'SELECTED', 'selected="selected"');
				else
					$this->obj_tmpl->addVar('list_cabang2', 'SELECTED', '');
				$this->obj_tmpl->addVar('list_cabang2', 'VALUE', $rec['id_cabang']);
				$this->obj_tmpl->addVar('list_cabang2', 'NAMA', $rec['nama']);
				$this->obj_tmpl->ParseTemplate('list_cabang2', 'a');
			}
		}
	}
	
	private function DisplayListAnggota(){
	    ///print_r($_SESSION['search']);
		// set parameter pages on index [0]
		$komisariat_selected = ((isset($this->arr_routes['params'][0]))?$this->arr_routes['params'][0]:0);
		if(!isset($this->arr_routes['params'][1]))
			$page = 1;
		else
			$page = $this->arr_routes['params'][1];
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(400);
		// set total record
		$int_total = $this->obj_anggota->GetTotalAnggotaByAdmin2(array($this->str_keyword, $this->str_cari_par));
		$this->obj_paging->SetTotalRecord($int_total);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],$this->arr_routes['page'],array($komisariat_selected,"")));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get data
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		
		$rs_id = $this->obj_anggota->GetDataAnggotaByAdminMutasi(array($this->arr_cabang, $this->str_keyword, $this->str_cari_par,$start, $max));	
		$no = 0;
		$no_urut = $start + 1;
		if($rs_id){
			
			while($rs = mysqli_fetch_assoc($rs_id)){		
				// url		  
				$url_edit = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'edit', array($page, $rs['person'], $rs['id_cabang']));			  
				$url_hapus = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'hapus', array($page, $rs['person'], $rs['id_cabang']));
				$url_kta = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kta', array($page, $rs['person'], $rs['id_cabang']));
				$this->obj_tmpl->addVar('list_data', 'URL_MUTASI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'mutasi',array($page, $rs['person'], $rs['id_cabang'])));	
				// parse data
				$this->obj_tmpl->addVar('list_data', 'INDEX', $no);
				$this->obj_tmpl->addVar('list_data', 'NO', $no_urut);
				$this->obj_tmpl->addVar('list_data', 'ID', $rs['person']);
				//$this->obj_tmpl->addVar('list_data', 'NO', $no);
				$this->obj_tmpl->addVar('list_data', 'NAMA', $rs['nama_lengkap']);
				$this->obj_tmpl->addVar('list_data', 'PREFIX', $rs['prefix']);
				$this->obj_tmpl->addVar('list_data', 'SUFFIX', $rs['suffix']);
				$this->obj_tmpl->addVar('list_data', 'CABANG', $rs['cabang']);
				$this->obj_tmpl->addVar('list_data', 'NO_ANGGOTA', $rs['no_anggota']);
				$this->obj_tmpl->addVar('list_data', 'STR', $rs['no_str']);
				$this->obj_tmpl->addVar('list_data', 'URL_EDIT', $url_edit);
				$this->obj_tmpl->addVar('list_data', 'URL_HAPUS', $url_hapus);
				$this->obj_tmpl->addVar('list_data', 'URL_KTA', $url_kta);

				// new member
				$new_path = HTTPPATH."doc/temp/new-member.png";
				$new_path = '<img src="'.$new_path.'" alt="" title="Anggota baru" width=\"25px\" />';
				$reg_date = explode('-', $rs['registration_date']);
				$reg_date = trim(date("Ym", mktime(0, 0, 0, $reg_date[1], 1, $reg_date[0])));
				$now = strval(date('Y').date('m'));
				if($now == $reg_date)
					$this->obj_tmpl->addVar('list_data', 'NEW', $new_path);
				else
					$this->obj_tmpl->addVar('list_data', 'NEW', '');
				// --
				$this->obj_tmpl->ParseTemplate('list_data', 'a');
				$no_urut++;
				$no++;
			}
		}
		$this->obj_tmpl->addVar('content', 'TOTAL_DATA', $no);
	}
	
	private function DisplayPrintLink(){
		if(!empty($this->str_cabang)){
			$this->obj_tmpl->setAttribute('print_out', 'visibility', 'show');
			$url_download = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'print-out', array($this->str_cabang));
			$this->obj_tmpl->addVar('print_out', 'URL_PRINT', $url_download);
		}
	}
}

?>