<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_news;
	private $obj_date;
	private $obj_paging;
	private $obj_registrasi;
	private $obj_course;
	private $obj_coursesqli;
	// declare var
	private $int_month_1;
	private $int_month_2;
	private $int_year;
	private $int_city;
	private $arr_bulan;
	private $str_tgl;
	private $city_total;
	private $city_list;
	private $city_page;
	private $str_tempat;
	private $str_kapasitas;
	private $q_capacity;
	private $q_tempat;
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_registrasi = $this->obj_ctrl->LoadBusiness('registrasi', 'mysql', $this->arr_config['db']);
		$this->obj_course = $this->obj_ctrl->LoadBusiness('course', 'mysql', $this->arr_config['db']);
		//$this->obj_coursesqli = $this->obj_ctrl->LoadBusiness('course', 'mysqli', $this->arr_config['db']);
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		// load javascript
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery.myslide', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');
		// load library
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');
	}
	
	public function PageView(){
		// display variabel
		self::DisplayVariable();
		// display variabel search
		self::DisplaySearchVariable();
		// display tabel data
		self::DisplayData();		
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	// function deklarasi variabel
	private function DisplayVariable(){
		if(isset($this->arr_routes['params']['0']))
			$this->int_month_1 = $this->arr_routes['params']['0'];
		if(isset($this->arr_routes['params']['1']))
			$this->int_month_2 = $this->arr_routes['params']['1'];
		if(isset($this->arr_routes['params']['2']))
			$this->int_year = $this->arr_routes['params']['2'];
		if(isset($this->arr_routes['params']['3']))
			$this->int_city = $this->arr_routes['params']['3'];
		
		if(empty($this->int_month_1) || empty($this->int_month_2) || empty($this->int_year)){
			//bulan sekarang
			$this->int_month_1 = date('m');
			$this->int_month_2 = date('m');
			//tahun sekarang
			$this->int_year = date('Y');
		}
		if(!empty($this->int_city)){
			$this->city_total = 'c.id_city = '.$this->int_city.' AND ';
			$this->city_list = $this->int_city;
			$this->city_page = $this->int_city;
		} else {
			$this->city_total = '';
			$this->city_list = '';
			$this->city_page = 0;
		}
		
		if(isset($_SESSION['search']['course']['tempat'])){
			$this->str_tempat = $_SESSION['search']['course']['tempat'];
		}
		/*if(isset($_SESSION['search']['course']['tempat'])){
			$this->str_kapasitas = $_SESSION['search']['course']['kapasitas'];
		}*/
		
		if(!empty($this->str_kapasitas)){
			if($this->str_kapasitas == 'available'){
				$this->q_capacity = 'AND d.sisa NOT IN(0) ';
				$this->obj_tmpl->addVar('content', 'AVAILABLE', 'selected=selected');
			}else if($this->str_kapasitas == 'full'){
				$this->q_capacity = 'AND d.sisa = 0 ';
				$this->obj_tmpl->addVar('content', 'FULL', 'selected=selected');
			}else{
				$q_capacity = '';
				$this->obj_tmpl->addVar('content', 'ALL', 'selected=selected');
			}
		}
		if(!empty($this->str_tempat)){
			$this->q_tempat = '%'.$this->str_tempat.'%';
			$this->obj_tmpl->addVar('content', 'TEMPAT', $this->str_tempat);
		}else{
			$this->q_tempat = '%';
		}
		/*echo $this->int_city;*/
	}
	// function display parameter pencarian
	private function DisplaySearchVariable(){
		
		// display link
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl('public', 'membership', 'registrasi', 'kota'));
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'add'));
		// display kota
		$this->obj_tmpl->addVar('content', 'KOTA', self::GetNameCityById($this->int_city));
	}
	// get city name
	private function GetNameCityById($idcity){
		$result = $this->obj_registrasi->GetDataAsSingleArray("GetCityById", array($idcity));
		if(!empty($result) and $result['city_name'] !='No City')
		 return $result['city_name'];
		else
		 return false;
	}
	// display kolom
	private function DisplayData(){
		//$this->city_list;
		//echo $this->city_total;
		// set parameter pages on index [0]
		if(!isset($this->arr_routes['params'][4]))
			$page = 1;
		else
			$page = $this->arr_routes['params'][4];
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(10);
		// set total record
		$result = $this->obj_course->GetDataAsSingleArray("GetTotalCourseByParam", array($this->city_total, $this->int_month_1, $this->int_month_2, $this->int_year, $this->q_capacity, $this->q_tempat));
		
		$this->obj_paging->SetTotalRecord($result['TOTAL']);
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->int_month_1, $this->int_month_2, $this->int_year, $this->city_page,'')));	
		// display paging
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		/* 
		-- display paging template (bagian bawah)
		*/
		$this->obj_paging->SetTempatePaging('pagination_bottom');
		// parse paging with list
		$this->obj_paging->SetTempateList('list_pagination');
		$this->obj_paging->ParsePagingWithNumber($page, 'class="pageActive"');
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		// parsing data
		if(isset($this->str_tempat) || isset($this->str_kapasitas)){
			
			
		}
		//$this->obj_coursesqli->DebugQuery('GetCourseByDate',array($this->city_list,  $start, $max));
		$rs_id = $this->obj_course->GetResourceId('GetCourseByDate',array($this->city_list,  $start, $max));
		if($rs_id){
			$no = $start + 1;
			while($rec =mysqli_fetch_assoc($rs_id)){
				$this->obj_tmpl->addVar('list_data', 'NO', $no);
				$this->obj_tmpl->addVar('list_data', 'JUDUL', $rec['nama_course']);
				$this->obj_tmpl->addVar('list_data', 'TEMPAT', $rec['tempat']);
				$this->obj_tmpl->addVar('list_data', 'KAPASITAS', $rec['jml_peserta']);
				$this->obj_tmpl->addVar('list_data', 'KOTA', $rec['city_name']);
				$this->obj_tmpl->addVar('list_data', 'ALAMAT', $rec['alamat']);

				//format rupiah
				$biaya = "Rp&ensp;".number_format(intval($rec['biaya'])).",-";
				$tgl_akhir = explode("-", $rec['tgl_akhir_daftar']);
				$date_now = explode("-", date('Y-m-d'));
				/*$this->obj_tmpl->addVar('list_data', 'BIAYA', $biaya);*/
				//link daftar
				/*if($rec['sisa'] == '0'){
					$url_daftar = "#";	
					$url_name = "<em>Penuh</em>";
					$style = "class=\"blink-row\"";	
				} else if(mktime(0,0,0,$date_now[1],$date_now[2],$date_now[0]) >= mktime(0,0,0,$tgl_akhir[1],$tgl_akhir[2],$tgl_akhir[0])){
					$url_daftar = "#";	
					$url_name = "<em>Tutup</em>";
					$style = "class=\"blink-row\"";	
				} else {
					if(isset($_SESSION['user_id'])){
						$url_daftar = $this->obj_ctrl->GetUrl('private', 'course', 'course', 'daftar', array($rec['id_course']));
					} else {
						$url_daftar = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'daftar', array($this->int_month_1, $this->int_month_2, $this->int_year, $this->city_list, $rec['id_course'], $page));
					}
					$url_name = "Daftar";	
					$style = '';
				}
				$this->obj_tmpl->addVar('list_data', 'FULL', $style);*/
				$this->obj_tmpl->addVar('list_data', 'URL_DAFTAR', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'peserta', array($rec['id_course'])));
				//$this->obj_tmpl->addVar('list_data', 'URL_NAME', $url_name);
				//get periode tanggal pelatihan
				//$tgl = explode(" ", self::GetTanggalCourseById($rec['id_course']));
				$tgl = $this->obj_date->GetFullDate($rec['tgl_mulai'])." s/d ".$this->obj_date->GetFullDate($rec['tgl_selesai']);
				$this->obj_tmpl->addVar('list_data', 'URL_JADWAL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'detail', array($rec['id_course'])));
				$this->obj_tmpl->addVar('list_data', 'TANGGAL_AKHIR', $this->obj_date->GetFullDate($rec['tgl_akhir_daftar']));
				$this->obj_tmpl->addVar('list_data', 'TANGGAL', $tgl);
				//$this->obj_tmpl->addVar('list_data', 'SISA', $rec['sisa']);
				$this->obj_tmpl->ParseTemplate('list_data', 'a');
				$no++;
			}
		}
	}
	// get tanggal
	private function GetTanggalCourseById($id_course){
		$this->str_tgl = "";
		$rs_id = $this->obj_course->GetResourceId("GetTanggalCourseById", array($id_course, $id_course));
		if($rs_id){
			while($rs = mysqli_fetch_assoc($rs_id)){
				$this->str_tgl = $this->str_tgl.' '.$rs['tanggal'];
			}
		}
		return $this->str_tgl;
	}
}

?>