<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_cpd;

	// variable definition

	protected $arr_search = array();

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* -- Other object loaded below */

		$this->obj_cpd = $this->obj_ctrl->LoadBusiness('cpd_cpanel', 'mysql', $this->arr_config['db']);		

	}

	

	public function PageView(){

		// display variable

		self::DisplayVariable();

		// display List Kegiatan

		self::DisplayListKegiatan();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayVariable(){

		// variable

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'add'));

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		// search value

		$this->arr_search['keyword'] = "%";

		$this->arr_search['ranah'] = "";

		// ---

		if(isset($_SESSION['search'])){

			// keyword

			if(isset($_SESSION['search']['keyword']) AND !empty($_SESSION['search']['keyword'])){

				$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['keyword']);

				$this->arr_search['keyword'] .= $_SESSION['search']['keyword'];	

			}

			// ranah 

			if(isset($_SESSION['search']['ranah']) AND !empty($_SESSION['search']['ranah'])){

				switch($_SESSION['search']['ranah']){

					case 1:					

						$this->obj_tmpl->addVar('content', 'RANAH_A', 'selected="selected"');

						break;

					case 2:

						$this->obj_tmpl->addVar('content', 'RANAH_B', 'selected="selected"');

						break;

					case 3:

						$this->obj_tmpl->addVar('content', 'RANAH_C', 'selected="selected"');

						break;

					case 4:

						$this->obj_tmpl->addVar('content', 'RANAH_D', 'selected="selected"');

						break;

					case 5:

						$this->obj_tmpl->addVar('content', 'RANAH_E', 'selected="selected"');

						break;

					default:

						break;

				}

				// parse

				$this->arr_search['ranah'] = "AND a.id_ranah = " . $_SESSION['search']['ranah']; 

			}

		}	

		// search value

		$this->arr_search['keyword'] .= "%";

	}

	

	private function DisplayListKegiatan(){

		// parameter

		$params = array($this->arr_search['keyword'], $this->arr_search['ranah']);

		// get data

		$rs_id = $this->obj_cpd->GetResourceId("GetListKegiatanByNama", ($params));

		// parse data

		if($rs_id){

			$no = 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				// url

				$url_edit = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'edit', array($rec['id_kegiatan']));

				$url_hapus = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'delete', array($rec['id_kegiatan']));

				$url_form = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'form', array($rec['id_kegiatan']));

				// parse

				$this->obj_tmpl->addVar('list_kegiatan', 'NO', $no . '.');

				$this->obj_tmpl->addVar('list_kegiatan', 'RANAH', $rec['ranah']);

				$this->obj_tmpl->addVar('list_kegiatan', 'KELOMPOK', ucwords($rec['kelompok']));

				$this->obj_tmpl->addVar('list_kegiatan', 'KOMPETENSI', $rec['kompetensi']);

				$this->obj_tmpl->addVar('list_kegiatan', 'KEGIATAN', $rec['kegiatan']);

				if(!empty($rec['form']))

					$this->obj_tmpl->addVar('list_kegiatan', 'FORM', 'green-icon-notification.gif');

				else

					$this->obj_tmpl->addVar('list_kegiatan', 'FORM', 'red-icon-notification.gif');

				$this->obj_tmpl->addVar('list_kegiatan', 'URL_EDIT', $url_edit);

				$this->obj_tmpl->addVar('list_kegiatan', 'URL_DELETE', $url_hapus);

				$this->obj_tmpl->addVar('list_kegiatan', 'URL_FORM', $url_form);

				$this->obj_tmpl->ParseTemplate('list_kegiatan', 'a');

				$no++;

			}

		}

	}

}



?>