<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_cpd;

	protected $obj_date;

	// variable definition

	protected $arr_search;

	protected $int_periode;

	protected $int_tahun;

	protected $str_tgl_mulai;

	protected $str_tgl_selesai;

	// variable definition

	protected $str_keyword;

	protected $str_wilayah;

	protected $arr_wilayah = array();

	protected $arr_kota = array();

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* -- Other object loaded below */

		$this->obj_cpd = $this->obj_ctrl->LoadBusiness('cpd_user', 'mysql', $this->arr_config['db']);

		$loaded_query = array('wilayah', 'evaluasi', 'kegiatan', 'dashboard');

		$this->obj_cpd->SetUsesQuery($loaded_query);

		// --

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

		// loaded javascript

		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');

		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');

		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');

		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');

		// loaded style

		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');		

	}

	

	public function PageView(){

		// Search Data

		self::GetSearchSession();	

		// display wilayah

		self::DisplayWilayahAuthority();		

		// display wilayah

		self::DisplayKotaAuthority();	

		// display detail user

		self::DisplayDetailPerson();

		// select periode aktif

		self::GetVariableBukuLog();

		// display periode buku log

		self::DisplayPeriodeBukuLog();

		// display List Kegiatan

		self::DisplayListKegiatan();

		// Variable

		self::DisplayVariable();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayVariable(){

		// variable

		$this->obj_tmpl->addVar('content', 'URL_ANGGOTA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'anggota'));

		$this->obj_tmpl->addVar('content', 'URL_STR', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'periode', array($this->arr_routes['params'][0])));

		$this->obj_tmpl->addVar('content', 'URL_LIST', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'log'));

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'borang', 'ajax-keyword'));

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($this->arr_routes['params'][0], '')));

		// tahun periode str

		$this->obj_tmpl->addVar('content', 'URL_PERIODE', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'log', array($this->arr_routes['params'][0], $this->int_periode, $this->int_tahun)));

		// id person

		$this->obj_tmpl->addVar('content', 'ID_PERSON', $this->arr_routes['params'][0]);

		// --

		$this->obj_tmpl->addVar('content', 'PERIODE', $this->int_periode);

		$this->obj_tmpl->addVar('content', 'TAHUN', $this->int_tahun);

		

		// Print Pdf

		$this->obj_tmpl->addVar('content', 'PRINT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'penilaian_pdf', array($this->arr_routes['params'][0], $this->int_periode, $this->int_tahun)));

		/*$this->obj_tmpl->addVar('content', 'PRINT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'penilaian_pdf', array($this->int_periode,$this->int_tahun)));*/

	}

	

	private function GetSearchSession(){

		// search value

		$this->arr_search['keyword'] = "%";

		$this->arr_search['ranah'] = "";

		$this->arr_search['jenis'] = "";

		// ---

		if(isset($_SESSION['search'])){

			// keyword

			if(isset($_SESSION['search']['verifikasi']['keyword']) AND !empty($_SESSION['search']['verifikasi']['keyword'])){

				$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['verifikasi']['keyword']);

				$this->arr_search['keyword'] .= $_SESSION['search']['verifikasi']['keyword'];	

			}

			// ranah 

			if(isset($_SESSION['search']['verifikasi']['ranah']) AND !empty($_SESSION['search']['verifikasi']['ranah'])){

				switch($_SESSION['search']['verifikasi']['ranah']){

					case 1:					

						$this->obj_tmpl->addVar('content', 'RANAH_A', 'selected="selected"');

						break;

					case 2:

						$this->obj_tmpl->addVar('content', 'RANAH_B', 'selected="selected"');

						break;

					case 3:

						$this->obj_tmpl->addVar('content', 'RANAH_C', 'selected="selected"');

						break;

					case 4:

						$this->obj_tmpl->addVar('content', 'RANAH_D', 'selected="selected"');

						break;

					case 5:

						$this->obj_tmpl->addVar('content', 'RANAH_E', 'selected="selected"');

						break;

					default:

						break;

				}

				// parse

				$this->arr_search['ranah'] = "AND b.id_ranah = " . $_SESSION['search']['verifikasi']['ranah']; 

			}

			// jenis 

			if(isset($_SESSION['search']['verifikasi']['jenis']) AND !empty($_SESSION['search']['verifikasi']['jenis'])){

				switch($_SESSION['search']['verifikasi']['jenis']){

					case 1:					

						$this->obj_tmpl->addVar('content', 'PRIBADI', 'checked="checked"');

						break;

					case 2:

						$this->obj_tmpl->addVar('content', 'INTERNAL', 'checked="checked"');

						break;

					case 3:

						$this->obj_tmpl->addVar('content', 'EKSTERNAL', 'checked="checked"');

						break;

					default:

						break;

				}

				// parse

				$this->arr_search['jenis'] = "AND b.id_jenis = " . $_SESSION['search']['verifikasi']['jenis']; 

			}

		}	

		// search value

		$this->arr_search['keyword'] .= "%";

	}

	

	private function GetVariableBukuLog(){

		// cari periode

		if(!isset($this->arr_routes['params'][0])){

			$str_default_periode = date('Y') . '-' . date('m') . '-' . date('d');

			$result = $this->obj_cpd->GetDataAsSingleArray("GetDefaultPeriodeByPerson", array($this->arr_routes['params'][0], $str_default_periode));

			if(!empty($result)){

				// int periode

				$this->int_periode = $result['id_periode'];

				// int tahun

				$this->int_tahun = $result['id_tahun_periode'];

				$this->str_tgl_mulai = $result['tgl_mulai'];

				$this->str_tgl_selesai = $result['tgl_selesai'];

			}

		}else{

			// int periode

			$this->int_periode = $this->arr_routes['params'][1];

			// tahun

			if(isset($this->arr_routes['params'][2])){

				$this->int_tahun = $this->arr_routes['params'][2];

				$result = $this->obj_cpd->GetDataAsSingleArray("GetDetailPeriodeKegiatanBySelected", array($this->arr_routes['params'][0], $this->int_tahun));		

				// set batasan tanggal

				$this->str_tgl_mulai = $result['tgl_mulai'];

				$this->str_tgl_selesai = $result['tgl_selesai'];

			}else{

				// cari tahun pertama dulu

				$result = $this->obj_cpd->GetDataAsSingleArray("GetDetailPeriodeKegiatanByPeriode", array($this->arr_routes['params'][0], $this->int_periode));

				$this->int_tahun = $result['id_tahun_periode'];

				// set batasan tanggal

				$this->str_tgl_mulai = $result['tgl_mulai'];

				$this->str_tgl_selesai = $result['tgl_selesai'];

			}

		}		

		// validated parameter anda redirected

		if(empty($this->int_periode) OR empty($this->int_tahun) OR empty($this->str_tgl_mulai) OR empty($this->str_tgl_selesai)){

			// redirect to buku log

			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'anggota');

		}

	}

	

	private function DisplayPeriodeBukuLog(){

		// display detail periode

		$rs_str = $this->obj_cpd->GetDataAsSingleArray("GetDetailPeriodeStrById", array($this->arr_routes['params'][0], $this->int_periode));

		$this->obj_tmpl->addVar('content', 'TAHUN_STR', $rs_str['mulai'] . ' - ' . $rs_str['selesai']);

		switch($rs_str['status_evaluasi']){

			case 'rejected':

				$status_verifikasi = '<img src="'.HTTPPATH."doc/temp/redin-ico.jpg".'" title="Rejected" />';

				break;

			case 'accepted':

				$status_verifikasi = '<img src="'.HTTPPATH."doc/temp/greedin-ico.jpg".'" title="Accepted" />';

				break;

			default :

				$status_verifikasi = '<img src="'.HTTPPATH."doc/temp/orangin-ico.jpg".'" title="Waiting" />';

				break;

		}

		$this->obj_tmpl->addVar('content', 'VERIFIKASI_STR', $status_verifikasi);

		if($rs_str['status_pengajuan'] == 'yes')

			$this->obj_tmpl->addVar('content', 'PENGAJUAN_STR', '<img src="'.HTTPPATH."doc/temp/greedin-ico.jpg".'" />');

		else

			$this->obj_tmpl->addVar('content', 'PENGAJUAN_STR', '<img src="'.HTTPPATH."doc/temp/redin-ico.jpg".'" />');

		// diaplay tahun kegiatan

		$rs_id =  $this->obj_cpd->GetResourceId("GetListTahunPeriodeById", array($this->arr_routes['params'][0], $this->int_periode));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addVar('list_tahun', 'VALUE', $this->int_periode . '/' .$rec['id_tahun_periode'] . '/');

				// parse data

				$lbl= $this->obj_date->GetFullDate($rec['tgl_mulai']).' s/d '.$this->obj_date->GetFullDate($rec['tgl_selesai']);

				if($this->int_tahun == $rec['id_tahun_periode']){

					$this->obj_tmpl->addVar('list_tahun', 'SELECTED', 'selected="selected"');

					// selected tahun kegiatan

					$this->obj_tmpl->addVar('content', 'TAHUN_PERIODE', $lbl);

					switch($rec['status_evaluasi']){

						case 'rejected':

							$status_verifikasi = '<img src="'.HTTPPATH."doc/temp/redin-ico.jpg".'" title="Rejected" />';

							break;

						case 'accepted':

							$status_verifikasi = '<img src="'.HTTPPATH."doc/temp/greedin-ico.jpg".'" title="Accepted" />';

							break;

						default :

							$status_verifikasi = '<img src="'.HTTPPATH."doc/temp/orangin-ico.jpg".'" title="Waiting" />';

							break;

					}

					$this->obj_tmpl->addVar('content', 'VERIFIKASI_TAHUN', $status_verifikasi);

					if($rec['status_pengajuan'] == 'yes')

						$this->obj_tmpl->addVar('content', 'PENGAJUAN_TAHUN', '<img src="'.HTTPPATH."doc/temp/greedin-ico.jpg".'" />');

					else

						$this->obj_tmpl->addVar('content', 'PENGAJUAN_TAHUN', '<img src="'.HTTPPATH."doc/temp/redin-ico.jpg".'" />');

					// end of selected

				}else{

					$this->obj_tmpl->addVar('list_tahun', 'SELECTED', '');

				}

				$this->obj_tmpl->addVar('list_tahun', 'TAHUN', $rec['tahun'] . '/' . ($rec['tahun'] + 1));

				$this->obj_tmpl->ParseTemplate('list_tahun', 'a');

			}

		}

	}

	

	// --

	

	private function DisplayListKegiatan(){

		// parameter

		$params = array($this->arr_routes['params'][0], $this->str_tgl_mulai, $this->str_tgl_selesai, $this->arr_search['keyword'], $this->arr_search['ranah'], $this->arr_search['jenis']);

		// get data

		$rs_id = $this->obj_cpd->GetResourceId("GetListKegiatanGroupByForm", $params);

		// parse data

		$no = 1;

		$total = 0;

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				// url

				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list', array($this->arr_routes['params'][0], $this->int_periode, $this->int_tahun, $rec['id_kegiatan']));

				// parse data

				$this->obj_tmpl->addVar('list_kegiatan', 'NO', $no . '.');

				$this->obj_tmpl->addVar('list_kegiatan', 'NAMA', $rec['kegiatan']);

				$this->obj_tmpl->addVar('list_kegiatan', 'RANAH', $rec['ranah']);

				$this->obj_tmpl->addVar('list_kegiatan', 'JENIS', ucwords($rec['kelompok']));

				$this->obj_tmpl->addVar('list_kegiatan', 'KEGIATAN', $rec['kegiatan']);

				$this->obj_tmpl->addVar('list_kegiatan', 'JUMLAH', $rec['jumlah']);

				$this->obj_tmpl->addVar('list_kegiatan', 'WAITING', $rec['waiting']);

				if($rec['tipe'] == 'rutin')

					$nilai = self::GetNilaiSkpRutin($rec['id_form']);

				else

					$nilai = $rec['nilai'];

				$total = $total + $nilai;

				$this->obj_tmpl->addVar('list_kegiatan', 'NILAI', $nilai);

				$this->obj_tmpl->addVar('list_kegiatan', 'URL_INPUT', $url);

				$this->obj_tmpl->ParseTemplate('list_kegiatan', 'a');

				$no++;	

			}

		}		

		$this->obj_tmpl->addVar('content', 'TOTAL_NILAI', $total);

	}

	

	private function GetNilaiSkpRutin($id_form){

		$nilai = 0;

		$jumlah = 0;

		// get parameter and indikator

		$arr = $this->obj_cpd->GetDataAsSingleArray("GetParameterAndEngineByForm", array($id_form, $id_form));

		$id_parameter = $arr['parameter'];

		$id_engine = $arr['indikator'];

		// get nilai dalam range tahun kegiatannya

		$rs_id = $this->obj_cpd->GetResourceId("GetDataKegiatanByFormDate", array($this->arr_routes['params'][0], $id_form, $this->str_tgl_mulai, $this->str_tgl_selesai));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				$arr_field = "";

				$xml = simplexml_load_string($rec["data_kegiatan"]);

				// echo does the casting for you

				$count = count($xml->item);

				for($i=0;$i<$count;$i++){

					$id = intval($xml->item[$i]->idt);

					$value = strval($xml->item[$i]->value);

					if($id == $id_parameter){

						$jumlah = $jumlah + $value;

						break;

					}

				}

			}

		}

		// get list elemen

		$rs_id_list = $this->obj_cpd->GetResourceId("GetElemenListByEngine", array($id_engine));

		if($rs_id_list){

			$group_list = "FIND_IN_SET(0, group_elemen_list)";

			while($rec = mysqli_fetch_assoc($rs_id_list)){

				$range_value = explode('-', $rec['list_value'], 2);

				if(sizeof($range_value) >= 2){

					$batas_bawah = round($range_value[0], 2);

					$batas_atas = round($range_value[1], 2);

				}else{

					$batas_bawah = 0;

					$batas_atas = 0;

				}	

				if($jumlah >= $batas_bawah AND $jumlah <= $batas_atas){

					$group_list = "FIND_IN_SET(".$rec['id_list'].", group_elemen_list)";

					break;

				}

			}

		}

		$nilai = $this->obj_cpd->GetDataAsSingleArray("GetNilaiSkpByEngine", array($group_list));	

		if(!empty($nilai))

			return $nilai['nilai_skp'];

		else

			return 0;

	}

	

	// authority	

	

	private function DisplayWilayahAuthority(){		

		// parsing data

		$rs_id = $this->obj_cpd->GetResourceId("GetListWilayahByTim", array($this->str_userid));		

		while($rs = mysqli_fetch_assoc($rs_id)){	

			$this->arr_wilayah[] = $rs['id_wilayah'];

		}

		$this->arr_wilayah = implode(',', $this->arr_wilayah);

	}

	

	private function DisplayKotaAuthority(){

		// parsing data

		$rs_id = $this->obj_cpd->GetResourceId("GetListKotaByWilayah", array($this->arr_wilayah));		

		while($rs = mysqli_fetch_assoc($rs_id)){	

			$this->arr_kota[] = $rs['id_city'];

		}

	}

	

	private function DisplayDetailPerson(){

		$result = $this->obj_cpd->GetDatasetAsArray("GetDetailAnggotaByIdPerson", array($this->arr_routes['params'][0]));

		if(!empty($result)){

			if(!in_array($result[0]['id_city'], $this->arr_kota)){

				$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'anggota');	

			}else{

				$this->obj_tmpl->addVar('content', 'PREFIX', $result[0]['prefix']);

				$this->obj_tmpl->addVar('content', 'SUFFIX', $result[0]['suffix']);

				$this->obj_tmpl->addVar('content', 'NAMA_LENGKAP', $result[0]['nama_lengkap']);

				$this->obj_tmpl->addVar('content', 'ALAMAT', $result[0]['alamat']);

				$this->obj_tmpl->addVar('content', 'KOTA', $result[0]['kota']);

				$this->obj_tmpl->addVar('content', 'CABANG', $result[0]['cabang']);

				$this->obj_tmpl->addVar('content', 'NO_ANGGOTA', $result[0]['no_anggota']);

				// display foto

				$path = "doc/person/".$result[0]['id_person']."/foto/".$result[0]['photo'];

				if(is_file($path))

					$this->obj_tmpl->addVar('content', 'FOTO', $path);

				else

					$this->obj_tmpl->addVar('content', 'FOTO', "doc/temp/blank.jpg");

			}

		}else{

			$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'anggota');	

		}

	}

	

}



?>