<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// init object

	protected $obj_admin;

	protected $obj_cpd;

	protected $obj_paging;

	protected $obj_notify;

	protected $obj_date;

	// init var

	protected $int_wilayah;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load object business

		$this->obj_cpd = $this->obj_ctrl->LoadBusiness('cpd_cpanel', 'mysql', $this->arr_config['db']);

		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);

		// load object pagination

		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){

		// display test cookies

		self::DisplayNotification();

		// display variable

		self::DisplayVariable();

		// display detail wilayah

		self::DisplayDetailWilayah();

		// display list administrator

		self::DisplayRelatedMember();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayVariable(){

		// id wilayah

		if(isset($this->arr_routes['params'][0]))

			$this->int_wilayah = $this->arr_routes['params'][0];

		else

			$this->int_wilayah = 0;

		// link

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'tim-add', array($this->int_wilayah)));	

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view'));	

		$this->obj_tmpl->addVar('content', 'URL_MEMBER', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'member'));		

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	

	}

	

	private function DisplayDetailWilayah(){

		$result = $this->obj_cpd->GetDataAsSingleArray("GetDetailWilayahById", array($this->int_wilayah));

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'ID_WILAYAH', $result['id_wilayah']);

			$this->obj_tmpl->addVar('content', 'WILAYAH', $result['nama']);

		}

	}

	

	private function DisplayRelatedMember(){

		// parsing data

		$rs_id = $this->obj_cpd->GetResourceId("GetListMemberByWilayah", array($this->int_wilayah));	

		if($rs_id){

			$no = 1;

			while($rs = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addVar('list_data', 'NO', $no);

				$this->obj_tmpl->addVar('list_data', 'ID_PERSON', $rs['id_person']);

				$this->obj_tmpl->addVar('list_data', 'NAMA', $rs['nama_lengkap']);

				$this->obj_tmpl->addVar('list_data', 'PREFIX', $rs['prefix']);

				$this->obj_tmpl->addVar('list_data', 'SUFFIX', $rs['suffix']);

				$this->obj_tmpl->addVar('list_data', 'NO_ANGGOTA', $rs['no_anggota']);

				$this->obj_tmpl->addVar('list_data', 'CABANG', $rs['cabang']);

				// photo

				$file_photo = "doc/foto/".$rs['photo'];

				if(is_file($file_photo))

					$this->obj_tmpl->addVar('list_data', 'PHOTOPATH', HTTPPATH.$file_photo);

				else

					$this->obj_tmpl->addVar('list_data', 'PHOTOPATH', HTTPPATH."doc/temp/blank.jpg");

				// parse

				$this->obj_tmpl->ParseTemplate('list_data', 'a');

				$no++;

			}

		}

	}

}



?>