<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// init object

	private $obj_dashboard;	

	// init variable

	private $int_tahun;

	private $int_wilayah = '-';

	private $int_kegiatan;

	

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('content');

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load business

		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);

		$loaded_query = array('p2kb');

		$this->obj_dashboard->SetUsesQuery($loaded_query);

	}

	

	public function PageView(){

		// get variable

		self::GetVariable();		

		// get variable

		self::DisplayInfo();		

		// display data

		self::DisplayListAnggota();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/	

	

	private function GetVariable(){

		if(isset($this->arr_routes['params'])){

			$this->int_tahun = $this->arr_routes['params'][0];

			$this->int_wilayah = $this->arr_routes['params'][1];

			$this->int_kegiatan = $this->arr_routes['params'][2];

		}

		// display tahun

		$this->obj_tmpl->addVar('content', 'TAHUN', $this->int_tahun);

	}

	

	private function DisplayInfo(){		

		// nama kegiatan

		$result = $this->obj_dashboard->GetDataAsSingleArray("GetNamaKegiatanById", array($this->int_kegiatan));

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'KEGIATAN', $result['nama']);

		}

		// nama wilayah

		$result = $this->obj_dashboard->GetDataAsSingleArray("GetNamaWilayahById", array($this->int_wilayah));

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'WILAYAH', $result['nama']);

		}

		// display tahun

		$this->obj_tmpl->addVar('content', 'TAHUN', $this->int_tahun);

	}

	

	private function DisplayListAnggota(){

		// get data

		if($this->int_wilayah == '-')

			$rs_id = $this->obj_dashboard->GetResourceId("GetListAnggotaKegiatan",array($this->int_tahun,$this->int_kegiatan));

		else

			$rs_id = $this->obj_dashboard->GetResourceId("GetListAnggotaKegiatanByWilayah", array($this->int_tahun, $this->int_wilayah, $this->int_kegiatan));

		// parse data

		if($rs_id){

			$no = 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addVar('list_anggota', 'NO', $no);

				$this->obj_tmpl->addVar('list_anggota', 'NAMA', $rec['nama_lengkap']);

				$this->obj_tmpl->addVar('list_anggota', 'JUMLAH', $rec['jumlah']);

				$this->obj_tmpl->parseTemplate('list_anggota', 'a');

				$no++;

			}

		}

	}

}



?>