<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	protected $obj_dashboard;

	protected $obj_chart;

	protected $obj_paging;

	protected $obj_date;

	// var

	protected $color_counter;

	protected $arr_colors;

	protected $arr_bulan;

	protected $str_tahun_selected;

	protected $str_cabang_selected;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load business

		$this->obj_dashboard = $this->obj_ctrl->LoadBusiness('dashboard', 'mysql', $this->arr_config['db']);

		$loaded_query = array('p2kb', 'overview');

		$this->obj_dashboard->SetUsesQuery($loaded_query);

		// fusioncharts object loaded

		$param['type'] = '';

		$param['width'] = '';

		$param['height'] = '';

		$param['ID'] = '';

		$this->obj_chart = $this->obj_ctrl->LoadLibrary('FusionCharts', $param);

		// selectbox jquery 

		// --

		// load object pagination

		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');	

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');

		// load javascript

		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	

	}

	

	public function PageView(){

		// variable

		self::DisplayVariable();

		// statistik aktifitas pencatatan

		self::DisplayPerbandinganP2KB();

		// statistik aktifitas pencatatan

		self::DisplayData();

		// display logo cpd

		self::DisplayLogoCPD();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayVariable(){

		// arr color

		$this->color_counter=0;

		$this->arr_colors[0] = "1941A5" ;//Dark Blue

		$this->arr_colors[1] = "AFD8F8";

		$this->arr_colors[2] = "F6BD0F";

		$this->arr_colors[3] = "8BBA00";

		$this->arr_colors[4] = "A66EDD";

		$this->arr_colors[5] = "F984A1" ;

		$this->arr_colors[6] = "CCCC00" ;//Chrome Yellow+Green

		$this->arr_colors[7] = "999999" ;//Grey

		$this->arr_colors[8] = "0099CC" ;//Blue Shade

		$this->arr_colors[9] = "FF0000" ;//Bright Red 

		$this->arr_colors[10] = "006F00" ;//Dark Green

		$this->arr_colors[11] = "0099FF"; //Blue (Light)

		$this->arr_colors[12] = "FF66CC" ;//Dark Pink

		$this->arr_colors[13] = "669966" ;//Dirty green

		$this->arr_colors[14] = "7C7CB4" ;//Violet shade of blue

		$this->arr_colors[15] = "FF9933" ;//Orange

		$this->arr_colors[16] = "9900FF" ;//Violet

		$this->arr_colors[17] = "99FFCC" ;//Blue+Green Light

		$this->arr_colors[18] = "CCCCFF" ;//Light violet

		$this->arr_colors[19] = "669900" ;//Shade of green

		// url

		$this->obj_tmpl->addVar('content', 'URL_KEGIATAN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'p2kb'));

		$this->obj_tmpl->addVar('content', 'URL_HASIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'p2kb-hasil'));

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

	}

	

	private function getFCColor() 

	{

		// Update index

		$this->color_counter++;

		//Return color

		return($this->arr_colors[$this->color_counter % count($this->arr_colors)]);

	}

	

	// perbandingan str, persetujuan dan surat rekomendasi

	

	private function DisplayPerbandinganP2KB(){

		// get wilayah

		$kategori = "";

		$jumlah = "";

		$pendaftaran = "";

		$pencatatan = "";

		$rekomendasi = "";

		$max = 50;

		// --

		$rs_id = $this->obj_dashboard->GetResourceId("GetListWilayahMember", array());

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				unset($jumlah_value);

				// kategori & jumlah

				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($rec['id_wilayah']));

				$kategori .= "<category name='".$rec['nama']."' />";

				$jumlah .= "<set value='".intval($rec['jumlah'])."' link='".$url."' />";

				$jumlah_value[] = $rec['jumlah'];

				// pendaftaran

				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($rec['id_wilayah'], 'pendaftaran'));

				$jml_pendaftaran = $this->obj_dashboard->GetDataAsSingleArray("GetTotalPendaftaranByWilayah", array($rec['id_wilayah']));

				$pendaftaran .= "<set value='".$jml_pendaftaran['jumlah']."' link='".$url."' />";	

				$jumlah_value[] = $jml_pendaftaran['jumlah'];	

				// pencatatan

				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($rec['id_wilayah'], 'pencatatan'));

				$jml_pencatatan = $this->obj_dashboard->GetDataAsSingleArray("GetTotalPencatatanByWilayah", array($rec['id_wilayah']));

				$pencatatan .= "<set value='".$jml_pencatatan['jumlah']."' link='".$url."' />";

				$jumlah_value[] = $jml_pencatatan['jumlah'];	

				// rekomendasi

				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($rec['id_wilayah'], 'rekomendasi'));

				$jml_rekomendasi = $this->obj_dashboard->GetDataAsSingleArray("GetTotalRekomendasiByWilayah", array($rec['id_wilayah']));

				$rekomendasi .= "<set value='".$jml_rekomendasi['jumlah']."' link='".$url."' />";

				$jumlah_value[] = $jml_rekomendasi['jumlah'];	

				// max value

				$jumlah_value = max($jumlah_value);

				if($jumlah_value > $max){

					$max = $jumlah_value + 5;

				}

			}

		}

		// parse xml

		$strXML = "<graph caption='' PYAxisName='Jumlah Anggota' SYAxisName='Jumlah Anggota' numberPrefix='' numDivLines='5' formatNumberScale='0' decimalPrecision='0' anchorSides='10' anchorRadius='3' anchorBorderColor='317FE9' rotateNames='1' PYAxisMaxValue='".$max."' SYAxisMaxValue='".$max."' hovercapborder='889E6D' hovercapbg='DEDEBE'>

				<categories>

					$kategori

				</categories>

				<dataset seriesName='Pendaftaran' color='5DBF55' showValues='0'>

					$pendaftaran

				</dataset>

				<dataset seriesName='Pencatatan' color='F6BD0F' showValues='0' >

					$pencatatan

				</dataset>

				<dataset seriesName='Rekomendasi' color='F15454' showValues='0' >

					$rekomendasi

				</dataset>

				<dataset seriesName='Jumlah Anggota' color='317FE9' showValues='1' parentYAxis='S' >

					$jumlah

				</dataset>

				</graph>";

		$path_chart = $this->obj_chart->UseChart("FCF_MSColumn3DLineDY");

		$this->obj_tmpl->addVar('content', 'CHART_STR', renderChartHTML($path_chart, "", $strXML, "", 760, 300, false));

	}

	

	private function DisplayData(){

		if(isset($this->arr_routes['params'][0])){

			if(isset($this->arr_routes['params'][1])){

				switch($this->arr_routes['params'][1]){

					case 'pendaftaran':

						self::DisplayListAnggotaByPendaftaran($this->arr_routes['params'][0]);

						break;

					case 'pencatatan': 

						self::DisplayListAnggotaByPencatatan($this->arr_routes['params'][0]);

						break;

					case 'rekomendasi':

						self::DisplayListAnggotaByRekomendasi($this->arr_routes['params'][0]); 

						break;

					default:

						self::DisplayListAnggota($this->arr_routes['params'][0]);

						break;

				}

			}else{

				self::DisplayListAnggota($this->arr_routes['params'][0]);

			}

		}else{

			$this->obj_tmpl->setAttribute('pagination', 'visibility', 'hidden');

		}

	}

	

	// list anggota wilayah

	

	private function DisplayListAnggota($wilayah){

		// paging

		// set parameter pages on index [0]

		if(!isset($this->arr_routes['params'][2]))

			$page = 1;

		else

			$page = $this->arr_routes['params'][2];

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(20);

		// set total record

		$total = $this->obj_dashboard->GetDataAsSingleArray("GetTotalListMemberByWilayah", array($wilayah));

		$this->obj_paging->SetTotalRecord($total['total']);

		$this->obj_tmpl->addGlobalVar('TOTAL_ANGGOTA', $total['total']);

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($wilayah, '-', '')));

		// set template pagination

		$this->obj_paging->SetTempatePaging('pagination');

		$this->obj_paging->ParsePaging();

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		$params = array($wilayah, $start, $max);

		$rs_id = $this->obj_dashboard->GetResourceId("GetListMemberByWilayah", $params);

		if($rs_id){

			$no = $start + 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addGlobalVar('WILAYAH', strtoupper($rec['wilayah']));

				$this->obj_tmpl->addVar('list_anggota', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'overview', 'statistik', 'detail-anggota', array($rec['id_person'])));

				$this->obj_tmpl->addVar('list_anggota', 'NO', $no);

				$this->obj_tmpl->addVar('list_anggota', 'NO_ANGGOTA', $rec['no_anggota']);

				$this->obj_tmpl->addVar('list_anggota', 'NAMA', $rec['nama_lengkap']);

				$this->obj_tmpl->addVar('list_anggota', 'EMAIL', $rec['email']);

				$this->obj_tmpl->addVar('list_anggota', 'KOTA', $rec['kota']);

				$this->obj_tmpl->parseTemplate('list_anggota', 'a');

				$no++;

			}

		}

	}

	

	private function DisplayListAnggotaByPendaftaran($wilayah){

		// paging

		// set parameter pages on index [0]

		if(!isset($this->arr_routes['params'][2]))

			$page = 1;

		else

			$page = $this->arr_routes['params'][2];

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(20);

		// set total record

		$total = $this->obj_dashboard->GetDataAsSingleArray("GetTotalPendaftaranByWilayah", array($wilayah));

		$this->obj_paging->SetTotalRecord($total['jumlah']);

		$this->obj_tmpl->addGlobalVar('TOTAL_ANGGOTA', $total['jumlah']);

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($wilayah, 'pendaftaran', '')));

		// set template pagination

		$this->obj_paging->SetTempatePaging('pagination');

		$this->obj_paging->ParsePaging();

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		$params = array($wilayah, $start, $max);

		$rs_id = $this->obj_dashboard->GetResourceId("GetListMemberByWilayahPendaftaran", $params);

		if($rs_id){

			$no = $start + 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addGlobalVar('WILAYAH', strtoupper($rec['wilayah']));

				$this->obj_tmpl->addVar('list_anggota', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'overview', 'statistik', 'detail-anggota', array($rec['id_person'])));

				$this->obj_tmpl->addVar('list_anggota', 'NO', $no);

				$this->obj_tmpl->addVar('list_anggota', 'NO_ANGGOTA', $rec['no_anggota']);

				$this->obj_tmpl->addVar('list_anggota', 'NAMA', $rec['nama_lengkap']);

				$this->obj_tmpl->addVar('list_anggota', 'EMAIL', $rec['email']);

				$this->obj_tmpl->addVar('list_anggota', 'KOTA', $rec['kota']);

				$this->obj_tmpl->parseTemplate('list_anggota', 'a');

				$no++;

			}

		}

	}

	

	private function DisplayListAnggotaByPencatatan($wilayah){

		// paging

		// set parameter pages on index [0]

		if(!isset($this->arr_routes['params'][2]))

			$page = 1;

		else

			$page = $this->arr_routes['params'][2];

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(20);

		// set total record

		$total = $this->obj_dashboard->GetDataAsSingleArray("GetTotalPencatatanByWilayah", array($wilayah));

		$this->obj_paging->SetTotalRecord($total['jumlah']);

		$this->obj_tmpl->addGlobalVar('TOTAL_ANGGOTA', $total['jumlah']);

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($wilayah, 'pendaftaran', '')));

		// set template pagination

		$this->obj_paging->SetTempatePaging('pagination');

		$this->obj_paging->ParsePaging();

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		$params = array($wilayah, $start, $max);

		$rs_id = $this->obj_dashboard->GetResourceId("GetListMemberByWilayahPencatatan", $params);

		if($rs_id){

			$no = $start + 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addGlobalVar('WILAYAH', strtoupper($rec['wilayah']));

				$this->obj_tmpl->addVar('list_anggota', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'overview', 'statistik', 'detail-anggota', array($rec['id_person'])));

				$this->obj_tmpl->addVar('list_anggota', 'NO', $no);

				$this->obj_tmpl->addVar('list_anggota', 'NO_ANGGOTA', $rec['no_anggota']);

				$this->obj_tmpl->addVar('list_anggota', 'NAMA', $rec['nama_lengkap']);

				$this->obj_tmpl->addVar('list_anggota', 'EMAIL', $rec['email']);

				$this->obj_tmpl->addVar('list_anggota', 'KOTA', $rec['kota']);

				$this->obj_tmpl->parseTemplate('list_anggota', 'a');

				$no++;

			}

		}

	}

	

	private function DisplayListAnggotaByRekomendasi($wilayah){

		// paging

		// set parameter pages on index [0]

		if(!isset($this->arr_routes['params'][2]))

			$page = 1;

		else

			$page = $this->arr_routes['params'][2];

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(20);

		// set total record

		$total = $this->obj_dashboard->GetDataAsSingleArray("GetTotalRekomendasiByWilayah", array($wilayah));

		$this->obj_paging->SetTotalRecord($total['jumlah']);

		$this->obj_tmpl->addGlobalVar('TOTAL_ANGGOTA', $total['jumlah']);

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array($wilayah, 'pendaftaran', '')));

		// set template pagination

		$this->obj_paging->SetTempatePaging('pagination');

		$this->obj_paging->ParsePaging();

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		$params = array($wilayah, $start, $max);

		$rs_id = $this->obj_dashboard->GetResourceId("GetListMemberByWilayahRekomendasi", $params);

		if($rs_id){

			$no = $start + 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->obj_tmpl->addGlobalVar('WILAYAH', strtoupper($rec['wilayah']));

				$this->obj_tmpl->addVar('list_anggota', 'URL_DETAIL', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'overview', 'statistik', 'detail-anggota', array($rec['id_person'])));

				$this->obj_tmpl->addVar('list_anggota', 'NO', $no);

				$this->obj_tmpl->addVar('list_anggota', 'NO_ANGGOTA', $rec['no_anggota']);

				$this->obj_tmpl->addVar('list_anggota', 'NAMA', $rec['nama_lengkap']);

				$this->obj_tmpl->addVar('list_anggota', 'EMAIL', $rec['email']);

				$this->obj_tmpl->addVar('list_anggota', 'KOTA', $rec['kota']);

				$this->obj_tmpl->parseTemplate('list_anggota', 'a');

				$no++;

			}

		}

	}

	

	// display logo p2kb	

	private function DisplayLogoCPD(){

		$this->obj_tmpl->addVar('layout', 'CPD_LOGO', 'P2KB Online');

	}

	

}



?>

