<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_cpd;

	protected $obj_date;

	// variable definition

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* -- Other object loaded below */

		$this->obj_cpd = $this->obj_ctrl->LoadBusiness('cpd_user', 'mysql', $this->arr_config['db']);

		$loaded_query = array('str');

		$this->obj_cpd->SetUsesQuery($loaded_query);

		// --

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

		

	}

	

	public function PageView(){

		// Variable

		self::DisplayVariable();

		// display List Kegiatan

		self::DisplayListPeriode();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayVariable(){

		// variable

		$this->obj_tmpl->addVar('content', 'URL_LOG', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'p2kb'));

	}

	

	private function DisplayListPeriode(){

		$rs_id = $this->obj_cpd->GetResourceId("GetListPeriodeStrByIdPerson", array($this->str_userid));

		if($rs_id){

			$no = 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$url_detail = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'p2kb', array($rec['id_periode']));

				$this->obj_tmpl->addVar('list_tahun_periode', 'NO', $no);

				$this->obj_tmpl->addVar('list_tahun_periode', 'NO_STR', $rec['no_str']);

				$this->obj_tmpl->addVar('list_tahun_periode', 'TGL_MULAI', $this->obj_date->GetFullDate($rec['tgl_mulai']));

				$this->obj_tmpl->addVar('list_tahun_periode', 'TGL_SELESAI', $this->obj_date->GetFullDate($rec['tgl_selesai']));

				$this->obj_tmpl->addVar('list_tahun_periode', 'MULAI', ucwords($rec['status_mulai']));

				$this->obj_tmpl->addVar('list_tahun_periode', 'SELESAI', ucwords($rec['status_selesai']));

				$this->obj_tmpl->addVar('list_tahun_periode', 'URL_DETAIL', $url_detail);

				$this->obj_tmpl->ParseTemplate('list_tahun_periode', 'a');

				$no++;

			}

		}

	}

	

}



?>