<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	protected $obj_forum;

	protected $obj_date;

	protected $obj_notify;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load business

		$this->obj_forum = $this->obj_ctrl->LoadBusiness('forum', 'mysql', $this->arr_config['db']);

		$loaded_query = array('business');

		$this->obj_forum->SetUsesBusinessQuery($loaded_query);

		// load library

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){	

		// display kategori

		self::DisplayListKategori();

		// display notification

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayListKategori(){

		// url process

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kategori-add'));

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));	

		// parameter

		$params = array();

		// get data

		$rs_id = $this->obj_forum->GetResourceId("GetListKategoriDiskusi", $params);

		// parse data

		$no = 1;

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				// url

				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'topik', array($rec['id_cat']));

				// parse

				$this->obj_tmpl->addVar('list_kategori', 'ID', $rec['id_cat']);

				$this->obj_tmpl->addVar('list_kategori', 'NO', $no);

				$this->obj_tmpl->addVar('list_kategori', 'FORUM', $rec['nama']);

				$this->obj_tmpl->addVar('list_kategori', 'DESKRIPSI', $rec['deskripsi']);

				$this->obj_tmpl->addVar('list_kategori', 'LAST_TOPIK', $rec['judul']);

				$this->obj_tmpl->addVar('list_kategori', 'TOTAL_TOPIK', $rec['total_topik']);

				$this->obj_tmpl->addVar('list_kategori', 'TOTAL_POST', $rec['total_reply']);

				if(!empty($rec['last_sender'])){

					$this->obj_tmpl->addVar('list_kategori', 'LAST_SENDER', "By : " . $rec['last_sender']);

					$this->obj_tmpl->addVar('list_kategori', 'LAST_POST_DATE', $this->obj_date->GetFullDate($rec['last_update'], 'ins'));

				}

				$this->obj_tmpl->addVar('list_kategori', 'URL_TOPIK', $url);

				$this->obj_tmpl->addVar('list_kategori', 'URL_EDIT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kategori-edit', array($rec['id_cat'])));	

				$this->obj_tmpl->ParseTemplate('list_kategori', 'a');

				$no++;

			}

		}

	}

}



?>