<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	private $obj_mdvi;

	private $obj_notify;



	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/*

		-- Other object loaded below 

		*/

		$this->obj_mdvi = $this->obj_ctrl->LoadBusiness('mdvi', 'mysql', $this->arr_config['db']);

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		// javascript loaded

		$this->obj_ctrl->LoadJavascript('tiny_mce');

	}

	

	public function PageView(){

		// page link

		self::DisplayPageLink();

		// detail volume

		self::DisplayDetailVolume();

		// detail konten

		self::DisplayDetailKonten();

		// notification

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

   

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

   

 	private function DisplayPageLink(){

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'add-content', array($this->arr_routes['params'][0])));

		// sub nav

		$this->obj_tmpl->addVar('content', 'URL_MDVI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view'));

		$this->obj_tmpl->addVar('content', 'URL_VOLUME', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view-volume'));

		$this->obj_tmpl->addVar('content', 'URL_KONTEN', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view-content', array($this->arr_routes['params'][0])));

		// process

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process-content'));

	}

	

	private function DisplayDetailVolume(){

		$id_vol = 0;

		if(isset($this->arr_routes['params'][0])){

			$id_vol = $this->arr_routes['params'][0];

		}

		$result = $this->obj_mdvi->GetDataAsSingleArray("GetDetailVolumeById", array($id_vol));

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'ID_VOL', $result['id_vol']);

			$this->obj_tmpl->addVar('content', 'VOLUME', $result['volume']);

			$this->obj_tmpl->addVar('content', 'NOMOR', $result['nomor']);

		}

	}

	

	private function DisplayDetailKonten(){

		$id = 0;

		if(isset($this->arr_routes['params'][1])){

			$id = $this->arr_routes['params'][1];

		}

		$result = $this->obj_mdvi->GetDataAsSingleArray("GetDetailContentById", array($id));

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'ID', $result['id']);

			$this->obj_tmpl->addVar('content', $result['tipe'], 'selected="selected"');

			$this->obj_tmpl->addVar('content', 'JUDUL', $result['judul']);

			$this->obj_tmpl->addVar('content', 'PENGIRIM', $result['pengirim']);

			$this->obj_tmpl->addVar('content', 'ALAMAT', $result['alamat']);

			$this->obj_tmpl->addVar('content', 'ABSTRAK', $result['abstrak']);

			$this->obj_tmpl->addVar('content', 'ABSTRAK_EN', $result['abstrak_en']);

			$this->obj_tmpl->addVar('content', 'URUTAN', $result['urutan']);

			$file = "doc/mdvi/fulltext/".$this->arr_routes['params'][0].'/'.$id.'/'.$result['file_name'];

			if(is_file($file)){

				$url = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'fulltext-download', array(md5(sha1($result['id'])), $result['id_vol']));

				// display link

				$this->obj_tmpl->addVar('content', 'FILE', '<a href="'.$url.'">'.$result['file_name'].'</a>');

			}else{

				$this->obj_tmpl->addVar('content', 'FILE', '-');

			}

			// file old

			$this->obj_tmpl->addVar('content', 'FILE_OLD', $result['file_name']);

		}

	}

}



?>