<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	private $obj_mdvi;

	private $obj_person;

	private $obj_notify;

	private $obj_date;



	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/*

		-- Other object loaded below 

		*/

		$this->obj_mdvi = $this->obj_ctrl->LoadBusiness('mdvi', 'mysql', $this->arr_config['db']);

		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		// javascript loaded

		$this->obj_ctrl->LoadJavascript('tiny_mce');	

	}

	

	public function PageView(){

		// display page link

		self::DisplayPageLink();

		// display detail volume

		self::DisplayDetailVolume();

		// diaplay notification

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

 	private function DisplayPageLink(){

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'add-volume'));

		// sub nav

		$this->obj_tmpl->addVar('content', 'URL_MDVI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view'));

		$this->obj_tmpl->addVar('content', 'URL_VOLUME', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view-volume'));

		// process

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process-volume'));

	}

	

	private function DisplayDetailVolume(){

		$id_vol = 0;

		if(isset($this->arr_routes['params'][0])){

			$id_vol = $this->arr_routes['params'][0];

		}

		// parse data

		$result = $this->obj_mdvi->GetDataAsSingleArray("GetDetailVolumeById", array($id_vol));

		if(!empty($result)){

			$this->obj_tmpl->addVar('content', 'ID_VOL', $result['id_vol']);

			$this->obj_tmpl->addVar('content', 'VOLUME', $result['volume']);

			$this->obj_tmpl->addVar('content', 'NOMOR', $result['nomor']);

			$this->obj_tmpl->addVar('content', 'TAHUN', $result['tahun']);

			$this->obj_tmpl->addVar('content', "BULAN_".$result['bulan'], 'selected="selected"');

			$this->obj_tmpl->addVar('content', 'JUDUL_EDITORIAL', $result['judul_editorial']);

			$this->obj_tmpl->addVar('content', 'PENGIRIM_EDITORIAL', $result['pengirim_editorial']);

			$this->obj_tmpl->addVar('content', 'ADDRESS', $result['address']);

			$this->obj_tmpl->addVar('content', 'FULLTEXT_EDITORIAL', $result['fulltext_editorial']);

			$imgpath = 'doc/mdvi/images/'.$result['id_vol'].'/'.$result['img_name'];

			$this->obj_tmpl->addVar('content', 'IMGPATH', HTTPPATH . $imgpath);

			// display last update

			$person = $this->obj_person->GetDataAsSingleArray("GetPersonNameById", array($result['mdb']));

			$this->obj_tmpl->addVar('content', 'MDD', $this->obj_date->GetFullDate($result['mdd']));

			$this->obj_tmpl->addVar('content', 'MDB', $person['nama']);

		}

	}

   

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

}



?>