<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// init object 	

	private $obj_info;	

	private $obj_notify;	

	private $obj_upload;

	// init variable

	private $arr_params;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		

	}		

	

	protected function ParseDocumentOutput(){

		/** Redirect result to default page */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'view');	

	}

	

	protected function PageLoad(){ 

		// load business

		$this->obj_info = $this->obj_ctrl->LoadBusiness('sekapur', 'mysql', $this->arr_config['db']);

	

		// load library 

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		$this->obj_upload = $this->obj_ctrl->LoadLibrary('Uploader');

	}

	

	public function PageView(){

		// important to encypte bug post form

		if(isset($_POST['save'])){ 

			$action = array_keys($_POST['save']); 

			$this->arr_params = $_POST;

			unset($_POST);

		}else{

			$action = FALSE;

		}

		// controller to manage process that page requested

		switch($action[0]){

			case 'ubah':

			 	self::UpdateSekapurSirih();

				break;

			default:

				break;

		}

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	// notification method

	private function SendNotification($err, $filled, $msg, $type){

		$this->obj_notify->ClearSession();

		$this->obj_notify->SetHeaderMessage($type, $msg);

		// error send

		foreach($err as $val){

			$this->obj_notify->SetMessage($val);

		}		

		// field value history

		for($i=0;$i<count($filled);$i++){

			$name = array_keys($filled);

			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);

		}

		$this->obj_notify->SentMessage();

	}

	

	// pengumuman

	



	private function UpdateSekapurSirih(){

		$err = array();	

		$filled = array();	

		// check / validate parameter 

		if(empty($this->arr_params['judul'])){ $err[] = '<br /><strong>Judul Pengumuman Harus di isi</strong> harus di isi'; }

		if(empty($this->arr_params['konten'])){ $err[] = '<br /><strong>Isi Pengumuman</strong> harus di isi'; }



		// processing --------------------------------------------------

		if(empty($err)){

		

		



		if(isset($_FILES['image']['tmp_name']) AND !empty($_FILES['image']['tmp_name'])){					

		  $this->arr_params['file_name'] = self::UploadImage();

		  $this->arr_params['file_path'] = 'doc/sekapur_sirih/';

		}else{  

		  $this->arr_params['file_name'] = 'UPDATE';

		}  

		 

			  

			 if($this->arr_params['file_name'] == 'GAGAL' ){

			    		$filled = array('JUDUL' => $this->arr_params['judul'], 'KONTEN' => $this->arr_params['konten']);

						// error message

						self::SendNotification($err, $filled, 'Gambar gagal di Upload. : '.$this->obj_upload->msg_error, 'error'); 

			  }else{

		            

				if($this->arr_params['file_name'] == 'UPDATE' ){	

					$params = array($this->arr_params['judul'], $this->arr_params['konten'], 

									$this->str_userid );

					$UpdateSekapurSirih = "UpdateSekapurSirihTanpaImage";

				}else{

					$params = array($this->arr_params['judul'], $this->arr_params['konten'], 

									$this->arr_params['file_name'], $this->arr_params['file_path'], $this->str_userid );

					$UpdateSekapurSirih = "UpdateSekapurSirih";

				}					

		            



					if($this->obj_info->ProcessingRawData($UpdateSekapurSirih, $params)){

						// sukses message				

						self::SendNotification($err, $filled, 'Data berhasil disimpan.', 'success');

					}else{

						$filled = array('JUDUL' => $this->arr_params['judul'], 'KONTEN' => $this->arr_params['konten']);

						// error message

						self::SendNotification($err, $filled, 'Data gagal disimpan.', 'error');

					}

			  }		

				

		}else{

			$filled = array('JUDUL' => $this->arr_params['judul'], 'KONTEN' => $this->arr_params['konten']);

			// error message

			self::SendNotification($err, $filled, 'Lihat kembali data yang perlu diisi.', 'error');

		}

		// Redirect page

		

		//$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'list',array('edit', $this->arr_params['id_pengumuman'], $this->arr_params['page']));

	}

	

	

	

	

	//tambahan 

	private function UploadImage(){

		// allowed type

		$this->obj_upload->file_accept = array('jpg', 'jpeg', 'png');

      	$file_name = "";

		if(isset($_FILES['image']['tmp_name']) AND !empty($_FILES['image']['tmp_name'])){

			

			// name and path file

			$file_name = str_replace(' ', '_', $_FILES['image']['name']);

			$file_path = "doc/sekapur_sirih/";

 		

		if($this->obj_upload->AttachmentFile($_FILES['image'])){

		     $this->obj_upload->RemoveDir($file_path); 

		}	 

		

			// processing 

			if($this->obj_upload->ImageUpload($_FILES['image'], $file_path, 120)){

			     return $file_name;

			}else{

			     return 'GAGAL';

			}	 

		}

	}

	

	

	

		

}



?>