dddddddddddddddddddddddddddddddddddddddddddd<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_iuran;
	protected $obj_notify;
	// variable definition
	protected $arr_params;
	protected $int_dpp_value;
	protected $int_dpw_value;
	protected $int_dpd_value;
	protected $int_dpk_value;	
	protected $int_start_bln;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'iuran');	
	}
	
	protected function PageLoad(){ 
		// load business
		$this->obj_iuran = $this->obj_ctrl->LoadBusiness('iuran', 'mysql', $this->arr_config['db']);
		$loaded_query = array('business');
		$this->obj_iuran->SetUsesBusinessQuery($loaded_query);	
		// load library
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
	}
	
	public function PageView(){
		// important to encypte bug post form
		if(isset($_POST['save'])){ 
			$action = array_keys($_POST['save']); 
			$this->arr_params = $_POST;
			unset($_POST);
		}else{
			$action = FALSE;
		}
		ini_set('memory_limit', '9999M'); //Raise to 512 MB
		ini_set('max_execution_time', '3600'); //Raise to 512 MBs
		// controller to manage process that page requested
		switch($action[0]){
			case 'update':
				self::UpdateIuranSettings();
				break;
			case 'view_list':
				self::ViewKontribusiIuran();
				break;
			case 'view_listdpw':
				self::ViewKontribusiIuranDpw();
				break;	
			case 'view_listdpd':
				self::ViewKontribusiIuranDpd();
				break;
			case 'view_listdpk':
				self::ViewKontribusiIuranDpk();
				break;		
			case 'view_laporan':
				self::ViewLaporanIuran();
				break;
			case 'insert_iuran':
				self::InsertDataIuran2();
				break;
			case 'update_iuran':
				self::UpdateDataIuran();
				break;
			case 'laporan_cabang':
				self::LaporanCabang();
				break;
			default:
				break;
		}
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	// notification method
	private function SendNotification($err, $filled, $msg, $type){
		$this->obj_notify->ClearSession();
		$this->obj_notify->SetHeaderMessage($type, $msg);
		// error send
		foreach($err as $val){
			$this->obj_notify->SetMessage($val);
		}		
		// field value history
		for($i=0;$i<count($filled);$i++){
			$name = array_keys($filled);
			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);
		}
		$this->obj_notify->SentMessage();
	}
	
	// operation
	
	private function LaporanCabang(){
		$params = array();
		if(!empty($this->arr_params['tahun']) AND !empty($this->arr_params['smt']) AND !empty($this->arr_params['id_cabang'])){
			$params = array($this->arr_params['id_cabang'], $this->arr_params['tahun'], $this->arr_params['smt']);
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'laporan', 'cabang', $params);
	}
	
	private function ViewKontribusiIuran2(){
$_SESSION['search']['prov_kom'] = $this->arr_params['prov_kom'];
		$_SESSION['search']['city'] = $this->arr_params['city'];
		$_SESSION['search']['cabang'] = $this->arr_params['id_cabang'];
		$_SESSION['search']['keyword'] = $this->arr_params['keyword'];
		$_SESSION['search']['tahun'] = $this->arr_params['tahun'];		

$params = array();
		if(!empty($this->arr_params['tahun']) AND !empty($this->arr_params['smt']) AND !empty($this->arr_params['id_cabang'])AND !empty($this->arr_params['prov_kom']) AND !empty($this->arr_params['city'])OR !empty($this->arr_params['keyword'])){
			$params = array($this->arr_params['id_cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $this->arr_params['prov_kom'], $this->arr_params['city'],$this->arr_params['keyword']);
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'iuran', $params);
	}
	
	private function ViewLaporanIuran2(){
		$params = array();
		if(!empty($this->arr_params['cabang']) AND !empty($this->arr_params['tahun']) AND !empty($this->arr_params['smt'])){
			$params = array($this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt']);
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'laporan', 'anggota', $params);
	}
	
	
	private function ViewKontribusiIuran(){
		$_SESSION['search']['prov_kom'] = $this->arr_params['prov_kom'];
		$_SESSION['search']['city'] = $this->arr_params['city'];
		$_SESSION['search']['cabang'] = $this->arr_params['id_cabang'];
		$_SESSION['search']['tahun'] = $this->arr_params['tahun'];
		$_SESSION['search']['keyword'] = $this->arr_params['keyword'];	
		$_SESSION['search']['nira'] = $this->arr_params['nira'];	

		$params = array();
		if(!empty($this->arr_params['tahun']) AND !empty($this->arr_params['smt']) AND !empty($this->arr_params['id_cabang'])AND !empty($this->arr_params['prov_kom']) AND !empty($this->arr_params['city'])OR !empty($this->arr_params['keyword']))
		{
			$params = array( $this->arr_params['tahun']);
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'iuran', $params);
	}
	
	private function UpdateIuranSettings(){	
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// required -------------------------------------------
		if(empty($this->arr_params['data'])){ $err[] = '<br /><strong>Data</strong> harus diisi'; }
		// processing -----------------------------------------------------
		if(empty($err)){
			foreach($this->arr_params['data'] as $key => $data){
				$params = array($data['pp'], $data['pw'], $data['cabang'], $key);
				// execute process
				$this->obj_iuran->ProcessingData("UpdateIuranSettings", $params);
			}			
			// sukses message				
			self::SendNotification($err, $filled, 'Data has been saved.', 'success');
			// redirect to success page ------------------------------------
		}else{
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------	
		}	
		// redirect page --------------------------------------------------		
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pengaturan', 'iuran');	
	}
	
	private function ViewKontribusiIuranDpw(){
$_SESSION['search']['prov_kom'] = $this->arr_params['prov_kom'];
		$_SESSION['search']['city'] = $this->arr_params['city'];
		$_SESSION['search']['cabang'] = $this->arr_params['id_cabang'];
		$_SESSION['search']['keyword'] = $this->arr_params['keyword'];
		$_SESSION['search']['tahun'] = $this->arr_params['tahun'];
		$_SESSION['search']['status_bayar'] = $this->arr_params['status_bayar'];	
		$_SESSION['search']['nira'] = $this->arr_params['nira'];	

$params = array();
		if(!empty($this->arr_params['tahun']) AND !empty($this->arr_params['smt']) AND !empty($this->arr_params['id_cabang'])AND !empty($this->arr_params['prov_kom']) AND !empty($this->arr_params['city']) AND !empty($this->arr_params['status_bayar']) OR !empty($this->arr_params['keyword'])){
			$params = array($this->arr_params['id_cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $this->arr_params['prov_kom'], $this->arr_params['city'],$this->arr_params['status_bayar'],$this->arr_params['keyword']);
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'iuran_dpw', $params);
	}
	
	private function ViewKontribusiIuranDpd(){
$_SESSION['search']['prov_kom'] = $this->arr_params['prov_kom'];
		$_SESSION['search']['city'] = $this->arr_params['city'];
		$_SESSION['search']['cabang'] = $this->arr_params['id_cabang'];
		$_SESSION['search']['keyword'] = $this->arr_params['keyword'];
		$_SESSION['search']['tahun'] = $this->arr_params['tahun'];
		$_SESSION['search']['status_bayar'] = $this->arr_params['status_bayar'];
		$_SESSION['search']['nira'] = $this->arr_params['nira'];		

$params = array();
		if(!empty($this->arr_params['tahun']) AND !empty($this->arr_params['smt']) AND !empty($this->arr_params['id_cabang'])AND !empty($this->arr_params['prov_kom']) AND !empty($this->arr_params['city']) AND !empty($this->arr_params['status_bayar']) OR !empty($this->arr_params['keyword'])){
			$params = array($this->arr_params['id_cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $this->arr_params['prov_kom'], $this->arr_params['city'],$this->arr_params['status_bayar'],$this->arr_params['keyword']);
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'iuran_dpd', $params);
	}
	
	
	private function ViewKontribusiIuranDpk(){
$_SESSION['search']['prov_kom'] = $this->arr_params['prov_kom'];
		$_SESSION['search']['city'] = $this->arr_params['city'];
		$_SESSION['search']['cabang'] = $this->arr_params['id_cabang'];
		$_SESSION['search']['keyword'] = $this->arr_params['keyword'];
		$_SESSION['search']['tahun'] = $this->arr_params['tahun'];
		$_SESSION['search']['status_bayar'] = $this->arr_params['status_bayar'];
		$_SESSION['search']['nira'] = $this->arr_params['nira'];		

$params = array();
		if(!empty($this->arr_params['tahun']) AND !empty($this->arr_params['smt']) AND !empty($this->arr_params['id_cabang'])AND !empty($this->arr_params['prov_kom']) AND !empty($this->arr_params['city']) AND !empty($this->arr_params['status_bayar']) OR !empty($this->arr_params['keyword'])){
			$params = array($this->arr_params['id_cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $this->arr_params['prov_kom'], $this->arr_params['city'],$this->arr_params['status_bayar'],$this->arr_params['keyword']);
		}
		/** Redirect result to default page */
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'iuran_dpk', $params);
	}
	
	private function InsertDataIuran(){	
		self::GetIuranAnggota();
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// required -------------------------------------------
		if(empty($this->arr_params['data'])){ $err[] = '<br /><strong>Data</strong> harus diisi'; }
		if(empty($this->arr_params['cabang'])){ $err[] = '<br /><strong>Komisariat</strong> harus diisi'; }
		if(empty($this->arr_params['tahun'])){ $err[] = '<br /><strong>Tahun</strong> harus diisi'; }
		if(empty($this->arr_params['smt'])){ $err[] = '<br /><strong>Semester</strong> harus diisi'; }
		if(empty($this->arr_params['paging'])){ $err[] = '<br /><strong>Page</strong> harus diisi'; }
		// processing -----------------------------------------------------
		if(empty($err)){			
			foreach($this->arr_params['data'] as $key => $data){
				// delete
				$params = array($key, $this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt']);
				$this->obj_iuran->ProcessingData("DeleteIuranAnggotaByParams", $params);
				// insert
				if(isset($data['status_bayar']))
					$status_bayar = 'yes';
				else
					$status_bayar = 'no';
				// semester
				$params = array($key, $this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $data['status_anggota'], $status_bayar);
				if($this->obj_iuran->ProcessingData("InsertDataSemester", $params)){
					// rincian
					for($i=$this->int_start_bln;$i<=$this->int_start_bln + 5;$i++){
						$params_rincian = array($key, $this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $i, $this->int_pp_value[$data['status_anggota']], $this->int_p2kb_value[$data['status_anggota']], $this->int_cabang_value[$data['status_anggota']]);
						$this->obj_iuran->ProcessingData("InsertDataRincian", $params_rincian);
					}			
					// sukses message				
					self::SendNotification($err, $filled, 'Data has been saved.', 'success');
					// redirect to success page ------------------------------------
				}else{
					// error message
					self::SendNotification($err, $filled, 'Business Process Failure.', 'error');
					// redirect to page error page --------------------------------
				}
			}
		}else{
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------	
		}	
		// redirect page --------------------------------------------------		
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'iuran', array($this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $this->arr_params['paging']));	
	}
	
	private function InsertDataIuran2(){	
		//self::GetIuranAnggota();
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// required -------------------------------------------
		if(empty($this->arr_params['anggota'])){ $err[] = '<br /><strong>Data</strong> harus diisi'; }
		if(empty($this->arr_params['cabang'])){ $err[] = '<br /><strong>Cabang</strong> harus diisi'; }
		if(empty($this->arr_params['tahun'])){ $err[] = '<br /><strong>Tahun</strong> harus diisi'; }
		if(empty($this->arr_params['smt'])){ $err[] = '<br /><strong>Semester</strong> harus diisi'; }
		if(empty($this->arr_params['paging'])){ $err[] = '<br /><strong>Page</strong> harus diisi'; }
		// processing -----------------------------------------------------
		if(empty($err)){			
			foreach($this->arr_params['anggota'] as $key => $data){
				// delete
				$params = array($key, $this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt']);
				$this->obj_iuran->ProcessingData("DeleteIuranAnggotaByParams", $params);
				// insert
				if(isset($data['status_bayar']))
					$status_bayar = 'yes';
				else
					$status_bayar = 'no';
				// semester
				$params = array($key,$this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $data['status_anggota'], $status_bayar);
				//$this->obj_iuran->DebugQuery("InsertDataSemester", $params);exit;
				
				if($this->obj_iuran->ProcessingData("InsertDataSemester", $params)){
					// rincian
					
					foreach($this->arr_params['data'] as $key2 => $data){
						$params_rincian = array($key, $this->arr_params['cabang'], $this->arr_params['tahun'], $data['id'],$this->arr_params['smt'], $data['dpp'],$data['dpw'],$data['dpd'],$data['dpk']);
						
							//$params_rincian = array($this->arr_params['person'], $this->arr_params['cabang'], $this->arr_params['tahun'], $data['id'],$this->arr_params['smt'], $data['dpp'],$data['dpw'],$data['dpd'],$data['dpk']);
						
						//print_r($params_rincian);exit;
						//$this->obj_iuran->DebugQuery("InsertDataRincian", $params_rincian);exit;
						$this->obj_iuran->ProcessingData("InsertDataRincian", $params_rincian);
					}			
					// sukses message				
					self::SendNotification($err, $filled, 'Data has been saved.', 'success');
					// redirect to success page ------------------------------------
				}else{
					// error message
					self::SendNotification($err, $filled, 'Business Process Failure.', 'error');
					// redirect to page error page --------------------------------
				}
			}
		}else{
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------	
		}	
		// redirect page --------------------------------------------------		
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'iuran', array($this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $this->arr_params['paging']));	
	}
	
	private function GetIuranAnggota(){
		// parse data
		// parse data
		$rs_id = $this->obj_iuran->GetResourceId("GetIuranSettings", array());
		if($rs_id){
			while($rec = mysqli_fetch_assoc($rs_id)){
				$this->int_dpp_value[$rec['status_anggota']] = $rec['dpp'];
				$this->int_dpw_value[$rec['status_anggota']] = $rec['dpw'];
				$this->int_dpd_value[$rec['status_anggota']] = $rec['dpd'];
				$this->int_dpk_value[$rec['status_anggota']] = $rec['dpk'];
				
			}
		}
		// --
		switch($this->arr_params['smt']){
			case 'I':
				$this->int_start_bln = 1;
				break;
			case 'II':
				$this->int_start_bln = 7;
				break;
			default:
				break;
		}
	}
	
	private function UpdateDataIuran(){	
		self::GetIuranAnggota();
		// inisialize variable --------------------------------------------
		$err = array();		
		$filled = array();
		// required -------------------------------------------
		if(empty($this->arr_params['cabang'])){ $err[] = '<br /><strong>ID</strong> tidak terpilih'; }
		if(empty($this->arr_params['tahun'])){ $err[] = '<br /><strong>ID</strong> tidak terpilih'; }
		if(empty($this->arr_params['smt'])){ $err[] = '<br /><strong>ID</strong> tidak terpilih'; }
		if(empty($this->arr_params['person'])){ $err[] = '<br /><strong>ID</strong> tidak terpilih'; }
		if(empty($this->arr_params['paging'])){ $err[] = '<br /><strong>ID</strong> tidak terpilih'; }
		if(empty($this->arr_params['data'])){ $err[] = '<br /><strong>Data</strong> harus diisi'; }
		// processing -----------------------------------------------------
		if(empty($err)){			
			// delete
			$params = array($this->arr_params['person'], $this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt']);
			$this->obj_iuran->ProcessingData("DeleteIuranAnggotaByParams", $params);
			// insert
			$params = array($this->arr_params['person'], $this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $this->arr_params['status_anggota'], $this->arr_params['status_pelunasan']);
			if($this->obj_iuran->ProcessingData("InsertDataSemester", $params)){
				// rincian
				foreach($this->arr_params['data'] as $key => $data){
						$params_rincian = array($this->arr_params['person'], $this->arr_params['cabang'], $this->arr_params['tahun'], $data['id'],$this->arr_params['smt'], $data['dpp'],$data['dpw'],$data['dpd'],$data['dpk']);
						
						print_r($params_rincian);exit;
						//$this->obj_iuran->DebugQuery("InsertDataRincian", $params_rincian);exit;
						
						
					$this->obj_iuran->ProcessingData("InsertDataRincian", $params_rincian);
				}
				// sukses message				
				self::SendNotification($err, $filled, 'Data has been saved.', 'success');
				// redirect to success page ------------------------------------
			}else{
				// error message
				self::SendNotification($err, $filled, 'Business Process Failure.', 'error');
				// redirect to page error page --------------------------------
			}
		}else{
			// error message
			self::SendNotification($err, $filled, 'See input requirement.', 'error');
			// redirect to page error page --------------------------------	
		}	
		// redirect page --------------------------------------------------		
		$this->obj_ctrl->RedirectPage($this->arr_routes['app'], $this->arr_routes['group'], 'pembayaran', 'edit-iuran', array($this->arr_params['cabang'], $this->arr_params['tahun'], $this->arr_params['smt'], $this->arr_params['person'], $this->arr_params['paging']));
	}
}

?>