<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_iuran;

	protected $obj_paging;

	protected $obj_date;

	protected $obj_notify;

	protected $obj_admin;

	// variable definition

	protected $int_cabang = 0;

	protected $status_bayar = 0;

	protected $obj_data;

	private $int_propinsi = 0;

	private $int_kota = 0;

	protected $int_tahun;

	protected $int_smt;

	protected $str_bayar;

	protected $str_nama;

	protected $int_dpp_value;

	protected $int_dpw_value;

	protected $int_dpd_value;

	protected $int_dpk_value;

	protected $arr_cabang = array();

	protected $str_cabang;

	protected $arr_prov_kom = array();

	protected $arr_cty_kom = array();	

	private $str_cari_par;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load business

		$this->obj_iuran = $this->obj_ctrl->LoadBusiness('iuran', 'mysql', $this->arr_config['db']);

		$loaded_query = array('business');

		$this->obj_iuran->SetUsesBusinessQuery($loaded_query);		

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		$this->obj_data->UseQuery(array('propinsi', 'kota'));

		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);

		// library loaded

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		// load javascript

		$this->obj_ctrl->LoadJavascript('form_event');

		// -javascript		

		$this->obj_ctrl->LoadJavascript('jquery');

		$this->obj_ctrl->LoadJavascript('jquery.popin', 'jquery');	

		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');

	}

	

	public function PageView(){

		// display notification

		self::DisplayNotification();

		// display variable link

		self::DisplayVariableLink();

		// display iuran settings

		//self::DisplayIuranAnggota();

		// display iuran settings

		self::DisplayIuranAnggota2();

		//propinsi

		//self::DisplayFormProvinsi();

		// Kota Komisariat

		self::DisplayListKota();

		// display list cabang

		self::DisplayCabangAuthority();

		// display list tahun

		self::DisplayListTahun();

		// display list semester

		self::DisplayListSemester();

		// display keyword name

		//self::DisplayKeywordName();

		// display laporan pembayaran

		self::DisplayKontribusiPembayaran();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayVariableLink(){

		// parse variable

		$this->obj_tmpl->addVar("content", "URL_PROCESS", $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], 'iuran', 'process'));

		$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota-komisariat'));

		$result = $this->obj_admin->GetDataAsSingleArray("GetListCabangAdminByiddpd", array($this->str_userid, $this->str_userid));

		//print_r($result);

		$this->int_kota = $result['id_city'];

		$this->str_cari_par .= " AND b.id_city_komisariat = " . $this->int_kota." " ;

		// keyword

		if(isset($_SESSION['search']['keyword'])){

			$this->str_keyword = "%" . $_SESSION['search']['keyword'] . "%";

			$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['keyword']);

		}else{

			$this->str_keyword = "%%";

		}

		if(isset($_SESSION['search']['prov_kom']) && $_SESSION['search']['prov_kom']>0){

			$this->int_propinsi = $_SESSION['search']['prov_kom'];

			$this->str_cari_par .= " AND b.id_province_kom = " . $this->int_propinsi." ";

		}

		if(isset($_SESSION['search']['city']) && $_SESSION['search']['city']>0){

			$this->int_kota = $_SESSION['search']['city'];

			$this->str_cari_par .= " AND b.id_city_komisariat = " . $this->int_kota." " ;

		}

		if(isset($_SESSION['search']['cabang']) && $_SESSION['search']['cabang']>0){

			$this->int_cabang = $_SESSION['search']['cabang'];

			$this->str_cari_par .= " AND b.id_cabang = " . $this->int_cabang." " ;

		}

		

	if(isset($_SESSION['search']['nira']) && $_SESSION['search']['nira']>0){

			$this->int_cabang = $_SESSION['search']['nira'];

			$this->str_cari_par .= " AND b.no_anggota = " .$_SESSION['search']['nira']." " ;
			$this->obj_tmpl->addVar('content', 'NIRA', $_SESSION['search']['nira']);

		}

		

		/*if(isset($_SESSION['search']['tahun']) && $_SESSION['search']['tahun']>0){

			$this->int_tahun = $_SESSION['search']['tahun'];

			$this->str_cari_par .= " AND tahun = " . $this->int_tahun." " ;

		}*/

	}

	

	private function DisplayIuranAnggota(){

		// parse data

		$rs_id = $this->obj_iuran->GetResourceId("GetIuranSettings", array());

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->int_dpp_value = $rec['dpp'];

				$this->int_dpw_value = $rec['dpw'];

				$this->int_dpd_value = $rec['dpw'];

				$this->int_dpk_value = $rec['dpk'];

				$this->obj_tmpl->addVar("list_iuran", "NAMA", $rec['nama']);

				$this->obj_tmpl->addVar("list_iuran", "BESARAN", $rec['besaran']);

				$this->obj_tmpl->addVar("list_iuran", "DPP", number_format($rec['dpp'], 2, ',', '.'));

				$this->obj_tmpl->addVar("list_iuran", "DPW", number_format($rec['dpw'], 2, ',', '.'));

				$this->obj_tmpl->addVar("list_iuran", "DPD", number_format($rec['dpw'], 2, ',', '.'));

				$this->obj_tmpl->addVar("list_iuran", "DPK", number_format($rec['dpk'], 2, ',', '.'));

				$this->obj_tmpl->ParseTemplate("list_iuran", "a");

			}

		}

	}

	

	private function DisplayFormProvinsi(){

	// cabang

	$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);

	if(isset($_SESSION['search']['prov_kom'])){ $this->str_prov_kom = $_SESSION['search']['prov_kom'];}

		//$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);

		// display propinsi

		

		$rs_id = $this->obj_admin->GetListProvinceByAdmin(array());	

			while($rs = mysqli_fetch_assoc($rs_id)){	

			//print_r($rs['id_province']);

			$this->arr_prov_kom[] = $rs['id_province'];

				if($this->int_propinsi == $rs['id_province']){

					$this->obj_tmpl->addVar('list_province', 'SELECTED', 'selected="selected"');

				}else{

					$this->obj_tmpl->addVar('list_province', 'SELECTED', '');

				}	

				$this->obj_tmpl->addVar('list_province', 'VALUE', $rs['id_province']);

				$this->obj_tmpl->addVar('list_province', 'NAME', $rs['province_name']);

				$this->obj_tmpl->parseTemplate('list_province', 'a');

			}

		

	}	

	

	private function DisplayListKota(){

	

	if(isset($_SESSION['search']['city'])){ $this->int_kota = $_SESSION['search']['city'];}

	//print_r($this->int_propinsi);

		$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($this->int_propinsi));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				if($this->int_kota == $rec['id_city'])

					$this->obj_tmpl->addVar('list_kota', 'SELECTED', 'selected="selected"');

				else

					$this->obj_tmpl->addVar('list_kota', 'SELECTED', '');

				$this->obj_tmpl->addVar('list_kota', 'VALUE', $rec['id_city']);

				$this->obj_tmpl->addVar('list_kota', 'NAMA', $rec['city_name']);

				$this->obj_tmpl->ParseTemplate('list_kota', 'a');

			}

		}

	}

	

	

	

	private function DisplayCabangAuthority(){

		// cabang

		$cabang = "";

		

		if(isset($_SESSION['search']['cabang'])){ $this->str_cabang = $_SESSION['search']['cabang'];}

		//print_r($this->str_cabang);

		// parsing data

		//$rs_id = $this->obj_admin->GetListCabangByAdmin(array($this->str_userid));

		 //$this->obj_data->DebugQuery("GetListKomisariatByKota", array($this->int_kota));	

		$rs_id = $this->obj_data->GetResourceId("GetListKomisariatByKota", array($this->int_kota));	

		if($rs_id){	

		while($rs = mysqli_fetch_assoc($rs_id)){	

			$this->arr_cabang[] = $rs['id_cabang'];

			if($this->str_cabang == $rs['id_cabang']){

				$this->obj_tmpl->addVar('list_cabang', 'SELECTED', 'selected="selected"');

			}else{

				$this->obj_tmpl->addVar('list_cabang', 'SELECTED', '');

			}

			$this->obj_tmpl->addVar('list_cabang', 'VALUE', $rs['id_cabang']);

			$this->obj_tmpl->addVar('list_cabang', 'NAMA', $rs['nama']);

			$this->obj_tmpl->ParseTemplate('list_cabang', 'a');

		}

		}

		if(empty($this->str_cabang))

			$this->arr_cabang = implode(',', $this->arr_cabang);

		else

			$this->arr_cabang = $this->str_cabang;

	}

	

	private function DisplayListTahun(){

		if(isset($this->arr_routes['params'][1])){

			$this->int_tahun = $this->arr_routes['params'][1];

		}

		$tahun = "";

		

		if(isset($_SESSION['search']['tahun'])){ $this->int_tahun = $_SESSION['search']['tahun'];}

		// parse tahun

		$tahun = date('Y') + 6;		

		for($i=$tahun;$i>=$tahun-12;$i--){

			if($this->int_tahun == $i)

				$this->obj_tmpl->addVar("list_tahun", "SELECTED", 'selected="selected"');

			else

				$this->obj_tmpl->addVar("list_tahun", "SELECTED", '');

			$this->obj_tmpl->addVar("list_tahun", "TAHUN", $i);

			$this->obj_tmpl->ParseTemplate("list_tahun", "a");

		}

		// parse variable

		$this->obj_tmpl->addVar("content", "TAHUN", $this->int_tahun);

	}

	

	private function DisplayListSemester(){

		if(isset($this->arr_routes['params'][2])){

			$this->int_smt = $this->arr_routes['params'][2];

		}

		// parse semester

		$arr_bln = array('Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember');

		switch($this->int_smt){

			case 'I':

				$this->int_start_bln = 1;

				$this->obj_tmpl->addVar("content", "SMT_I", 'selected="selected"');

				break;

			case 'II':

				$this->int_start_bln = 7;

				$this->obj_tmpl->addVar("content", "SMT_II", 'selected="selected"');

				break;

			default:

				break;

		}

		// parse variable

		$this->obj_tmpl->addVar("content", "SMT", $this->int_smt);

	}

	

	private function DisplayKeywordName(){

		if(isset($this->arr_routes['params'][5])){

		$this->str_nama = "%" .str_replace('-', ' ', $this->arr_routes['params'][5]) . "%";

			$this->obj_tmpl->addVar('content', 'KEYWORD', $this->arr_routes['params'][5]);

		}else{

			$this->str_nama = "%%";

		}

		/*	$this->str_nama = str_replace('-', ' ', $this->arr_routes['params'][5]);

		}

		// parse variable

		$this->obj_tmpl->addVar("content", "KEYWORD", $this->str_nama);*/

	}

	

	private function DisplayKontribusiPembayaran(){

		// set parameter pages on index [0]

		// set parameter pages on index [0]

		if(!isset($this->arr_routes['params'][0]))

			$page = 1;

		else

			$page = $this->arr_routes['params'][0];

		// set active page number

		$this->obj_paging->SetPagesNumber($page);

		// set max record

		$this->obj_paging->SetMaxRecord(20);

		// set total record

		$int_total = $this->obj_iuran->GetTotalAnggotaIuranByAdmin(array($this->str_keyword, $this->str_cari_par));

		$this->obj_paging->SetTotalRecord($int_total);

		// set url

		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));

		// set template

		$this->obj_paging->SetTempatePaging('pagination');

		// parse paging

		$this->obj_paging->ParsePaging();

		// get data

		// get start record

		$start = $this->obj_paging->int_start_record;

		$max = $this->obj_paging->int_max_record;

		$no = 1;

		$no = $no + $start;

		// display list anggota

		//$this->obj_iuran->DebugQuery("GetDataAnggotaIuranByAdmin", array($this->str_keyword, $this->str_cari_par, $start, $max));

		$rs_id = $this->obj_iuran->GetResourceId("GetDataAnggotaIuranByAdmin", array($this->int_tahun,$this->str_keyword, $this->str_cari_par, $start, $max));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){
$this->obj_tmpl->addVar("list_anggota", "NO", $no);
				$this->obj_tmpl->addVar("list_anggota", "INDEX", $no - 1);
				
				$this->obj_tmpl->addVar("list_anggota", "ID_PERSON", $rec['id_person']);
				$this->obj_tmpl->addVar("list_anggota", "NO_ANGGOTA", $rec['no_anggota']);
				$this->obj_tmpl->addVar("list_anggota", "JUMLAH", $rec['jumlah']);
				$this->obj_tmpl->addVar("list_anggota", "TGL_BAYAR", $this->obj_date->GetFullDate($rec['tagal_bayar'], 'ins'));
				$this->obj_tmpl->addVar("list_anggota", "NO_VA", $rec['no_va']);
				
				$this->obj_tmpl->addVar("list_anggota", "JUMLAH", $rec['jumlah']);
				
				//$this->obj_iuran->DebugQuery("GetPropinsiById", array($rec['id_province_kom']));
				$rs_prov = $this->obj_iuran->GetDataAsSingleArray("GetPropinsiById", array($rec['id_province_kom']));
				//print_r($rs_prov);
				$this->obj_tmpl->addVar("list_anggota", "DPW", $rs_prov['province_name']);
				
				$rs_city = $this->obj_iuran->GetDataAsSingleArray("GetCityById", array($rec['id_city_komisariat']));
				$this->obj_tmpl->addVar("list_anggota", "DPD", $rs_city['city_name']);
				
				$rs_cabang = $this->obj_iuran->GetDataAsSingleArray("GetkomisariatById", array($rec['id_komisariat']));
				$this->obj_tmpl->addVar("list_anggota", "DPK", $rs_cabang['nama']);
//$this->obj_iuran->DebugQuery("GetJumlahIuranByAnggotaItem", array($rec['id_person'],$this->int_tahun,$this->str_cari_par));					
//$jumlah = $this->obj_iuran->GetDataAsSingleArray("GetJumlahIuranByAnggotaItem", array($rec['id_person'],$this->int_tahun,$this->str_cari_par));
				//print_r($jumlah);
				
					//$this->obj_tmpl->addVar("list_anggota", "JUMLAH", $jumlah['jumlah']);
					if($rec['status_pelunasan'] == 'yes'){
						$this->obj_tmpl->addVar("list_anggota", "CHECKED", 'checked="checked"');
						$this->obj_tmpl->addVar("list_anggota", "ST_BYR", 'LUNAS');
					}else{
						$this->obj_tmpl->addVar("list_anggota", "JUMLAH", 0);
						$this->obj_tmpl->addVar("list_anggota", "CHECKED", '');
						$this->obj_tmpl->addVar("list_anggota", "ST_BYR", '<b>BELUM</b>');
					}
				
				

				$this->obj_tmpl->addVar("list_anggota", "NAMA", $rec['nama_lengkap']);
				$this->obj_tmpl->addVar('list_anggota', 'PREFIX', $rec['prefix']);

				$this->obj_tmpl->addVar('list_anggota', 'SUFFIX', $rec['suffix']);

				// link

				$this->obj_tmpl->addVar("list_anggota", "URL_DETAIL", $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'detail-iuran', array($this->int_cabang, $this->int_tahun, $rec['id_person'])));

				$this->obj_tmpl->addVar("list_anggota", "URL_EDIT", $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'edit-iuran', array($this->int_cabang, $this->int_tahun, $this->int_smt, $rec['id_person'], $page)));

				// --

				$this->obj_tmpl->ParseTemplate("list_anggota", "a");

				$no++;

			}

			$this->obj_tmpl->addVar('display', 'TOTAL_DATA', $no - 1);	

		}

		// parse variable info anggota yang telah membayar

		//$this->obj_iuran->DebugQuery("GetTotalIuranLunasByParams", array($this->int_tahun,'yes', $this->str_cari_par));

		$lunas = $this->obj_iuran->GetDataAsSingleArray("GetTotalIuranLunasByParams", array($this->int_tahun,'yes', $this->str_cari_par));

		//print_r($lunas['lunas']);

		$belum_lunas = $int_total - $lunas['lunas'];

		$this->obj_tmpl->addVar("pagination", "TOTAL_ANGGOTA", $belum_lunas);

	

	

		// print out

		if(!empty($this->int_cabang) AND !empty($this->int_tahun)AND !empty($this->status_bayar) AND !empty($this->int_smt)){

			$this->obj_tmpl->addVar("content", "URL_PRINT", $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'print-out', array($this->int_cabang, $this->int_tahun, $this->int_smt)));

		}else{

			$this->obj_tmpl->addVar("content", "URL_PRINT",  $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'iuran_rekap_dpd', array($this->int_tahun)));

		}

	}

	

	//komponen iuran

	private function DisplayIuranAnggota2(){

		// parse data

		$rs_id = $this->obj_iuran->GetResourceId("GetIuranAnggota", array(1));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				$this->int_dpp_value = $rec['dpp'];

				$this->int_dpw_value = $rec['dpw'];

				$this->int_dpd_value = $rec['dpw'];

				$this->int_dpk_value = $rec['dpk'];

				$this->obj_tmpl->addVar("list_iuran2", "ID_IURAN", $rec['id']);

				$this->obj_tmpl->addVar("list_iuran2", "NAMA", $rec['nama']);

				$this->obj_tmpl->addVar("list_iuran2", "BESARAN", $rec['besaran']);

				$this->obj_tmpl->addVar("list_iuran2", "DPP", $rec['dpp']);

				$this->obj_tmpl->addVar("list_iuran2", "DPW", $rec['dpw']);

				$this->obj_tmpl->addVar("list_iuran2", "DPD", $rec['dpw']);

				$this->obj_tmpl->addVar("list_iuran2", "DPK", $rec['dpk']);

				$this->obj_tmpl->ParseTemplate("list_iuran2", "a");

			}

		}

	}

	// utility

	

	private function GetAktifSemester($month){		

		if($month <= 6){

			$this->int_smt = 'I';

			$str = "I (Januari s/d Juni)";			

		}else{

			$this->int_smt = 'II';

			$str = "II (Juli s/d Desember)";			

		}

		return $str;

	}

	

	private function GetJumlahDibayarkan($month){		

		if($month <= 6){

			$this->int_smt = 'I';

			$str = "I (Januari s/d Juni)";			

		}else{

			$this->int_smt = 'II';

			$str = "II (Juli s/d Desember)";			

		}

		return $str;

	}

	

}



?>