<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{		
	protected $obj_iuran;
	private $int_propinsi = 0;
	private $int_kota = 0;
	protected $int_tahun;
	protected $obj_date;
	protected $obj_workbook;
	protected $obj_worksheet;
	// variable definition
	protected $str_keyword;
	protected $str_cabang;
	protected $str_nama_cabang;
	protected $arr_cabang = array();	
	protected $arr_params;
	protected $obj_admin;
	// variable definition
    protected $int_cabang = 0;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		
	}		
	
	protected function ParseDocumentOutput(){
		/** Redirect result to default page */
		// excel	
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/* Other object loaded below */
		// load object business
		$this->obj_iuran = $this->obj_ctrl->LoadBusiness('iuran', 'mysql', $this->arr_config['db']);
		$loaded_query = array('business');	
		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);
		// load object pagination
		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	
		$this->obj_crypt = $this->obj_ctrl->LoadLibrary('Cryptograph');	
		// load plugins
		$this->obj_ctrl->LoadFile('excel/class.writeexcel_workbook.inc.php', 'plugins');
		$this->obj_ctrl->LoadFile('excel/class.writeexcel_worksheet.inc.php', 'plugins');
		$this->str_excel_name = tempnam("doc/temp/excel/", "excel_file.xls");
		// load class excel
		$this->obj_workbook = new writeexcel_workbook($this->str_excel_name);
	}
	
	public function PageView(){
		// authority
		self::DisplayVariableLink();	
		// display pdf download
		self::DownloadLaporan();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
		
	// operation
	
	private function DisplayVariableLink(){
		// parse variable
		
		// keyword
		if(isset($_SESSION['search']['keyword'])){
			$this->str_keyword = "%" . $_SESSION['search']['keyword'] . "%";
			$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['keyword']);
		}else{
			$this->str_keyword = "%%";
		}
		if(isset($_SESSION['search']['prov_kom']) && $_SESSION['search']['prov_kom']>0){
			$this->int_propinsi = $_SESSION['search']['prov_kom'];
			$this->str_cari_par .= " AND b.id_province_kom = " . $this->int_propinsi." ";
		}
		if(isset($_SESSION['search']['city']) && $_SESSION['search']['city']>0){
			$this->int_kota = $_SESSION['search']['city'];
			$this->str_cari_par .= " AND b.id_city_komisariat = " . $this->int_kota." " ;
		}
		// cabang
		$result = $this->obj_admin->GetDataAsSingleArray("GetListCabangAdminByid", array($this->str_userid, $this->str_userid, $this->str_userid, $this->str_userid));
		//print_r($result['id_cabang']);
		$this->int_cabang = $result['id_cabang'];
		$this->str_cari_par .= " AND b.id_cabang = " . $result['id_cabang']." " ;
		
		if(isset($_SESSION['search']['nira']) && $_SESSION['search']['nira']>0){

			$this->int_cabang = $_SESSION['search']['nira'];

			$this->str_cari_par .= " AND b.no_anggota = " .$_SESSION['search']['nira']." " ;
			$this->obj_tmpl->addVar('content', 'NIRA', $_SESSION['search']['nira']);

		}
		if(isset($this->arr_routes['params'][0])){
			$this->int_tahun = $this->arr_routes['params'][0];
		}
		$tahun = "";
		
		if(isset($_SESSION['search']['tahun'])){ $this->int_tahun = $_SESSION['search']['tahun'];}
		
		/*if(isset($_SESSION['search']['tahun']) && $_SESSION['search']['tahun']>0){
			$this->int_tahun = $_SESSION['search']['tahun'];
			$this->str_cari_par .= " AND iuran.tahun = " . $this->int_tahun." " ;
		}*/
		ini_set('memory_limit', '9999M'); //Raise to 512 MB
		ini_set('max_execution_time', '3600'); //Raise to 512 MBs
		//ini_set("max_execution_time","0"); 
		//ini_set("memory_limit","9999M"); 
		//ini_set("output_buffering","0"); 
		//set_magic_quotes_runtime(0); 
	}
	
	
	private function DownloadLaporan(){
		// disable error warning
		error_reporting(E_ERROR);
		// create worksheet
		$this->obj_worksheet = $this->obj_workbook->addworksheet('Data Iuran Anggota');
		$this->obj_worksheet->set_margins(0.4);
		// set column width
			$this->obj_worksheet->set_column('A:A', 5);
		$this->obj_worksheet->set_column('B:B', 15);
		$this->obj_worksheet->set_column('C:C', 25);
		$this->obj_worksheet->set_column('D:D', 35);
		$this->obj_worksheet->set_column('E:E', 30);
		$this->obj_worksheet->set_column('F:F', 35);
		$this->obj_worksheet->set_column('G:G', 35);
		$this->obj_worksheet->set_column('H:H', 35);
		$this->obj_worksheet->set_column('I:I', 20);
		$this->obj_worksheet->set_column('J:J', 20);
		$this->obj_worksheet->set_column('K:K', 20);
		$this->obj_worksheet->set_column('L:L', 20);
		$this->obj_worksheet->set_column('M:M', 20);
		$this->obj_worksheet->set_column('N:N', 20);
		
		// create format
		// title
		$title = $this->obj_workbook->addformat();
		$title->set_size(10);
		$title->set_font('arial');
		$title->set_border(0);
		$title->set_bold();
		// border 
		$text = $this->obj_workbook->addformat();
		$text->set_color('black');
		$text->set_size(9);
		$text->set_fg_color('white');
		$text->set_border_color('black');
		$text->set_border(0);
		$text->set_align('left');
		$text->set_align('top');
		// border center
		$text_center = $this->obj_workbook->addformat();
		$text_center->set_color('black');
		$text_center->set_size(9);
		$text_center->set_fg_color('white');
		$text_center->set_border_color('black');
		$text_center->set_border(0);
		$text_center->set_align('center');
		$text_center->set_align('top');
		// border center
		$text_title= $this->obj_workbook->addformat();
		$text_title->set_color('black');
		$text_title->set_size(10);
		$text_title->set_fg_color('white');
		$text_title->set_border_color('black');
		$text_title->set_border(0);
		$text_title->set_align('left');
		$text_title->set_align('top');
		$text_title->set_bold();
		// --
		$this->obj_worksheet->repeat_rows(4, 5);
	// judul
		$this->obj_worksheet->write('A1', "Data Iuran PPNI", $title);
		//$this->obj_worksheet->write('A2',"", $title);
		// table header
		$this->obj_worksheet->write('A5', "No.", $text_title);
		// --
		
		$this->obj_worksheet->write('B5', "Status Pembayaran", $text_title);
		// --
		$this->obj_worksheet->write('C5', "Tgl Pembayaran", $text_title);
		// --
		$this->obj_worksheet->write('D5', "Virtual Account", $text_title);
		// --
		$this->obj_worksheet->write('E5', "Nama", $text_title);
		$this->obj_worksheet->write('F5', "Nira", $text_title);
		// --
		$this->obj_worksheet->write('G5', "DPK", $text_title);
		// --
		$this->obj_worksheet->write('H5', "DPD", $text_title);
		
		$this->obj_worksheet->write('I5', "DPW", $text_title);
		
		$this->obj_worksheet->write('J5', "Jumlah", $text_title);
		
		$this->obj_worksheet->write('K5', "Jumlah DPP", $text_title);
		
		$this->obj_worksheet->write('L5', "Jumlah DPW", $text_title);
		
		$this->obj_worksheet->write('M5', "Jumlah DPD", $text_title);
		
		$this->obj_worksheet->write('N5', "Jumlah DPK", $text_title);
		// parse data
		// set total record
				
		 //$this->obj_iuran->DebugQuery("GetDataAnggotaIuranByAdminRekap", array($this->int_tahun,$this->str_keyword,$this->int_tahun, $this->str_cari_par));exit;
		//$rs_id = $this->obj_iuran->GetResourceId("GetDataAnggotaIuranByAdminRekap", array($this->int_tahun,$this->str_keyword, $this->str_cari_par));
		$rs_id = $this->obj_iuran->GetResourceId("GetDataAnggotaIuranByAdminRekap", array($this->int_tahun,$this->int_tahun,$this->str_keyword, $this->str_cari_par));
		if($rs_id){
		$no=1;
			while($rec = mysqli_fetch_assoc($rs_id)){
			$rs_prov = $this->obj_iuran->GetDataAsSingleArray("GetPropinsiById", array($rec['id_province_kom']));
				//print_r($rs_prov);
				$rs_city = $this->obj_iuran->GetDataAsSingleArray("GetCityById", array($rec['id_city_komisariat']));
				$rs_cabang = $this->obj_iuran->GetDataAsSingleArray("GetkomisariatById", array($rec['id_komisariat']));
				
				$this->obj_worksheet->write('A' . ($no + 6), $no . ".", $text);
				if($rec['status_pelunasan'] == 'yes'){
				$this->obj_worksheet->write('B' . ($no + 6), "LUNAS", $text);
				}else{
				$this->obj_worksheet->write('B' . ($no + 6), "BELUM", $text);
				}
				
				$this->obj_worksheet->write('C' . ($no + 6), $this->obj_date->GetFullDate($rec['tagal_bayar'], 'ins'), $text);
				$this->obj_worksheet->write('D' . ($no + 6), "'".$rec['no_va'], $text);
				$this->obj_worksheet->write('E' . ($no + 6), $rec['nama_lengkap'], $text);
				
				$this->obj_worksheet->write('F' . ($no + 6), $rec['no_anggota'], $text);
				
				$this->obj_worksheet->write('G' . ($no + 6), $rs_cabang['nama'], $text);
				$this->obj_worksheet->write('H' . ($no + 6), $rs_city['city_name'], $text);
				$this->obj_worksheet->write('I' . ($no + 6), $rs_prov['province_name'], $text);
				$this->obj_worksheet->write('J' . ($no + 6), $rec['jumlah'], $text);
				
				$jumlahdpk=($rec['jumlah']-60000)*40/100;
				$jumlahdpd=($rec['jumlah']-60000)*25/100;
				$jumlahdpw=($rec['jumlah']-60000)*20/100;
				$jumlahdpp=($rec['jumlah']-60000)*15/100;
				$this->obj_worksheet->write('K' . ($no + 6), $jumlahdpp, $text);
				$this->obj_worksheet->write('L' . ($no + 6), $jumlahdpw, $text);
				$this->obj_worksheet->write('M' . ($no + 6), $jumlahdpd, $text);
				$this->obj_worksheet->write('N' . ($no + 6), $jumlahdpk, $text);
				
				$no++;
			}
		}
		// close work book
		$this->obj_worksheet->set_landscape();
		$this->obj_workbook->close();
		// header download
		$file_name = "Data_iuran_tahun".$this->int_tahun."-".$this->int_propinsi."-".$this->int_kota;
		header("Content-Type: application/x-msexcel; name=\"".$file_name."xls\"");
		header("Content-Disposition: inline; filename=\"".$file_name.".xls\"");
		$fh = fopen($this->str_excel_name, "rb");
		echo stream_get_contents($fh);
		//fpassthru($fh);
		// remove temporari file
		self::RemoveTemporaryFile();
	}
	
	private function RemoveTemporaryFile(){
		$dir = "doc/temp/excel/";
		if(is_dir($dir)){
			$folder = opendir($dir);
			while($file = readdir($folder))
			{
				if ($file == '.' || $file == '..') {
					continue;
				}				
				if(is_file($dir.'/'.$file))
				{
					unlink($dir.'/'.$file);
				}
				  
			}
			closedir($folder);
		}
	}
	
}

?>