<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// init object

	private $obj_cv;

	private $obj_admin;

	private $obj_anggota;

	private $obj_date;

	private $str_cabang;

	private $obj_notify;

	// init variable

	private $int_page;

	

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		// load business

		$this->obj_cv = $this->obj_ctrl->LoadBusiness('curriculum_vitae', 'mysql', $this->arr_config['db']);

		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);

		$this->obj_anggota = $this->obj_ctrl->LoadBusiness('anggota', 'mysql', $this->arr_config['db']);	

		

		

		// load library

		$this->obj_date = $this->obj_ctrl->LoadLibrary("DateTimeManipulation");

		$this->obj_paging = $this->obj_ctrl->LoadLibrary('PaginationMySQL');

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		//$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');

		// dhtmlgoodies_calendar loaded

		//$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');

		// load javascript

		$this->obj_ctrl->LoadJavascript('form_event');

		

	}

	

	public function PageView(){

		// display template (add, view, edit)

		//self::TemplateToDisplay();

		self::DisplayAddForm();

		self::DisplayListVirtualAcount();

		// display test cookies

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	

	private function TemplateToDisplay(){

		//$this->obj_cv->DebugQuery("GetVirtualAcountAnggota", array($this->str_userid));

		$result = $this->obj_cv->GetDataAsSingleArray("GetVirtualAcountAnggota", array($this->str_userid));

		//print_r($result);

		if(empty($result)){

			$view='kosong';

			}else{

			$view='isi';

			}

		switch($view){

			case 'kosong':

				// detail form

				self::DisplayEditForm();

				break;

			default:

				// list data

				self::DisplayInfoRekening();

				break;

		}

	}

	

	private function DisplayInfoRekening(){

		// activated template

		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');

		$this->obj_tmpl->addVar('display', 'URL_UPDATE', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'rekening', array('edit')));

		// get start record

		

		// parsing data

		//$this->obj_info->DebugQuery("GetRekeningPesertaByIdPerson", array($this->str_userid));

		$result = $this->obj_cv->GetDataAsSingleArray("GetVirtualAcountAnggota", array($this->str_userid));

		//$no = $start + 0;

		if(!empty($result)){

 		 

			$this->obj_tmpl->addVar('display', 'NAMA', $result['nama']);

			$this->obj_tmpl->addVar('display', 'EMAIL', $result['email']);

			$this->obj_tmpl->addVar('display', 'PHONE', $result['phone']);

			$this->obj_tmpl->addVar('display', 'VIRTUAL_ACOUNT', $result['virtual_account']);

			$this->obj_tmpl->addVar('display', 'EXPIRED', $result['expired_until']);

			

		}	

	}

	

	// update 22-03-2013

	private function DisplayAddForm(){

		// activated template

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'rekening', array()));

		$this->obj_tmpl->addVar('content', 'EDIT_ACTIVE', '<li><a href="#" class="tab-nav-active">Update Rekening</a></li>');

		$this->obj_tmpl->addVar('content', 'view', 'edit');

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$this->obj_tmpl->addVar('content', 'USER_ID', $this->str_userid);

               // $img_va = HTTPPATH.'doc/temp/create-va.png';

                //$this->obj_tmpl->addVar('content', 'VA_IMAGE', $img_va);

		// parse data	

		$result = $this->obj_admin->GetDataAsSingleArray("GetListCabangAdminByid", array($this->str_userid, $this->str_userid));

		//print_r($result['id_cabang']);

		$this->str_cabang = $result['id_cabang'];

		

		$rs_id = $this->obj_anggota->GetDataAsSingleArray("GetTotalAnggotaByAdmindpkVa",array( $this->str_cabang));	

		$this->obj_tmpl->addVar('content', 'JML_DPK', $rs_id['total']);

		$this->obj_tmpl->addVar('content', 'ID_CABANG', $this->str_cabang);

		// start

		$tahun_selected = '';

		$tahun_start = date('Y');

		$tahun = date('Y');

		if(isset($this->arr_routes['params'][1])){

			$tahun = $this->arr_routes['params'][1];

		}

		$this->obj_tmpl->addVar('content', 'TAHUN', $tahun);

		for($i=$tahun_start;$i>=$tahun_start-4;$i--){

			if($i == $tahun){

				$tahun_selected = $i;

				$this->obj_tmpl->addVar('list_tahun', 'SELECTED', 'selected="selected"');

			}else{

				$this->obj_tmpl->addVar('list_tahun', 'SELECTED', '');

			}

			$this->obj_tmpl->addVar('list_tahun', 'TAHUN', $i);

			$this->obj_tmpl->parseTemplate('list_tahun', 'a');

		}

		





	

		

	}

	

	

	// update 22-03-2013

	private function DisplayListVirtualAcount(){

		$params = array($this->str_userid);

		 

	$rs_id = $this->obj_anggota->GetResourceId("GetListAnggotaTahunIuranVa", array($this->str_cabang));

		if($rs_id){

			$no = 1;

			while($rec = mysqli_fetch_assoc($rs_id)){

				$url_download = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'print-out', array($rec['thn_tagihan'], $this->str_cabang));

				$this->obj_tmpl->addVar('list_tahun_va', 'NO', $no);

				$this->obj_tmpl->addVar('list_tahun_va', 'TAHUN', $rec['thn_tagihan']);

				$this->obj_tmpl->addVar('list_tahun_va', 'URL_DOWNLOAD', $url_download);

				// jumlah

				$jumlah = $this->obj_anggota->GetDataAsSingleArray("GetListTotalVaAnggotaByCabangVa",array($rec['thn_tagihan'],$this->str_cabang));

				$jumlah['total'] = (!empty($jumlah['total'])?$jumlah['total']:'-');

				$this->obj_tmpl->addVar('list_tahun_va', 'JUMLAH', $this->BoldValue($jumlah['total']));

				

				// append

				$this->obj_tmpl->ParseTemplate('list_tahun_va', 'a');

				$no++;

			}

		}

	}

	

	

	private function BoldValue($value){

		if(!empty($value))

			$value = "<b>".$value."</b>";

		else

			$value = $value;

		return $value;

	}

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'display');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

}



?>

