<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object

	protected $obj_message;

	protected $obj_notify;

	// post

	protected $arr_params;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		

	}		

	

	protected function ParseDocumentOutput(){

		/** Redirect result to default page */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'form');	

	}

	

	protected function PageLoad(){ 

		/* -- Other object loaded below */

		$this->obj_message = $this->obj_ctrl->LoadBusiness('mailbox', 'mysql', $this->arr_config['db']);

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

	}

	

	public function PageView(){

		// important to encypte bug post form

		if(isset($_POST['save'])){ 

			$action = array_keys($_POST['save']); 

			$this->arr_params = $_POST;

			unset($_POST);

		}else{

			$action = FALSE;

		}

		// controller to manage process that page requested

		switch($action[0]){

			case 'insert':

				self::InsertNewAnnouncement();

				break;

			case 'update':

				self::UpdateAnnouncement();

				break;

			case 'hapus':

				self::DeleteAnnouncement();

				break;

			default:

				break;

		}

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	// notification method

	private function SendNotification($err, $filled, $msg, $type){

		$this->obj_notify->ClearSession();

		$this->obj_notify->SetHeaderMessage($type, $msg);

		// error send

		foreach($err as $val){

			$this->obj_notify->SetMessage($val);

		}		

		// field value history

		for($i=0;$i<count($filled);$i++){

			$name = array_keys($filled);

			$this->obj_notify->SetField($name[$i], $filled[$name[$i]]);

		}

		$this->obj_notify->SentMessage();

	}

	

	// add data

	

	private function InsertNewAnnouncement(){

		// inisialize variable --------------------------------------------

		$err = array();		

		$filled = array();

		// ----------------------------------------------------------------	

		if(empty($this->arr_params['judul'])){ $err[] = '<br /><b>Judul</b> belum ditentukan'; }

		if(empty($this->arr_params['tipe'])){ $err[] = '<br /><b>Tujuan</b> belum ditentukan'; }

		if(empty($this->arr_params['content'])){ $err[] = '<br /><b>Pengumuman</b> harus diisi'; }

		// processing --------------------------------------------------

		if(empty($err)){			

			// pendidikan

			$params = array($this->arr_params['tipe'],  "bahasa" => $this->arr_params['bahasa'], $this->arr_params['judul'], $this->arr_params['content'], $this->str_userid);

			// processing data

			if($this->obj_message->ProcessingRawData("InsertAnnouncement", $params)){

				// sukses message			

				self::SendNotification($err, $filled, 'Data has been saved.', 'success');

			}else{

				// error message

				self::SendNotification($err, $filled, 'Business process failure.', 'error');

			}

		}else{

			// error message

			self::SendNotification($err, $filled, 'See input requirement.', 'error');

		}

	}

	

	private function UpdateAnnouncement(){

		// inisialize variable --------------------------------------------

		$err = array();		

		$filled = array();

		// ----------------------------------------------------------------	

		if(empty($this->arr_params['id'])){ $err[] = '<br /><b>ID</b> belum ditentukan'; }

		if(empty($this->arr_params['judul'])){ $err[] = '<br /><b>Judul</b> belum ditentukan'; }

		if(empty($this->arr_params['tipe'])){ $err[] = '<br /><b>Tujuan</b> belum ditentukan'; }

		if(empty($this->arr_params['content'])){ $err[] = '<br /><b>Pengumuman</b> harus diisi'; }

		// processing --------------------------------------------------

		if(empty($err)){			

			// pendidikan

			$params = array($this->arr_params['tipe'],  "bahasa" => $this->arr_params['bahasa'], $this->arr_params['judul'], $this->arr_params['content'], $this->str_userid, $this->arr_params['id']);

			// processing data

			if($this->obj_message->ProcessingRawData("UpdateAnnouncement", $params)){

				// sukses message			

				self::SendNotification($err, $filled, 'Data has been saved.', 'success');

			}else{

				// error message

				self::SendNotification($err, $filled, 'Business process failure.', 'error');

			}

		}else{

			// error message

			self::SendNotification($err, $filled, 'See input requirement.', 'error');

		}

		/** Redirect result to default page */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'form',array('edit', $this->arr_params['id']));	

	}

	

	private function DeleteAnnouncement(){

		// inisialize variable --------------------------------------------

		$err = array();		

		$filled = array();

		// ----------------------------------------------------------------	

		if(empty($this->arr_params['downcheck'])){ $err[] = '<br /><b>Id</b> tidak terpilih'; }

		// processing --------------------------------------------------

		if(empty($err)){			

			foreach($this->arr_params['downcheck'] as $id){

				// delete calon anggota

				$this->obj_message->ProcessingData("DeleteAnnouncement", array($id));

			}

		}

	}

}



?>