<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	private $obj_kolegium;

	private $obj_notify;

	private $obj_upload;

    private $arr_params;



	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'],$this->arr_routes['module'],'view');

	}

	

	protected function PageLoad(){ 

		/*

		-- Other object loaded below 

		*/

		$this->obj_kolegium = $this->obj_ctrl->LoadBusiness('kolegium', 'mysql', $this->arr_config['db']);

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	

		$this->obj_upload = $this->obj_ctrl->LoadLibrary('Uploader');				

	}

	

	public function PageView(){

		// important to encypte bug post form

		if(isset($_POST['save'])){ 

			$action = array_keys($_POST['save']); 

			$this->arr_params = $_POST;

			unset($_POST);

		}else{

			$action = FALSE;

		}

		// controller to manage process that page requested

		switch($action[0]){

			case 'update':

				self::UpdateData();

				break;

			default:

				break;

		}

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function UpdateData(){

		// check / validate parameter 

		$err = array();	

		if(empty($this->arr_params['description'])){ $err[] = '<br /><strong>Description</strong> must be filled'; }

		// processing --------------------------------------------------

		if(empty($err)){

			$filename = self::UploadImage();

			$params = array($this->arr_params['description'], $filename, $this->str_userid);

			if($this->obj_kolegium->SetKolegium($params, false)){

				// notification message				

				$this->obj_notify->ClearSession();

				$this->obj_notify->SetHeaderMessage("success", "Data has been saved.");

				$this->obj_notify->SentMessage();

			}else{

				// error message

				$this->obj_notify->ClearSession();

				$this->obj_notify->SetHeaderMessage("error", "Business process failure.");

				$this->obj_notify->SentMessage();

			}	

		}else{

			// error message

			$this->obj_notify->ClearSession();

			$this->obj_notify->SetHeaderMessage("error", "See input requirement.");

			foreach($err as $val){

				$this->obj_notify->SetMessage($val);

			}

			// filled field with last input

			$this->obj_notify->SetField('DESCRIPTION', $this->arr_params['description']);

			// sent message to view page	

			$this->obj_notify->SentMessage();

		}

		// redirect page

   		$this->obj_ctrl->RedirectPage($this->arr_routes['app'],$this->arr_routes['group'], $this->arr_routes['module'], 'view');	

	}

	

	private function UploadImage($file_name = ""){

		// allowed type

		if(isset($_FILES['logo']['tmp_name']) AND !empty($_FILES['logo']['tmp_name'])){

			// name and path file

			$file_name = str_replace(' ', '_', $_FILES['logo']['name']);

			$file_path = "doc/logo/kolegium/";

			$this->obj_upload->RemoveDir($file_path);

			// processing

			$this->obj_upload->ImageUpload($_FILES['logo'], $file_path, 180);

		}

		return $file_name;

	}

}



?>