<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	private $obj_branch;
	private $obj_wilayah;
	private $obj_person;
	private $obj_date;
	private $obj_paging;
	private $obj_notify;
	private $obj_data;
	private $obj_admin;
	private $int_cabang=0;
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('document');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();
		/*
		-- Other object loaded below 
		*/
		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);
		$this->obj_data->UseQuery(array('propinsi', 'kota'));
		$this->obj_branch = $this->obj_ctrl->LoadBusiness('cabang', 'mysql', $this->arr_config['db']);
		$this->obj_wilayah = $this->obj_ctrl->LoadBusiness('wilayah', 'mysql', $this->arr_config['db']);
		$this->obj_person = $this->obj_ctrl->LoadBusiness('person', 'mysql', $this->arr_config['db']);	
		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);	
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');
		$this->obj_paging = $this->obj_ctrl->LoadExternalClass('PaginationSelectedMySQL');
		// library loaded
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');		
		// javascript loaded
		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');
		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');
		$this->obj_ctrl->LoadJavascript('jquery');
		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');
		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');
		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');
		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');
		// dhtmlgoodies_calendar loaded
		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');
		// dhtmlgoodies_calendar loaded body event
		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");
		// loaded style
		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	
		// load class library macig Copy
		$this->obj_ctrl->LoadJavaScript('darkroom.src','magic' );	
		$this->obj_ctrl->LoadJavaScript('magic.src','magic' );	
		$this->obj_ctrl->LoadJavaScript('versions','magic' );	
		$this->obj_ctrl->LoadJavaScript('wand.src','magic' );
	}
	
	public function PageView(){
		/* 
		-- display view content
		*/
		self::DisplayPageLink();
		self::DisplayListArchive();
		self::DisplayListPengurus();
		self::DisplayNotification();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	private function DisplayPageLink(){
		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page'], array('add')));
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		$this->obj_tmpl->addVar('content', 'URL_PENGURUS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view_adm_wilayah'));
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->obj_tmpl->addVar('content', 'URL_KOTA', $this->obj_ctrl->GetURL('public', 'membership', 'registrasi', 'kota'));
		
		if(isset($this->obj_notify->arr_message['field'])){
			$t = $this->obj_notify->arr_message['field']['tahun'];
			$b = $this->obj_notify->arr_message['field']['bulan'];
			$h = $this->obj_notify->arr_message['field']['hari'];
			// cabang 
			
		}else{
			$t = date('Y');
			$b = date('m');
			$h = date('d');
			// cabang 
			
		}
		$this->obj_date->SetPatTemplates($this->obj_tmpl);
		$this->obj_date->DhtmlgoodiesStandardDate('list_year', 'list_month', 'list_day', $t, $b, $h, $t - 100, $t);
		
		
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl('public', 'membership', 'registrasi', 'person_m'));
		$result = $this->obj_admin->GetDataAsSingleArray("GetListCabangAdminByid", array($this->str_userid, $this->str_userid,$this->str_userid,$this->str_userid));
		//print_r($result);
		$this->int_cabang = $result['id_cabang'];
	}

   
   
   	private function DisplayListPengurus(){
		$id_cabang=$this->int_cabang;
		//print_r($id_cabang);
		$this->obj_tmpl->addVar('content', 'ID_CABANG', $id_cabang);
		//$this->obj_branch->GetPengurusKomisariathById(array($id_cabang));
		$result = $this->obj_branch->GetPengurusKomisariathById(array($id_cabang));
		//$this->obj_tmpl->addVar('display', 'ID', $result['0']['id']);	
		if($result){
		
		$this->obj_tmpl->addVar('content', 'NAMA_CABANG', $result['0']['nama']);
		$this->obj_tmpl->addVar('content', 'NAME_KETUA', $result['0']['ketua']);
		$this->obj_tmpl->addVar('content', 'NAME_SEKRETARIS', $result['0']['sekretaris']);
		$this->obj_tmpl->addVar('content', 'ADDRESS', $result['0']['alamat']);
		$this->obj_tmpl->addVar('content', 'TELEPHONE', $result['0']['telp']);
		$this->obj_tmpl->addVar('content', 'FAX', $result['0']['fax']);
		 }
		}
		
	private function DisplayListArchive(){
		$id_cabang=$this->int_cabang;
  		$this->obj_tmpl->addVar('content', 'VIEW_ACTIVE', 'class="tab-nav-active"');
		if(!isset($this->arr_routes['params']['1'])) {
			$page = 1;
		}else{
			$page = $this->arr_routes['params']['1'];
		}
		// set active page number
		$this->obj_paging->SetPagesNumber($page);
		// set max record
		$this->obj_paging->SetMaxRecord(50);
		// set total record
		$this->obj_paging->SetTotalRecord($this->obj_branch->CountAsetDpkById(array($id_cabang)));
		// set url
		$this->obj_paging->SetUrlPage($this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], $this->arr_routes['page']));
		// set template
		$this->obj_paging->SetTempatePaging('pagination');
		// parse paging
		$this->obj_paging->ParsePaging();
		// get start record
		$start = $this->obj_paging->int_start_record;
		$max = $this->obj_paging->int_max_record;
		$daerah = $this->obj_branch->GetAsetDpkById(array($id_cabang,$start, $max));
		if (sizeof($daerah) > 0) {
			$this->obj_tmpl->addVar('cat', 'cat', 'have');
		}
		$no = 0;
		$num = $start + 1;
		foreach($daerah as $key => $value) {
			$href = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view-news', array($value['id_province']));
			$href1 = $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'],'view_detail_daerah', array($value['id_city']));
			// --
			$this->obj_tmpl->addVar('list_data', 'INDEX', $no);
			$this->obj_tmpl->addVar('list_data', 'NO', $num);
			//$this->obj_tmpl->addVar('list_data', 'ID', $value['id']);	
			$this->obj_tmpl->addVar('list_data', 'KODE_BARANG', $value['kode_barang']);
			$this->obj_tmpl->addVar('list_data', 'REGISTER', $value['register']);
			$this->obj_tmpl->addVar('list_data', 'IDENTITAS', $value['nama_aset']);
			$this->obj_tmpl->addVar('list_data', 'ASAL', $value['asal']);
			$this->obj_tmpl->addVar('list_data', 'TAHUN', $value['thn_perolehan']);
			$this->obj_tmpl->addVar('list_data', 'HARGA', $value['harga']);
			$this->obj_tmpl->addVar('list_data', 'KONDISI', $value['kondisi']);
			$this->obj_tmpl->addVar('list_data', 'PENYUSUTAN', $value['penyusutan']);
			$this->obj_tmpl->addVar('list_data', 'KETERANGAN', $value['keterangan']);
			$this->obj_tmpl->addVar('list_data', 'URL_EDIT', $href1);
			$this->obj_tmpl->addVar('list_data', 'URL_NEWS', $href);
			$this->obj_tmpl->ParseTemplate('list_data', 'a');
			$no++;
			$num++;
		}
	}	
	
	
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
}

?>