<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	protected $obj_system;

	protected $obj_notify;

	protected $obj_date;

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/*

		-- Other object loaded below 

		*/

		// javascript loaded

		$this->obj_ctrl->LoadJavascript('form_event');

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');

		// load business object

		$this->obj_system = $this->obj_ctrl->LoadBusiness('systemdata', 'mysql', $this->arr_config['db']);

	}

	

	public function PageView(){

		// display form

		self::DisplayFormEdit();	

		// display test cookies

		self::DisplayNotification();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	private function DisplayFormEdit(){

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$data = $this->obj_system->GetDetailData('sys_settings_m', array('siteuser' => "str:build"));

		$this->obj_tmpl->addVar('content', 'SITENAME', $data['sitename']);

		$this->obj_tmpl->addVar('content', 'SITEURL', $data['siteurl']);

		$this->obj_tmpl->addVar('content', 'SITEEMAIL', $data['siteemail']);

		$this->obj_tmpl->addVar('content', 'SITEINTRO', $data['siteintro']);

		$this->obj_tmpl->addVar('content', 'MAXRECORD', $data['recordperpage']);

		$this->obj_tmpl->addVar('content', 'SMTP_HOST', $data['smtp_host']);

		$this->obj_tmpl->addVar('content', 'SMTP_PORT', $data['smtp_port']);

		$this->obj_tmpl->addVar('content', 'SMTP_USERNAME', $data['smtp_username']);

		$this->obj_tmpl->addVar('content', 'SMTP_PASSWORD', $data['smtp_password']);

		$this->obj_tmpl->addVar('content', 'VERSION', $data['version']);

		$this->obj_tmpl->addVar('content', 'MAINTENANCE_MESSAGE', $data['maintenance_message']);

		if($data['maintenance'] != '1'){

			$this->obj_tmpl->addVar('content', 'NO', 'checked="checked"');

		}else{

			$this->obj_tmpl->addVar('content', 'YES', 'checked="checked"');

		}

		// get last update

		$person = $this->obj_system->GetDataAsSingleArray("GetPersonNameById", array($data['mdb']));

		$this->obj_tmpl->addVar('content', 'MDB', $person['nama']);

		$this->obj_tmpl->addVar('content', 'MDD', $this->obj_date->GetFullDate($data['mdd']));

	}

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

}



?>