<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_notify;

	protected $obj_date;

	protected $obj_data;

	// variable

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* Other object loaded below */

		// load business

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');		

		// javascript loaded

		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');

		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');

		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');

		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');

		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');

		// dhtmlgoodies_calendar loaded

		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');

		// dhtmlgoodies_calendar loaded body event

		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");

		// loaded style

		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	

	}

	

	public function PageView(){

		// display test cookies

		self::DisplayNotification();

		// variable display

		self::DisplayVariable();

		// display form registrasi

		self::DisplayFormRegistrasi();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayVariable(){

		// variable

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'add'));	

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'sistem'));	

		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));

	}

	

	private function DisplayFormRegistrasi(){

		$t = date('Y');

		$b = date('m');

		$h = date('d');

		$this->obj_date->SetPatTemplates($this->obj_tmpl);

		$this->obj_date->DhtmlgoodiesStandardDate('list_year', 'list_month', 'list_day', $t, $b, $h, $t - 75, $t);

		// cabang

		$rs_id = $this->obj_data->GetDataCabang();

		$no = 0;

		$str_cabang = "";

		while($rec = mysqli_fetch_assoc($rs_id)){

			if($no % 2 == 0){$str_cabang .= "<tr>";}else{$str_cabang .= "";}

			$str_cabang .= "<td><label>";

			$str_cabang .= "<input type=\"checkbox\" value=\"".$rec['id_cabang']."\" name=\"cabang[]\" />";

			$str_cabang .= $rec['nama'];

			$str_cabang .= "</label></td>";

			if($no % 2 == 1){$str_cabang .= "</tr>";}else{$str_cabang .= "";}

			$no++;

		}

		$this->obj_tmpl->addVar('content', 'CABANG', $str_cabang);

		// authority

		$rs_id = $this->obj_data->GetHakAksesByGroup(array($this->arr_config['app_group']['cpanel']));

		$str_akses = "";

		while($rec = mysqli_fetch_assoc($rs_id)){

			$str_akses .= "<tr>";

			$str_akses .= "<td><label>";

			$str_akses .= "<input type=\"checkbox\" value=\"".$rec['id_auth']."\" name=\"authority[]\" />";

			$str_akses .= $rec['auth_name'] . "<br><em>" . $rec['deskripsi'] . "</em>";

			$str_akses .= "</label></td>";

			$str_akses .= "</tr>";

		}

		$this->obj_tmpl->addVar('content', 'AUTHORITY', $str_akses);

	}

}



?>