<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');



class ApplicationContent extends ApplicationBase

{	

	// object definition

	protected $obj_admin;

	protected $obj_data;

	protected $obj_date;

	protected $obj_crypt;

	protected $obj_notify;

	// variable

	protected $int_page;

	protected $str_id_person;

	protected $str_keyword;

	private $str_cari_par;

	private $int_propinsi = 0;

	private $int_kota = 0;

	private $int_cabang = 0;

	protected $arr_prov_kom = array();

	protected $arr_cty_kom = array();

	protected $arr_cabang = array();

	

	function __construct(){ }

	

	function __destruct(){ }

	

	protected function SetPageTemplates(){

		// set page templates

		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		

        $this->obj_tmpl->readTemplatesFromFile('template.html');

	}		

	

	protected function ParseDocumentOutput(){

		/** Out the result as template */

		$this->obj_tmpl->displayParsedTemplate('document');		

	}

	

	protected function PageLoad(){ 

		// themes setting

		// --

		// call function to set page templates

		$this->SetPageTemplates();

		/* Other object loaded below */

		// load business

		$this->obj_data = $this->obj_ctrl->LoadBusiness('supportdata', 'mysql', $this->arr_config['db']);

		$this->obj_data->UseQuery(array('propinsi', 'kota'));

		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);

		// library loaded

		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');	

		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');	

		$this->obj_crypt = $this->obj_ctrl->LoadLibrary('Cryptograph');		

		// javascript loaded

		$this->obj_ctrl->LoadJavascript('dhtmlgoodies_calendar');

		$this->obj_ctrl->LoadJavascript('jquery1.2.6', 'jquery');

		$this->obj_ctrl->LoadJavascript('autocomplete', 'jquery');

		$this->obj_ctrl->LoadJavascript('bgiframe', 'jquery');

		$this->obj_ctrl->LoadJavascript('ajaxqueue', 'jquery');

		$this->obj_ctrl->LoadJavascript('jquery');

		$this->obj_ctrl->LoadJavascript('ajaxify', 'jquery');

		// dhtmlgoodies_calendar loaded

		$this->obj_ctrl->LoadStyle('dhtmlgoodies_calendar', 'dhtmlgoodies_calendar');

		// dhtmlgoodies_calendar loaded body event

		$this->obj_ctrl->LoadEventOnBody("onload", "SetDhtmlgoodiesPathImages('".HTTPPATH."application/themes/dhtmlgoodies_calendar/img/');");

		// loaded style

		$this->obj_ctrl->LoadStyle('autocomplete', 'jquery');	

	}

	

	public function PageView(){

		// display test cookies

		self::DisplayNotification();

		// variable display

		self::DisplayVariable();

		// display form registrasi

		self::DisplayForm();

		// display calon anggota

		self::DisplayFormProvinsi();

		// Kota Komisariat

		self::DisplayListKota();

	}

	

	/* 

	| ------------------------------------------------------------------

	| private function to parse output from business class

	| ------------------------------------------------------------------

	*/

	

	private function DisplayNotification(){

		// get session for start notification

		$this->obj_notify->GetMessage();

		// display message	

		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');

		// last field	

		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');

		// clear session when finish

		$this->obj_notify->ClearSession();

	}

	

	private function DisplayVariable(){

		// head nav

		$this->obj_tmpl->addVar('content', 'URL_ADD', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'add'));	

		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'sistem'));	

		$this->obj_tmpl->addVar('form', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));

		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));

		// global var

		$this->int_page = $this->arr_routes['params'][0];

		$this->str_id_person = $this->arr_routes['params'][1];

		$this->obj_tmpl->addVar('form', 'ID_PAGE', $this->int_page);

		$this->obj_tmpl->addVar('form', 'ID_PERSON', $this->str_id_person);

		// sub nav

		$this->obj_tmpl->addVar('content', 'URL_PRIBADI', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'edit', array($this->int_page, $this->str_id_person)));	

		$this->obj_tmpl->addVar('content', 'URL_ACCOUNT', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'edit', array($this->int_page, $this->str_id_person, 'account')));	

		$this->obj_tmpl->addVar('content', 'URL_ACCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'edit', array($this->int_page, $this->str_id_person, 'access')));	

		$this->obj_tmpl->addVar('content', 'URL_KOTA_KOM', $this->obj_ctrl->GetUrl($this->arr_routes['app'], 'anggota','anggota', 'kota-komisariat'));

		// keyword

		if(isset($_SESSION['search']['keyword'])){

			$this->str_keyword = "%" . $_SESSION['search']['keyword'] . "%";

			$this->obj_tmpl->addVar('content', 'KEYWORD', $_SESSION['search']['keyword']);

		}else{

			$this->str_keyword = "%%";

		}

		if(isset($_SESSION['search']['prov_kom']) && $_SESSION['search']['prov_kom']>0){

			$this->int_propinsi = $_SESSION['search']['prov_kom'];

			$this->str_cari_par1 .= " AND b.id_province_kom = " . $this->int_propinsi." ";

		}

		if(isset($_SESSION['search']['city']) && $_SESSION['search']['city']>0){

			$this->int_kota = $_SESSION['search']['city'];

			$this->str_cari_par .= " AND id_city = " . $this->int_kota." " ;

		}

	}

	

	private function DisplayFormProvinsi(){

	// cabang

	$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);

	if(isset($_SESSION['search']['prov_kom'])){ $this->str_prov_kom = $_SESSION['search']['prov_kom'];}

		//$prov_selected = ((isset($this->obj_notify->arr_message['field']['prov_kom']))?$this->obj_notify->arr_message['field']['prov_kom']:0);

		// display propinsi

		

		$rs_id = $this->obj_admin->GetListProvinceByAdmin(array());	

			while($rs = mysqli_fetch_assoc($rs_id)){	

			//print_r($rs['id_province']);

			$this->arr_prov_kom[] = $rs['id_province'];

				if($this->int_propinsi == $rs['id_province']){

					$this->obj_tmpl->addVar('list_province', 'SELECTED', 'selected="selected"');

				}else{

					$this->obj_tmpl->addVar('list_province', 'SELECTED', '');

				}	

				$this->obj_tmpl->addVar('list_province', 'VALUE', $rs['id_province']);

				$this->obj_tmpl->addVar('list_province', 'NAME', $rs['province_name']);

				$this->obj_tmpl->parseTemplate('list_province', 'a');

			}

		

	}	

	

	private function DisplayListKota(){

	

	if(isset($_SESSION['search']['city'])){ $this->int_kota = $_SESSION['search']['city'];}

	//print_r($this->int_propinsi);

		$rs_id = $this->obj_data->GetResourceId("GetListKotaByPropinsi", array($this->int_propinsi));

		if($rs_id){

			while($rec = mysqli_fetch_assoc($rs_id)){

				if($this->int_kota == $rec['id_city'])

					$this->obj_tmpl->addVar('list_kota', 'SELECTED', 'selected="selected"');

				else

					$this->obj_tmpl->addVar('list_kota', 'SELECTED', '');

				$this->obj_tmpl->addVar('list_kota', 'VALUE', $rec['id_city']);

				$this->obj_tmpl->addVar('list_kota', 'NAMA', $rec['city_name']);

				$this->obj_tmpl->ParseTemplate('list_kota', 'a');

			}

		}

	}

	

	private function DisplayForm(){

		if(isset($this->arr_routes['params'][2])){

			switch($this->arr_routes['params'][2]){

				case 'account':

					$this->obj_tmpl->addVar('content', 'ACCOUNT_SELECTED', 'style="font-weight: bold;"');

					self::DisplayAccountForm();

					break;

				case 'access':

					$this->obj_tmpl->addVar('content', 'ACCESS_SELECTED', 'style="font-weight: bold;"');

					self::DisplayAccessForm();

					break;

				default :

					$this->obj_tmpl->addVar('content', 'PRIBADI_SELECTED', 'style="font-weight: bold;"');

					self::DisplayIdentitasForm();

					break;

			}	

		}else{

			$this->obj_tmpl->addVar('content', 'PRIBADI_SELECTED', 'style="font-weight: bold;"');

			self::DisplayIdentitasForm();

		}

	}

	

	private function DisplayIdentitasForm(){

		// load specific object

		$obj_cv = $this->obj_ctrl->LoadBusiness('curriculum_vitae', 'mysql', $this->arr_config['db']);

		// id person

		$id_person = $this->arr_routes['params'][1];

		$this->obj_tmpl->addVar('form', 'ID_PERSON', $id_person);	

		// parse data

		$params = array($id_person);

		$result = $obj_cv->GetIdentitasPribadiByIdPerson($params);

		if(!empty($result)){

			// photo

			$file_photo = "doc/person/".$id_person."/foto/".$result['photo'];

			if(is_file($file_photo))

				$this->obj_tmpl->addVar('form', 'PHOTOPATH', HTTPPATH.$file_photo);

			else

				$this->obj_tmpl->addVar('form', 'PHOTOPATH', HTTPPATH."doc/temp/blank.jpg");

			// cek notification 

			if(isset($this->obj_notify->arr_message['field'])){

				$result = $this->obj_notify->arr_message['field'];

			}

			// parse data

			$this->obj_tmpl->addVar('form', 'NAMA_LENGKAP', $result['nama_lengkap']);	

			$this->obj_tmpl->addVar('form', 'TEMPAT_LAHIR', $result['tempat_lahir']);

			$this->obj_tmpl->addVar('form', $result['jenis_kelamin'], 'selected="selected"');

			$this->obj_tmpl->addVar('form', 'PREFIX', $result['prefix']);	

			$this->obj_tmpl->addVar('form', 'SUFFIX', $result['suffix']);	

			$this->obj_tmpl->addVar('form', 'ALAMAT', $result['alamat']);	

			$this->obj_tmpl->addVar('form', 'KOTA', $result['kota']);	

			$this->obj_tmpl->addVar('form', 'KODEPOS', $result['kodepos']);	

			$this->obj_tmpl->addVar('form', 'TELEPON', $result['telepon']);

			$this->obj_tmpl->addVar('form', 'NO_HP', $result['no_hp']);

			$this->obj_tmpl->addVar('form', 'AGAMA', $result['agama']);

			// tgl lahir		

			$tgl_lahir = explode('-', $result['tanggal_lahir']);

			$t = $tgl_lahir[0];

			$b = $tgl_lahir[1];

			$h = $tgl_lahir[2];

			$this->obj_date->SetPatTemplates($this->obj_tmpl);

			$this->obj_date->DhtmlgoodiesStandardDate('list_year', 'list_month', 'list_day', $t, $b, $h, $t - 75, $t);

		}

	}

	

	private function DisplayAccountForm(){

		// set form

		$this->obj_tmpl->addVar('form', 'display', 'account');

		// load specific object

		$obj_account = $this->obj_ctrl->LoadBusiness('account', 'mysql', $this->arr_config['db']);

		$obj_account->SetUsesBusinessQuery(array('business'));

		// id person

		$id_person = $this->arr_routes['params'][1];

		$this->obj_tmpl->addVar('form', 'ID_PERSON', $id_person);	

		// parse data

		$result = $obj_account->GetDataAsSingleArray("GetUserAccountByIdPerson", array($id_person));

		if(!empty($result)){

			$this->obj_tmpl->addVar('form', 'EMAIL', $result['email']);

			$this->obj_tmpl->addVar('form', 'USERID', $result['userid']);

			$pass = $this->obj_crypt->StandardDecrypt($result['pass'], $result['hash_key']);

			$this->obj_tmpl->addVar('form', 'PASSWORD', $pass);

		}

	}

	

	private function DisplayAccessForm(){

		// set form

		$this->obj_tmpl->addVar('form', 'display', 'access');

		// cabang

		// $this->obj_data->GetDataCabang();

		$rs_id =$this->obj_admin->GetListCabangByAdmin2(array($this->str_keyword, $this->str_cari_par));

		// selected cabang

		//$this->obj_admin->DebugQuery("GetListCabangByAdmin2",array($this->arr_routes['params'][1],$this->str_keyword, $this->str_cari_par));

		$rs_cabang = $this->obj_admin->GetListCabangByAdmin(array($this->arr_routes['params'][1]));

		while($rec_cabang = mysqli_fetch_assoc($rs_cabang)){

			$arr_cabang[] = $rec_cabang['id_cabang'];

		}

		// --

		$no = 0;

		$str_cabang = "";

		while($rec = mysqli_fetch_assoc($rs_id)){

			// selected cabang by admin

			if(in_array($rec['id_cabang'], $arr_cabang))

				$selected = 'checked="checked"';

			else

				$selected = "";

			// --

			if($no % 2 == 0){$str_cabang .= "<tr>";}else{$str_cabang .= "";}

			$str_cabang .= "<td><label>";

			$str_cabang .= "<input type=\"checkbox\" value=\"".$rec['id_cabang']."\" name=\"cabang[]\" $selected />";

			$str_cabang .= $rec['nama'];

			$str_cabang .= "</label></td>";

			if($no % 2 == 1){$str_cabang .= "</tr>";}else{$str_cabang .= "";}

			$no++;

		}

		$this->obj_tmpl->addVar('form', 'CABANG', $str_cabang);

		// authority

		$rs_id = $this->obj_data->GetHakAksesByGroup(array($this->arr_config['app_group']['cpanel']));

		// selected access

		$rs_access = $this->obj_admin->GetListAuthorityByAdmin(array($this->arr_routes['params'][1], $this->arr_config['app_group']['cpanel']));

		while($rec_access = mysqli_fetch_assoc($rs_access)){

			$arr_access[] = $rec_access['id_auth'];

		}

		// --

		$no = 0;

		$str_akses = "";

		while($rec = mysqli_fetch_assoc($rs_id)){

			// selected cabang by admin

			if(in_array($rec['id_auth'], $arr_access))

				$selected = 'checked="checked"';

			else

				$selected = "";

			// --

			$str_akses .= "<tr>";

			$str_akses .= "<td><label>";

			$str_akses .= "<input type=\"checkbox\" value=\"".$rec['id_auth']."\" name=\"authority[]\" $selected />";

			$str_akses .= $rec['auth_name'] . "<br><em>" . $rec['deskripsi'] . "</em>";

			$str_akses .= "</label></td>";

			$str_akses .= "</tr>";

			$no++;

		}

		$this->obj_tmpl->addVar('form', 'AUTHORITY', $str_akses);

	}

}



?>